<?php

$root               = '../../';
require($root.'config/config.php');
header("Content-Type: text/css; charset=utf-8");

// Colors
$colors = $app->read("SELECT code, f4 FROM settings_categories WHERE type = 'ColorType' ");

foreach($colors as $color) {
	echo '.text-'.$color->code.'{color: rgb('.$color->f4.')}'.PHP_EOL;
	echo '.bg-'.$color->code.'{background-color:rgb('.$color->f4.')}'.PHP_EOL;
	echo '.border-'.$color->code.'{border-color:rgb('.$color->f4.')}'.PHP_EOL;

	// Steps
	if(!preg_match('/\d/', $color->code)) {
		echo '.steps-'.$color->code.' li a, .steps-'.$color->code.' li p {color:white; background: rgba('.$color->f4.', 1);}'.PHP_EOL;
		echo '.steps-'.$color->code.' li a, .steps-'.$color->code.' li p {color: '.$color->f4.';}'.PHP_EOL;
		echo '.steps-'.$color->code.' li.active a, .steps-'.$color->code.' li.active {background: '.$color->f4.';}'.PHP_EOL;
		echo '.steps-'.$color->code.' li:not(:first-child) a:before, .steps li:not(:first-child) p:before {border-left: 10px solid rgb(100,100,100)}'.PHP_EOL;
		echo '.steps-'.$color->code.' li:not(:last-child) a:after, .steps-'.$color->code.' li:not(:last-child) p:after {border-left: 10px solid rgba('.$color->f4.', 1);}'.PHP_EOL;
		echo '.steps-'.$color->code.' li.active a:after, .steps-'.$color->code.' li.active p:after {border-left: 10px solid '.$color->f4.';}'.PHP_EOL;
		echo '.steps-'.$color->code.' li.undone a, .steps-'.$color->code.' li.undone p {background: rgb(180,180,190); color: rgb(90,90,90)}'.PHP_EOL;
		echo '.steps-'.$color->code.' li.undone a:after, .steps-'.$color->code.' li.undone p:after {border-left: 10px solid rgb(180,180,190)}'.PHP_EOL;
	}
}
echo PHP_EOL;

?>