<?php

$root   = '../../';
require($root.'config/config.php');

die();

$patients = $csv->read('readmit2.csv');

foreach($patients as $pat) {
    $file   = $pat->file;
    $ward   = $pat->ward;
    $clinic = $pat->clinic;

    $patient_str        = "SELECT id FROM clinical_patients WHERE code = $file ";
    foreach($app->read($patient_str) as $row) {
        $patient        = new Patient($row->id);
        $visit          = $patient->visit();
        $visit_location = $patient->visitLocation();
        if($visit_location->admitted) {
            echo 'Visit location admitted ';
            $visit      = $visit_location->visit();
            if($visit->admitted) {
                echo 'and visit admitted at '.$visit_location->location.': '.$visit_location->location()->location()->name.'<br />';
            } else {
                echo 'but visit is NOT admitted<br />';
                $visit->set('admitted', 1);
            }
        } elseif($visit->admitted) {
            echo 'Visit admitted <br />';
            $visit_location = $patient->lastVisitLocation();
            if($visit_location->visit_id == $visit->id) {
                $visit_location->set('admitted', 1);
            } else {
                echo 'You need a new visit location!<br />';
            }
        } else {
            $visit_location = $patient->lastVisitLocation();
            $visit          = $visit_location->visit();
            $visit_location->set('admitted', 1);
            $visit->set('admitted', 1);
            echo 'Visit and visit location revived <br />';
        }
    }
}

?>