<?php

$root   = '../../';
require($root.'config/config.php');

$obj    = new Wallet();

$done   = array();
$sql    = "SELECT billing_wallets.code FROM billing_wallets JOIN clinical_patients ON clinical_patients.code = billing_wallets.code ";
foreach($app->read($sql) as $row) {
    $done[] = $row->code;
}

//die(var_dump($done));

$sql    = "SELECT billing_wallets_old.* FROM billing_wallets_old JOIN clinical_patients ON clinical_patients.code = billing_wallets_old.code WHERE billing_wallets_old.subtotal > 0";

foreach($app->read($sql) as $row) {
    
    if(in_array($row->code, $done)) {
        echo $row->code.' exists<br />';
    } else {
        $create_data            = array (
			'type'              => $row->type,
			'subtype'           => $row->subtype,
			'store_id'          => $row->store_id,

			'parent'         	=> $row->parent,
			'parent_id'      	=> 0,
			'personnel'         => $row->personnel,
			'personnel_id'      => $row->personnel_id,
			'code'              => $row->code,
			'name'              => $row->name,
			'birthdate'         => $row->birthdate,
			'sex'               => $row->sex,
			'phone'             => $row->phone,
			'email'             => $row->email,

			'pricelist'         => $row->pricelist,
			'pricelist_id'      => $row->pricelist_id,
			'insurance'         => $row->insurance,
			'insurance_id'      => $row->insurance_id,
			'scheme'            => $row->scheme,
			'scheme_id'         => $row->scheme_id,

			'folio_id'          => $row->folio_id,
			'folio_no'          => $row->folio_no,

			'visit_id'          => $row->visit_id,
			'visit_location_id' => $row->visit_location_id,

			'requested_notes'   => $row->requested_notes,
			'items'             => $row->items,
			'cost'              => $row->cost,
			'subtotal'          => $row->subtotal,
			'progeress'         => 'Requested',
			'progress_code'     => 1
		);

        $wallet_id              = $obj->createWithMinimumData($create_data);
        $wallet                 = new Wallet($wallet_id);

        $wallet->update (
            array (
                'created_user_id'   =>  $row->created_user_id,
                'created_datetime'  =>  $row->created_datetime,
            )
        );
    }
}

?>