<?php

require($root.'api/nhif/NHIF.php');
$nhif               = new NHIF();

$year               = date('Y');
$month              = date('m');
$closed_folios_sql  = "SELECT id FROM billing_folios WHERE progress = 'Confirmed' AND year = $year AND month = $month LIMIT 10";
$user               = new User(96);

echo '<br />';

foreach($app->read($closed_folios_sql) as $row) {
    $folio          = new Folio($row->id);
    $submitted      = $nhif->submitFolio($row->id);
    
    if($submitted->status_code == '200') {
        $folio->changeProgress('Forwarded', '', $app->cleanText($submitted->message));
        echo '<div style="color:green"><b>'.$folio->folio_no.' Success: </b>'.$submitted->message.'<div><br /><br />';
    } else {
        $folio->changeProgress('Returned', '', $app->cleanText($submitted->message));
        echo '<div style="color:red"><b>'.$folio->folio_no.' Failed: </b>'.$submitted->message.'</div><br /><br />';
    }
}

?>