<?php 

$root               = '../../';
$submodule_code     = '';
require($root.'config/config.php');

$district           = isset($get->referral_district) ? $get->referral_district : (isset($get->referral_district_id) ? $get->referral_district_id : '');
$css                = isset($get->css) ? str_replace('grid-control', '', $get->css) : '';
$style              = isset($get->style) ? $get->style : '';
$parent             = isset($get->parent) ? $get->parent : '';
$id                 = $get->id;

$referral_facilities = array();

$districts_sql      = "SELECT id, type, subtype, common_name, name FROM location_facilities WHERE district = '$district' ORDER BY name ";
foreach($app->read($districts_sql) as $row) {
    $name           = $row->name.' - '.$row->type;
    if(strlen($row->subtype)) $name .= ' - '.$row->subtype;
    if(strlen($row->common_name)) $name .= ' ('.$row->common_name.')';
    
    $referral_facilities[] = array(
        'name'      => $name,
        'value'     => $row->id
    );
}

echo $app->renderInputSelect('referral_facility_id', '', 'Choose facility', 'line-control select-search', 'data-parent="referral_district" data-source="html/filters/referral_facility_select.php"', $referral_facilities);
    
?>

<script> app.initializeControls(); </script>