<?php if(!$user_id) {header('Location: '.$root.'pages/auth/login'); die('You must login');}

require($root.'html/header.php');

echo '<div class="container-fluid">
<div class="row">
<div class="col-12" id="workspace"></div>
</div></div>

<header class="shadow py-3 mb-3">
<div class="container-fluid">

<div class="row">
<div class="col-md-4 col-lg-3 col-xl-2 d-none d-md-block">
<span class="h4 fw-bold">'.$client->app_name.' '.APP_VERSION.'</span>
</div>

<div class="col-md-8 col-lg-9 col-xl-10">
<div class="row">

<div class="col-md-4 col-lg-6 col-xl-8 d-none d-lg-block text-truncate">';

if(CLIENT_ID == 'bulyanhulu') {
    echo '<img src="'.$root.CLIENT_LINK.'images/logo.png" style="width:150px; margin-right:10px" />
    <div class="d-inline-block h4 fw-bold">'.$client->client_name.'</div>';
} else {
    echo '<div class="">
    <img src="'.$root.CLIENT_LINK.'images/logo.png" style="width:40px; margin-top:-4px; margin-right:6px; border-radius:50% " />
    <div class="d-inline-block h4 fw-bold"><div style="position:relative; top:2px">'.$client->client_name.'</div></div>
    </div>';
}

$image = $user->picture();

echo '</div>

<div class="col-lg-6 col-xl-4">

<button class="btn btn-primary d-md-none me-2" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas_main_menu">
<span class="fa fa-bars"></span>
</button>

<span class="dropdown">
<a role="button" class="text-decoration-none h4 fw-bold" style="position:relative; top:4px" data-bs-toggle="dropdown"> <img src="'.$image.'" class="rounded-circle" style="width:36px; margin-top:-5px" /> '.$app->shortname($person->firstname(), 8).' <span class="fa fa-caret-down"></span></a>
<ul class="dropdown-menu">';
 
if($user->personnel == 'SaccosMember')  {
    echo '<li> <a class="dropdown-item remote-modal fw-semibold" data-bs-toggle="modal" data-bs-target="#modal_lg" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" href="'.$root.'pages/saccos/members/form.php?action=open&id='.$user->personnel()->id.'"> <span class="fa-regular fa-user-tie fa-fw"></span> &nbsp; Personal details </a></li>';
} elseif($user->personnel == 'Employee')  {
    echo '<li> <a class="dropdown-item remote-modal fw-semibold" data-bs-toggle="modal" data-bs-target="#modal_lg" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" href="'.$root.'pages/personnel/employees/form.php?action=open&id='.$user->personnel()->id.'"> <span class="fa-regular fa-user-tie fa-fw"></span> &nbsp; Personal details </a></li>';
}

echo '<li class="py-2"><a class="dropdown-item remote-modal text-decoration-none fw-semibold" data-bs-toggle="modal" data-bs-target="#modal_lg" href="'.$root.'pages/auth/password/form.php?action=edit"> <span class="fa-regular fa-user-lock fa-fw"></span> &nbsp; Change password </a></li>
<li> <hr class="dropdown-divider"></li>
<li> <a class="dropdown-item fw-bold" href="'.$root.'pages/auth/logout"> <span class="fa-solid fa-power-off fa-fw"></span> &nbsp; Sign out </a></li>
</ul>
</span>

<span id="notification_container">

<div class="d-inline-block bg-gray4 text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px"> <span class="fa-thin fa-spin fa-loader fa-fw"></span> </div>

<div class="d-inline-block bg-gray4 text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px"> <span class="fa-thin fa-spin fa-loader fa-fw"></span> </div>

<div class="d-inline-block bg-gray4 text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px"> <span class="fa-thin fa-spin fa-loader fa-fw"></span> </div>

</span>

</div>

</div>

<div>
</div>

</div>
</div>
</header>






<div class="container-fluid">
<div class="row">
<div class="col-xl-2 col-lg-3 col-md-4 px-0 py-1">';

require($root.'html/menu.php');

echo '</div>

<div class="col-xl-10 col-lg-9 col-md-8">

<h2 class="fw-bold my-3 text-truncate">
<small class="'.str_replace('light', 'solid', str_replace('regular', 'solid', $submodule->icon)).' fa-fw"></small> '.$submodule->title;

if($submodule->list_info) echo '<small class="fs-5 text-muted fw-semibold"><div class="mt-3">'.$app->uncleanText($submodule->list_info).'</div></small>';

echo '</h2>';




// Notifications

echo '<div class="col-12">';

foreach($user->notifications() as $row) {
    $notification = new Notification($row->id);
    echo $notification->renderAlert();
}

echo '</div>';





// Filters

echo '<div class="row">';

$app->form_control = '';

$filters = isset($filters) ? json_decode(json_encode($filters)): array();
foreach($filters as $filter) {
    $filter->type       = isset($filter->type) ? $filter->type : '';
    if($filter->type == 'search') {
        $css            = isset($filter->css) ? $filter->css : 'col-lg-6 col-xl-8 mt-2 mb-3';
        $placeholder    = isset($filter->placeholder) ? $filter->placeholder : 'Search '.strtolower($submodule->title);
        $keyword        = isset($get->keyword) ? $get->keyword : '';
        echo '<div class="'.$css.'">
        <div class="input-group">
        <div class="input-group-text border-end-0 pe-2 text-muted"> &nbsp; <span class="fa-solid fa-magnifying-glass"></span> &nbsp; </div>
        <input type="text" name="keyword" id="keyword" value="'.$keyword.'" class="ps-2 border-start-0 form-control form-control-lg filter-control onkeyup-reload-list " placeholder="'.$placeholder.'" autofocus />
        </div></div>';
    } elseif($filter->type == 'buttons') {
        $css                = isset($filter->css) ? $filter->css : 'col-xl-4 col-lg-6 mt-2 mb-3';
        echo '<div class="'.$css.'"><div class="row">';
        foreach($filter->control as $button) {
            if($button->type == 'advanced') echo '<div class="col"><a id="advanced_button" type="button" title="Filters" class="bs-tooltip btn btn-outline-secondary filter-toggle text-truncate btn-lg w-100"> 
            <small> <span class="fa-regular fa-filter"></span> Filters </small> </a></div>';
            if($button->type == 'refresh') echo '<div class="col"><a id="refresh_button" type="button" title="Refresh" class="bs-tooltip btn btn-outline-secondary reload-onclick text-truncate btn-lg w-100 "> 
            <small><span class="fa-regular fa-rotate fa-fw"></span> Refresh </small></a></div>';
            if($button->type == 'create') {
                $url        = isset($button->url) ? $button->url : 'form.php';
                $require    = isset($button->require) ? $button->require : '';
                $title      = isset($button->title) ? $button->title : 'Create';
                echo '<div class="col"><a id="create_button" type="button" href="#" title="'.$title.'" class="bs-tooltip remote-modal btn btn-primary create-button text-truncate btn-lg w-100 fw-bold" data-url="'.$url.'" data-require="'.$require.'"> 
                <small> <span class="fa-solid fa-plus "></span> '.$title.'  </small></a></div>';
            }
        }
        echo '</div></div>';
    } elseif($filter->type == 'advanced') {
        $css            = isset($filter->css) ? $filter->css : 'col-xl-4 col-lg-6 mt-2 mb-3';
        echo '<div class="'.$css.'">
        <a id="advanced_button" type="button" title="Filters" class="bs-tooltip btn btn-outline-secondary filter-toggle text-truncate btn-lg w-100"> 
        <small> <span class="fa-regular fa-filter"></span>Here  </small>
        </a></div>';
    } elseif($filter->type == 'refresh') {
        $css            = isset($filter->css) ? $filter->css : 'col-xl-4 col-lg-6 mt-2 mb-3';
        echo '<div class="'.$css.'">
        <a id="refresh_button" type="button" title="Refresh" class="bs-tooltip btn btn-outline-secondary reload-onclick text-truncate btn-lg w-100"> 
        <small><span class="fa-regular fa-rotate"></span>  </small></a>
        </a></div>';
    } elseif($filter->type == 'create') {
        $css            = isset($filter->css) ? $filter->css : 'col-xl-4 col-lg-6 mt-2 mb-3';
        $url            = isset($button->url) ? $button->url : 'form.php';
        $require        = isset($button->require) ? $button->require : '';
        $title          = isset($button->title) ? $button->title : 'Create';
        echo '<div class="'.$css.'">
        <a id="create_button" type="button" href="#" title="'.$title.'" class="bs-tooltip remote-modal btn btn-primary create-button text-truncate btn-lg w-100" data-url="'.$url.'" data-require="'.$require.'"> 
        <small> <span class="fa-solid fa-plus"></span>  </small></a>
        </a></div>';
    } else {
        $css            = isset($filter->css) ? $filter->css : 'col-xl-4 col-lg-6 mt-2 mb-3';
        echo '<div class="'.$css.'">'.$filter->control.'</div>';
    }
}











echo '</div>';

echo '

<!-- Main content -->

<div id="list_container" class="my-3">


</div>





</div>


</div>

</div>

</div>
</div>';

/*

$user_password_life     = $app->getSystemSettings('user_password_life', '3 months');

if(strtotime($user->password_datetime) < strtotime(' - '.$user_password_life)) {
    echo '<script> 
    window.addEventListener(\'load\', function() { 
        $(\'#modal_lg_content\').load(\''.$root.'pages/auth/password/form.php?action=edit&forced\');
        $(\'#modal_lg\').modal({backdrop:\'static\', keyboard:false});
        $(\'#modal_lg\').modal(\'show\');
    });
    </script>';
} else {

    $personnel      = $user->personnel();
    $person         = $user->person();

    $complete_fields    = 10;
    $message            = 'Congratulations!';

    if(strlen($person->name) < 3) {
        $complete_fields--;
        $message    = 'Your name is required';
    }

    if(strtotime($person->birthdate) > strtotime(' - 10 years') || strtotime($person->birthdate) < strtotime(' - 100 years')) {
        $complete_fields--;
        $message    = 'Date of birth is suspicious';
    }

    if(!$person->sex) {
        $complete_fields--;
        $message    = 'Sex is required';
    }

    if(strlen($person->phone) < 10) {
        $complete_fields--;
        $message    = 'Phone number is required';
    }

    if(strlen($person->country) < 2) {
        $complete_fields--;
        $message    = 'Nationality is required';
    }

    if(!$person->region_id) {
        $complete_fields--;
        $message    = 'Region is required';
    }

    if(!$person->district_id) {
        $complete_fields--;
        $message    = 'District is required';
    }

    if(!$person->village_id) {
        $complete_fields--;
        $message    = 'Ward is required';
    }

    $contacts   = $person->getContactPeople();
    foreach(array_keys($contacts) as $contact) {
        if(strlen($contacts[$contact]->name) > 2) {
            break;
        } else {
            $complete_fields--;
            $message  = 'Next of kin is required';
        }
    }

    $profile_picture    = $app->getAttachmentByCode($person->personnel, $personnel->id, 'ProfilePicture');
    if(!$profile_picture->id) {
        $complete_fields--;
        $message        = 'Profile picture is required';
    }

    if($complete_fields < 10) {
        echo '<script> 
        window.addEventListener(\'load\', function() { 
            $(\'#modal_lg_content\').load(\''.$root.'pages/personnel/users/profile_form.php?action=edit\');
            $(\'#modal_lg\').modal({backdrop:\'static\', keyboard:false});
            $(\'#modal_lg\').modal(\'show\');
        });
        </script>';
    }
    
}

*/

require($root.'html/footer.php');

?>