<?php

$root           = '';
$submodule_code = 'Welcome';
require($root.'config/config.php');
$pagecode       = isset($get->page) ? $get->page : 'Home';
$pagecode       = ucfirst($pagecode);
$page_id        = $app->getColumnValue('content_webpages', 'id', 'code', $pagecode);
$webpage        = new WebPage($page_id);
$title          = $webpage->title.' - '.$client->client_name;

require($root.'html/header.php');

// Render common header

if($pagecode != 'Home') {
    $sql        = "SELECT id FROM content_websections WHERE tags LIKE '%header%' ORDER BY priority ";
    foreach($app->read($sql) as $row) {
        $websection = new WebSection($row->id);
        echo $app->uncleanText($websection->renderContents());
    }
    echo        '<div class="container-fluid"><div class="row"><div class="col-lg-1"></div>
    <div class="col-lg-10">
    <h1 class="my-3 fw-bold">'.$webpage->title.'</h1>
    <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
    <li class="breadcrumb-item"><a class="text-decoration-none" href="?page=Home">Nyumbani</a></li>
    <li class="breadcrumb-item active" aria-current="page">'.$webpage->title.'</li>
    </ol>
    </nav>
    </div></div></div>';
}

echo $app->uncleanText($webpage->renderSections());

// Render common footer

if($pagecode != 'Home') {
    $sql        = "SELECT id FROM content_websections WHERE tags LIKE '%footer%' ORDER BY priority ";
    foreach($app->read($sql) as $row) {
        $websection = new WebSection($row->id);
        echo $app->uncleanText($websection->renderContents());
    }
}

echo '<script> 
window.addEventListener(\'load\', function() { 
    $(\'#'.$pagecode.'\').removeClass(\'btn-outline-primary\').addClass(\'btn-primary\');
});
</script>';

require($root.'html/footer.php');

?>