<?php 

$root               = '../../../';
$submodule_code     = 'Accounts';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-xl-8 col-lg-6 pt-2 pb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search accounts', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php', 'required'=>'account_subtype')
        )
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_level3', '', 'Account level 3', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg"', 'accounting_accounts', 'id', 'name', 'level=3')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_level4', '', 'Account level 4', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="account_level3" data-source="pages/accounting/accounts/account_level4_select.php"', array())
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_level5', '', 'Account level 5', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="account_level4" data-source="pages/accounting/accounts/account_level5_select.php"', array())
    )
);

require($root.'html/template.php');

?>