<?php 

$root               = '../../../';
$submodule_code     = 'journals';
require($root.'config/config.php');

$obj                = new Account();
$condition          = strlen($get->account_type) ? " AND accounting_journals.type = '$get->account_type' " : " ";
$condition          .= strlen($get->account_subtype) ? " AND accounting_journals.subtype = '$get->account_subtype' " : " ";
//$condition          .= strlen($get->account_name) ? " AND accounting_journals.name = '$get->account_name' " : " ";

$sql                = "SELECT 
accounting_journals.id,
accounting_journals.transaction name,
accounting_journals.date,
accounting_journals.details,
accounting_journals.debit,
accounting_journals.credit,
accounting_journals.amount
FROM accounting_journals
WHERE accounting_journals.status = 1
AND accounting_journals.name LIKE '%$get->keyword%' 
ORDER BY accounting_journals.id
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'DATE', 'value'=>'date', 'css'=>'w-15'),
        array('name'=>'NAME', 'value'=>'name', 'css'=>'w-15'),
        array('name'=>'DETAILS', 'value'=>'details', 'css'=>''),
        array('name'=>'DEBIT', 'value'=>'debit', 'css'=>'w-12'),
        array('name'=>'CREDIT', 'value'=>'credit', 'css'=>'w-12'),
        array('name'=>'AMOUNT', 'value'=>'amount', 'css'=>'w-12 fw-bold text-muted text-end money')
    ),
    'rows'      => $data->rows,
    'css'       => 'table-bordered'
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>