<?php 

$root               = '../../../';
$submodule_code     = 'ledgers';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-xl-8 col-lg-6 pt-2 pb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search ledgers', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'advanced'),
            array('type'=>'refresh'),
            //array('type'=>'create', 'url'=>'form.php', 'required'=>'account_subtype')
        )
        ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_type', '', 'Choose account type', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="AccountType"')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_subtype', '', 'Choose account subtype', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="account_type" data-source="pages/accounting/accounts/subtypes_select2.php"', array())
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('account_name', '', 'Choose account name', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="account_subtype" data-source="pages/accounting/accounts/accounts_select.php"', array())
    )
);

require($root.'html/template.php');

?>