<?php

$root           = '../../../';
$submodule_code = 'login';
require($root.'config/config.php');

if(CLIENT_ID == 'bulyanhulu') {
    require($root.'auto/discharge.php');
}

$title          = 'Login - '.$client->app_name;
require($root.'html/header.php');

echo '<div class="container">

<div class="row">

<div class="col-xxl-4 col-xl-3 col-lg-3 col-md-2"></div>

<div class="col-xxl-4 col-xl-6 col-lg-6 col-md-8 pt-3">';

if(CLIENT_ID == 'bulyanhulu') {
    echo '<div class="text-center">
    <img src="'.$root.CLIENT_LINK.'images/logo.png" style="width:100%; margin-top:50px; margin-bottom:30px" /> 
    </div>';

    echo '<div class="card bg-primary border" style="--bs-bg-opacity: .1;">
    <div class="card-body p-4">';
    
} else {
    echo '<div class="text-center">
    <div class="rounded-circle" style="width:183px; height:183px; background-color:#cacdd1; margin-left:auto; margin-right:auto; position:relative; bottom:-80px; z-index:1">
    <img src="'.$root.CLIENT_LINK.'images/logo.png" class="rounded-circle" style="width:180px; margin-top:1px; margin-left:1px; background-color:rgb(255,255,255); border:10px solid rgb(var(--bs-white-rgb)); " /> 
    </div>
    </div>';

    echo '<div class="card bg-primary border" style="--bs-bg-opacity: .1; padding-top:70px">
    <div class="card-body p-4">';
}

echo '<form id="login_form" class="ajax-form" action="'.$root.'pages/auth/login/process.php" method="post" autocomplete="off">

<h4 class="card-title my-3 text-center fw-bold">
Login to '.$client->app_name.'
</h4>

<div class="form-floating">
<input name="username" id="username" type="text" class="px-3 form-control form-control-lg border border-bottom-0 rounded-0 rounded-top" style="background-color: var(--bs-body-bg) !important;" placeholder="Username or phone" autocomplete="off">
<label for="username" class="px-3"> Username </label>
</div>

<div class="form-floating">
<input name="password" id="password" type="password" class="px-3 mb-3 form-control form-control-lg rounded-0 rounded-bottom" placeholder="Password" autocomplete="off">
<label for="password" class="px-3"> Password </label>
</div>

<div class="progress d-none" id="login_form_progress_container">
<div class="progress-bar" role="progressbar" style="width:0%" id="login_form_progress_bar">
0%
</div>
</div>
<div id="login_form_response">
</div>

<div class="row my-4">

<div class="col-6 text-end">
<a class="btn btn-outline-primary w-100 fw-semibold btn-lg text-decoration-none remote-modal" href="../reset/form.php" data-bs-toggle="modal" data-bs-target="#modal_lg"><span class="fa-regular fa-info-circle fa-fw"></span> Help</a>
</div>

<div class="col-6">
<button id="login_form_submit_button" class="btn btn-lg btn-primary w-100 fw-semibold" type="submit" data-complete-text="Signing in..." autocomplete="off"><span class="fa-solid fa-check fa-fw"></span> Login</button>
</div>

</div>

</form>


</div>
</div>

</div>

<div class="col-xxl-4 col-xl-3 col-lg-3 col-md-2"></div>

</div>

</div>';

echo '<script> window.addEventListener("load", function() { app.prepareAjaxForm(\'login_form\'); });</script>';

require($root.'html/footer.php');

?>