<?php 

$root           = '../../../';
$submodule_code = 'other';
require($root.'config/config.php');

$reset_phone    = $session->reset_phone;
$reset_user_id  = $post->reset_user_id;

$sql            = "SELECT personnel_users.id FROM personnel_users JOIN personnel_persons ON personnel_persons.id = personnel_users.person_id WHERE personnel_persons.phone = '$reset_phone' AND personnel_users.id = $reset_user_id ";
$users          = $db->read($sql);

// If password matches
if($post->new_password == $post->repeat_password) {

    // If current password is correct
    if($post->verification_code == $session->reset_code && count($users)) {
        
        // If new password meets criteria
        $uppercase      = preg_match('@[A-Z]@', $post->new_password);
        $lowercase      = preg_match('@[a-z]@', $post->new_password);
        $number         = preg_match('@[0-9]@', $post->new_password);
        $specialchars   = preg_match('@[^\w]@', $post->new_password);
        $length         = strlen($post->new_password) > 7;

        if(!$uppercase) die($app->renderAlertError('New password should contain atleast one upper case.', 'Upper case'));
        if(!$lowercase) die($app->renderAlertError('New password should contain atleast one lower case.', 'Lower case'));
        if(!$number) die($app->renderAlertError('New password should contain atleast one number.', 'Number'));
        if(!$specialchars) die($app->renderAlertError('New password should contain atleast one special character.', 'Character'));
        if(!$length) die($app->renderAlertError('New password should be atleast 8 characters long.', 'Short password'));

        $password_data  = array(
            'password'          => $auth->hashPassword($post->new_password),
            'password_datetime' => $now
        );

        $reset_user = new User($reset_user_id);

        if($reset_user->update($password_data)) {
            echo $app->renderAlertSuccess('Your password has been updated.', 'Success', 'modal_lg');
        }
    } else {
        die($app->renderAlertError('Your verification code is invalid or expired.'));
    }
} else {
    die($app->renderAlertError('Passwords do not match', 'Passwords mismatch'));
}

?>