<?php 

$root           = '../../../';
$submodule_code = 'other';
require($root.'config/config.php');

$phone          = $app->formatPhone($get->phone);
$sql            = "SELECT personnel_users.id value, CONCAT(name, ' (', username, ') ') name FROM personnel_persons JOIN personnel_users ON personnel_users.person_id = personnel_persons.id WHERE phone = '$phone' ";
$people         = $db->read($sql);
$people_count   = count($people);

if($people_count) {
    //echo $app->renderVerticalPad('5px');
    //echo $app->renderAlertSuccess('We found '.$people_count.' accounts with that phone number');

    echo '<div class="row my-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8 text-success"> <span class="fa-light fa-check-circle fa-fw"></span> Found '.$people_count.' accounts with that phone. </div>
    </div>';

    echo $app->renderInputSelect('user_id', '', '', 'line-control grid-control select-search', '', $people, '', '', '', 'Choose account');

    echo '<div id="send_code_container">
    <div class="row my-4">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> <a onclick="sendCode()" class="btn btn-primary w-100"> Send a one-time code</a> </div>
    </div></div>';
} else {

    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> '.$app->renderAlertError('No account found with that phone.').' </div>
    </div>';

    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> <a onclick="findAccount()" class="btn btn-primary w-100"> Try again </a> </div>
    </div>';

    
}

?>

<script>

$('.select-search').selectpicker({liveSearch: true}); 

</script>