<?php

$html .= '<div class="row pb-4" id="customer_search_container">';
$html .= '<div class="col-12"> <div class="trans-container mb-4">
<h5 class="trans-subtitle fw-bold"> Search, register or use a temporary customer: </h5>

'.$app->renderInputSelect('customer_keyword', '', 'File number', 'form-control-lg line-control data-list',  'onchange="searchPeople(\'Search\', $(this).val())"', array()).'

<div id="search_loader_container"></div>
</div> </div>		
<div class="col-12 col-lg-4 mb-3">
<a title="Search for existing customers" class="customer-search-btn btn btn-primary w-100 bs-tooltip" data-customer-type="Search"> <span class="fa-regular fa-magnifying-glass fa-fw"></span> Search </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Register new customer" class="customer-search-btn btn btn-outline-primary w-100 bs-tooltip" data-customer-type="Register"> <span class="fa-regular fa-plus fa-fw"></span> Register </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Use temporary customer" class="customer-search-btn btn btn-outline-primary w-100 bs-tooltip" data-customer-type="Temporary"> <span class="fa-regular fa-clock fa-fw"></span> Temporary </a>
</div>';

$html .= '<div class="col-12 mt-4">'.$app->renderAlertPrimary('<b>Search:</b> Sale to an existing customer<br /> <b>Register:</b> Add and sale to the new added customer <br /><b>Temporary:</b> Sale to a walk in customer', '<h5>Customer options:</h5>').'</div>';

$html .= '</div>';
$html .= '<div class="" id="customer_results"> </div>';

$html .= '<script> 

$(\'#ajax_form_bills_submit_button\').hide();

$(\'#customer_keyword\').on(\'keyup\', function(e) {
	var customer_keyword	= $(\'#customer_keyword\').val();
	$(\'#search_loader_container\').html(loading_bar);
	
	if (!e) var e = window.event;
	if (e.keyCode == 13) {
		e.preventDefault();
		searchPeople(\'Search\', customer_keyword);
	} else {
		var data_list_source 	= encodeURI(root+\'pages/billing/bills/customers_search.php?keyword=\'+customer_keyword);
		$(\'#data_list_customer_keyword\').load(data_list_source, function() {
			$(\'#search_loader_container\').html(\'\');
		});
	}
});

$(\'.customer-search-btn\').on(\'click\', function() {
	var customer_type 	    	= ($(this).data(\'customer-type\'));
	var customer_keyword 		= $(\'#customer_keyword\').val();
	searchPeople(customer_type, customer_keyword);
});

function searchPeople(customer_type, customer_keyword) {
	var url 					= encodeURI(root+\'pages/billing/bills/customers_results.php?id='.$get->id.'&store_id='.$get->store.'&customer_type=\'+customer_type+\'&customer_keyword=\'+customer_keyword);
	$(\'#customer_results\').html(loading_bar).load(url);
}

setTimeout(function() {
	$(\'#customer_keyword\').focus();
}, 500);

</script>';