<?php

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');

$obj                = new Submodule($get->id);
$cache_path	        = $root.CLIENT_PATH.'cache/wcf_pricelist.json';

echo $submodule->renderModalFormOpen(array('title'=>'Download WCF pricelist', 'form_action'=>'pricelist_download/wcf_process.php'));
   
if(file_exists($cache_path)) {

    $cache_date         = date('Y-m-d H:i', filemtime($cache_path));

    echo $app->renderAlertSuccess('Pricelist downloaded on '.$cache_date, 'Pricelist exists');
} else {
    echo $app->renderAlertWarning('Click download button to download pricelist from WCF', 'No pricelist'); 
}

echo '<br />';

echo $app->renderInputText('facility_code', $client->wcf_hcp_code, '', 'grid-control line-control readonly', '', 'Facility code');


echo $submodule->renderModalFormClose(array('action_label'=>'<span class="fa-solid fa-check fa-fw"></span> Download'));

?>