<?php 

$root               = '../../../../';
$submodule_code     = 'BillingBulk';
require($root.'config/config.php');
require($root.'api/wcf/WCF.php');
$wcf                = new WCF();

$obj                = new Submodule($get->id);
$cache_path	        = $root.CLIENT_PATH.'cache/wcf_pricelist.json';
$pricelist          = $wcf->downloadPricelist();

if($pricelist->status_code == 200) {
    $message        = json_decode($pricelist->message);
    $data           = json_encode($message->data);
    file_put_contents($cache_path, $data);
    echo $app->renderAlertSuccess('WCF price packages downloaded and saved successfully');
} else {
    echo $app->renderAlertError($pricelist->message, 'Error '.$pricelist->status_code);
}

?>