<?php

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');

$cache_path	        = $root.CLIENT_PATH.'cache/wcf_pricelist.json';
$wcf_code_category  = $app->getCategoryByCode('ItemCode', 'wcf_code');
$wcf_code_column    = $wcf_code_category->f1;

if(file_exists($cache_path)) {
    echo $submodule->renderModalFormOpen(array('title'=>'Synchronize WCF items', 'form_action'=>'pricelist_sync/wcf_process.php'));
    echo $app->renderAlertInfo('Submit to sync WCF pricelist with the file downloaded on '.date('Y-m-d H:i', filemtime($cache_path)), 'Ready');
    echo $submodule->renderModalFormClose();
} else {
    die($app->renderAlertWarning('Please download WCF items before listing them', 'No items found'));
}

?>