<?php 

$root           = '../../../';
$submodule_code = 'Claims';
require($root.'config/config.php');
$obj            = new Folio($get->folio_id);
$folio          = new Folio($get->folio_id);
$visit          = new Visit($get->visit_id);

$patient            = new Patient($visit->patient_id);
$visit_location     = new VisitLocation();
$person             = $patient->person();
$customer           = $patient->customer();
$bill               = new Bill();

$left_html          = $customer->renderBio();

$modal_options      = array (
    'title'         => '<span class="fa-solid fa-money-check-dollar-pen fa-fw"></span> Add accomodation',
    'left_html'     => $left_html,
    'form_id'       => 'ajax_form_claim',
    'form_action'   => 'add_process.php'
);

$html = $submodule->renderModalFormOpen($modal_options, 0);

$html .= $app->renderInputHidden('patient_id', $patient->id);
$html .= $app->renderInputHidden('visit_id', $get->visit_id);
$html .= $app->renderInputHidden('folio_id', $get->folio_id);
$html .= $app->renderInputHidden('visit_location_id', $visit_location->id);

// $html .= '<div class="rounded p-4 pt-5 pb-4 mb-4 bg-primary" style="--bs-bg-opacity: .05;">';
$html .= $app->renderInputHidden('action', 'create');
$html .= $app->renderInputHidden('trans_subtype', 'DirectSale');
$html .= $app->renderInputHidden('trans_customer_id', $customer->id);
$html .= $app->renderInputHidden('trans_customer_name', $person->name);
$html .= $app->renderInputHidden('customer_keyword', $person->name);
$html .= $app->renderInputHidden('trans_customer_birthdate', $person->birthdate);
$html .= $app->renderInputHidden('trans_customer_sex', $person->sex);
$html .= $app->renderInputHidden('trans_customer_phone', $person->phone);
$html .= $bill->renderTransactionHeader($customer);
$html .= $bill->renderTransactionItemsEditable('Billing cart'); 
$html .= $bill->renderItemsControls();
$html .= $bill->renderNotesControl('Requested');
//$html .= '</div>';

echo $html;

echo $submodule->renderModalFormClose($modal_options);

?>