<?php 

$root               = '../../../';
$submodule_code     = 'Customers';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-lg-6 col-xl-8 mt-2 mb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search customers', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('type', '', 'Customer type', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="CustomerType"')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('scheme', '', 'Choose scheme', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance" data-source="pages/billing/customers/schemes_select.php"', array())
    )
);

require($root.'html/template.php');

?>