<?php

$root           = '../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');

$sql                = "SELECT 
billing_customers.id,
billing_customers.code,
personnel_persons.id person_id,
personnel_persons.name,
personnel_persons.sex,
personnel_persons.phone
FROM personnel_persons
JOIN billing_customers ON billing_customers.person_id = personnel_persons.id
WHERE personnel_persons.name LIKE '%$get->keyword%'
ORDER BY personnel_persons.name
";

$rows           = $app->read($sql);
$customers      = array();

foreach($rows as $row) {
	$id 		= $row->id;
	$code 		= $row->code;
	$name 		= $row->name;
	$phone 		= $row->phone;
	$customers[]= array('code' => $id, 'name' => $name, 'phone' => $phone);
}

header('Content-type:application/json;charset=utf-8');
echo json_encode($customers);

?>