<?php 

$invoice                    = new Invoice($post->id);
$account                    = new Account($post->trans_payment_account_id);

$account                    = new Account($account->id);

if(!$user->accessAccount($account->id, 'deposit')) {
    die($app->renderAlertError('You are not authorized to use <b>'.$account->name.'</b>'));
}

$payment_data				= array (
    'payment_method'		=> 'CASH',
    'payment_channel'		=> 'CASH',
    'payment_account'		=> $account->code,
    'payment_account_id'	=> $account->id,
    'payment_receipt'		=> $invoice->id,
    'payment_name'			=> $invoice->name,
    'payment_phone'			=> $invoice->phone,
    'payment_notes'			=> $post->trans_payment_notes
);

$paid = $invoice->pay($payment_data);

if($paid) {
    echo $app->renderAlertSuccess('Payment received successfully', 'Success', 'modal_lg', true);
}

?>