<?php 

$invoice                    = new Invoice($post->id);
$account                    = new Account($post->trans_payment_account_id);
$visit                      = $invoice->visit();

if(in_array($invoice->subtype, array('Laboratory', 'Radiology', 'Procedure')) && !$visit->admitted && $insurance->code != 'CASH') {
    die($app->renderAlertError('Patient visit has been closed!'));
}

$payment_data				= array (
    'paid'                  => $this->payable,
    'payment_method'		=> 'NHIF',
    'payment_channel'		=> 'NHIF',
    'payment_account'		=> $account->code,
    'payment_account_id'	=> $account->id,
    'payment_transaction'	=> '',
    'payment_reference'		=> '',
    'payment_receipt'		=> $invoice->id,
    'payment_name'			=> $invoice->name,
    'payment_phone'			=> $invoice->phone,
    'payment_notes'			=> $post->trans_payment_notes
);

$paid = $invoice->pay($payment_data);

if($paid) {
    echo $app->renderAlertSuccess('Payment received successfully', 'Completed', 'modal_lg', true);
}

?>