<?php 

$root               = '../../../../';
$submodule_code     = 'CashierSales';
require($root.'config/config.php');
$start_date         = date('Y-m-d');
$end_date           = date('Y-m-d');

$filters            = array (
    array (
        'control'   => $app->renderInputDate('start_date', $start_date, '', 'form-control form-control-lg filter-control onkeyup-reload-list date-picker', '')
    ), 
    array (
        'control'   => $app->renderInputDate('end_date', $end_date, '', 'form-control form-control-lg filter-control onkeyup-reload-list date-picker', '')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('store_id', '', 'Choose store', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', $user->listStoresWithAccess('reports'))
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('user_id', '', 'Received by', 'filter-control default-any onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->getUsers())
    )
);

require($root.'html/template.php');

?>