<?php 

$root               = '../../../../';
$submodule_code     = 'ClaimSummary';
require($root.'config/config.php');
$start_date         = $app->monthStart();
$end_date           = $app->monthEnd();
$service_types      = array (
    'Consultation',
    'Admission',
    'Mortuary',
    'Laboratory',
    'Radiology',
    'Pharmacy',
    'Procedure',
    'Consumable',
    'DirectSale'
);

$visit_types        = array (
    array('name'=>'Outpatient', 'value'=>'Outpatient'),
    array('name'=>'Inpatient', 'value'=>'Inpatient')
);

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('visit_type', '', 'Choose visit type', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', $visit_types)
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('scheme_id', '', 'Choose scheme', 'filter-control default-all onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance_id" data-source="pages/billing/reports/patientsrevenue/schemes_select.php"', array())
    )
);

require($root.'html/template.php');

?>