<?php 

$reports_array = array(
	array('name' => 'Consultations', 	'value' => 'consultations',			'color' => 'dimgray', 'icon' => 'fa-regular fa-user-md'),
	array('name' => 'Laboratory', 		'value' => 'laboratory_requests',	'color' => 'orangered', 'icon' => 'fa-regular fa-flask'),
	array('name' => 'Radiology', 		'value' => 'radiology_requests',	'color' => 'brown', 'icon' => 'fa-regular fa-image'),
	array('name' => 'Procedures', 		'value' => 'procedures_requests',	'color' => 'chocolate', 'icon' => 'fa-regular fa-procedures'),
	array('name' => 'Prescription', 	'value' => 'prescriptions_requests','color' => 'darkolivegreen', 'icon' => 'fa-regular fa-pills')
);

$count 			= 0;
$amount			= 0;

echo '<div class="row">';

$summary      	= array (
    'rows'      => array(),
    'patients'  => array(),
    'amount'    => 0,
	'rewards'	=> 0
);

foreach($reports_array as $report_array) {
	$title 		= $report_array['name'];
	$link 		= $report_array['value'];
	$color 		= $report_array['color'];
	$icon 		= $report_array['icon'];

	require($link.'_query.php');

	$performance 	= $$link;
	$amount			+= $performance['amount'];

	$summary      	= array (
		'rows'      => array_merge($summary['rows'], $performance['rows']),
		'patients'  => array_merge($summary['patients'], $performance['patients']),
		'amount'    => $summary['amount'] + $performance['amount'],
		'rewards'	=> $summary['rewards'] + $performance['rewards'],
	);

	echo '<div class="col-sm-4 my-3">
	<a href="#" class="text-decoration-none" onclick="$(\'#report_type\').selectpicker(\'val\', \''.$link.'\'); app.loadList();">
	<div class="card bg-primary" style="--bs-bg-opacity: .1;">
    <div class="card-body p-4">
	<h3 class="card-heading mb-4"><div class="row"><div class="col-9"><span class="'.$icon.' fa-fw"></span> '.$title.'</div><div class="col-3 text-end">'.count(array_unique($performance['patients'])).'</div></div></h3>
	<h4 class="card-heading"><div class="row"><div class="col-3">TZS</div><div class="col-9 text-end">'.$app->formatMoney($performance['amount']).'</div></div></h4>
	</div>
    </div>
	</a></div>';
}

echo '<div class="col-sm-4 my-3">
    <a class="text-decoration-none" href="">
    <div class="card bg-primary" style="--bs-bg-opacity: .1;">
    <div class="card-body p-4">
    <h3 class="card-heading mb-4"><div class="row"><div class="col-9"><span class="fa-regular fa-coins fa-fw"></span> Total </div><div class="col-3 text-end">'.$count.'</div></div></h3>
    <h4 class="card-heading"><div class="row"><div class="col-3">TZS</div><div class="col-9 text-end">'.$app->formatMoney($amount).'</div></div></h4>
    </div>
    </div>
    </a></div>';

echo '</div>';

?>