<?php 

$root               = '../../../../';
$submodule_code     = 'ItemSales';
require($root.'config/config.php');
$start_date         = $app->monthStart();
$end_date           = $app->monthEnd();

$service_types      = array (
    'Consultation',
    'Admission',
    'Mortuary',
    'Laboratory',
    'Radiology',
    'Pharmacy',
    'Procedure',
    'Consumable',
    'DirectSale'
);

$filters            = array (
    array (
        'css'       => 'col-12 col-xl-4 mt-2 mb-3',
        'type'      => 'search'
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputSelect('service', '', 'Choose service', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', $service_types)
    ),
    array (
        'css'       => 'col-6 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputSelect('store_id', '', 'Choose store', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="service" data-source="html/filters/service_stores_select.php"', array())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('scheme_id', '', 'Choose scheme', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance_id" data-source="html/filters/insurance_schemes_select.php"', array())
    )
);

require($root.'html/template.php');

?>