<?php 

$root               = '../../../';
$submodule_code     = 'BillingReports';
require($root.'config/config.php');


$sql = "SELECT id, code FROM settings_submodules 
        WHERE settings_submodules.module = 'Billing' 
        AND settings_submodules.status > 0 
        AND settings_submodules.parent = '$submodule_code' 
        AND settings_submodules.name LIKE '%$get->keyword%' 
        ORDER BY settings_submodules.priority ";

$rows = $app->query($sql);

echo '<div class="row">';

foreach($rows as $row) {
    if($user->accessSubmodule($row->code)) {
        $report = new Submodule($row->id);
        if($report->tagged('modal')) {
            echo $report->renderModalLink();
        } else {
            echo $report->renderListLink();
        }
    }
}

echo '</div>';

?>