<?php 

$root               = '../../../../';
$submodule_code     = 'WalletStatement';
require($root.'config/config.php');
$start_date         = $app->monthStart();
$end_date           = $app->monthEnd();

$service_types      = array (
    'Consultation',
    'Admission',
    'Mortuary',
    'Laboratory',
    'Radiology',
    'Pharmacy',
    'Procedure',
    'Consumable',
    'DirectSale'
);

$filters            = array (
    array (
        'type'      => 'search',
        'placeholder' => 'Enter file number',
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputNumber('keyword', '', 'Enter file number', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    )
    /*
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('scheme_id', '', 'Choose scheme', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance_id" data-source="pages/billing/reports/generalrevenue/schemes_select.php"', array())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('service_type', '', 'Choose service', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $service_types)
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('requested_user_id', '', 'Requested by', 'filter-control default-any onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->getUsers())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('billed_user_id', '', 'Billed by', 'filter-control default-any onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->getUsers())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('paid_user_id', '', 'Received by', 'filter-control default-any onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->getUsers())
    )
    */
);

require($root.'html/template.php');

?>