<?php 

$root           = '../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');
$obj            = new Bill($post->id);
$crdb           = new CRDB();

$payments = $crdb->getPayments();

foreach($payments as $payment) {
    $control_number = $payment->control_number;
    $sale_id        = $app->getColumnValue('billing_sales', 'id', 'reference', $control_number);
    $sale           = new Bill($sale_id);
    $paid           = $sale->update( 
        array (
            'paid'                  => $sale->subtotal,
            'progress'              => 'Paid',
            'confirmed'             => 1,
            'confirmed_notes'       => $payment->transaction_no,
            'confirmed_user_id'     => $user_id,
            'confirmed_datetime'    => $now
        )
    );

    if($paid) {
        $confirmed = $crdb->confirmPayment($payment->id);
    }
}

?>