<?php 

$root               = '../../../';
$submodule_code     = 'Items';
require($root.'config/config.php');
$obj                = new Item();

die('Must be edited');

/*
TRUNCATE `procurement_grns`;
TRUNCATE `procurement_grn_items`;
TRUNCATE `procurement_orders`;
TRUNCATE `procurement_order_items`;
TRUNCATE `procurement_requests`;
TRUNCATE `procurement_request_items`;
TRUNCATE `procurement_requisitions`;
TRUNCATE `procurement_requisition_items`;
*/

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$transactions       = $app->read("SELECT * FROM tra_sales");
$trans_items        = $app->read("SELECT * FROM tra_sale_details");
$customers1         = $app->read("SELECT * FROM ppl_customers JOIN ppl_people USING(person_id)");
$db                 = $db_o;

$trans_details      = array();
foreach($trans_items as $item) {
    $trans_id       = $item->parent_id;
    $trans_details[$trans_id][] = $item;
}

$customers          = array();
foreach($customers1 as $customer1) {
    $customer_id    = $customer1->customer_id;
    $customers[$customer_id] = $customer1;
}

$bill_obj                           = new Table('billing_bills');
$invoice_obj                        = new Table('billing_invoices');

$bill_item_obj                      = new Table('billing_bill_items');
$invoice_item_obj                   = new Table('billing_invoice_items');

foreach($transactions as $transaction) {
    $done                           = $transaction->status == 'Completed' ? 1 : 0;
    $scheme                         = new Scheme($transaction->insurance_id);
    $insurance                      = $scheme->insurance();
    $pricelist                      = $scheme->pricelist();
    $customer                       = isset($customers[$transaction->person_id]) ? $customers[$transaction->person_id] : (object) array('dob'=>$transaction->create_date, 'card_no'=>'', 'sex'=>'', 'phone'=>'', 'email'=>'');
    $progress                       = $transaction->status == 'Completed' ? ($transaction->dispense_staff_id ? 'Dispensed' : 'Paid') : ($transaction->bill_staff_id ? 'Billed' : 'Requested');
    
    // Details

    $items                          = $trans_details[$transaction->sale_id];
    $this_trans_items               = array();
    foreach($items as $item) {
        $item_data                  = array (
            'id'                    => $item->details_id,
            'type'                  => '',
            'subtype'               => '',
            'parent'           => 'Bill',
            'parent_id'        => $transaction->sale_id,
            'insurance_id'          => $insurance->id,
            'account_id'            => $transaction->account_id,
            'scheme_id'             => $scheme->id,
            'folio_id'              => 0,
            'authorization_no'      => 0,
            'approval_no'           => 0,
            'store_id'              => $transaction->store_id,
            'item_id'               => $item->item_id,
            'name'                  => $app->formatName($item->name),
            'code'                  => '',
            'details'               => $item->details,
            'qty'                   => $item->quantity,
            'uom'                   => $item->uom,
            'quantity'              => $item->quantity,
            'pack'                  => $item->uom,
            'size'                  => 1,
            'balance'               => 0,
            'batch'                 => '',
            'expiry'                => '',
            'progress'              => $progress,
            'progress_code'         => 1,
            'unit_cost'             => $item->unit_cost,
            'cost'                  => $item->cost,
            'unit_price'            => $item->unit_price,
            'price'                 => $item->price,
            'subtotal'              => $item->price,
            'tax'                   => 0,
            'shipping'              => 0,
            'discount'              => 0,
            'exemption'             => 0,
            'payable'               => 0,
            'paid'                  => 0,
            'due'                   => 0,
            'date'                  => date('Y-m-d', strtotime($item->create_date)),
            'requested'             => $done,
            'requested_quantity'    => $item->quantity,
            'requested_notes'       => $item->details,
            'requested_user_id'     => $transaction->create_staff_id,
            'requested_datetime'    => $transaction->create_date,
            'authorized'            => $done,
            'authorized_quantity'   => $item->quantity,
            'authorized_notes'      => $item->details,
            'authorized_user_id'    => $transaction->modify_staff_id,
            'authorized_datetime'   => $transaction->modify_date,
            'approved'              => $done,
            'approved_quantity'     => $item->quantity,
            'approved_notes'        => $item->details,
            'approved_user_id'      => $transaction->modify_staff_id,
            'approved_datetime'     => $transaction->modify_date,
            'transferred'           => $done,
            'transferred_quantity'  => $transaction->modify_staff_id,
            'transferred_notes'     => $item->details,
            'transferred_user_id'   => $transaction->modify_staff_id,
            'transferred_datetime'  => $transaction->modify_date,
            'received'              => 0,
            'received_quantity'     => 0,
            'received_notes'        => '',
            'received_user_id'      => 0,
            'received_datetime'     => 0,
            'confirmed'             => $done,
            'confirmed_quantity'    => $item->quantity,
            'confirmed_notes'       => '',
            'confirmed_user_id'     => $transaction->modify_staff_id,
            'confirmed_datetime'    => $transaction->modify_date,
            'billed'                => 0,
            'billed_quantity'       => $item->quantity,
            'billed_refernce'       => '',
            'billed_notes'          => '',
            'billed_user_id'        => 0,
            'billed_datetime'       => 0,
            'payment'               => 0,
            'payment_quantity'      => $item->quantity,
            'payment_channel'       => $transaction->payer_channel,
            'payment_method'        => $transaction->payer_channel,
            'payment_account'       => $transaction->payer_name,
            'payment_account_id'    => $transaction->account_id,
            'payment_transaction'   => $transaction->payer_trans_id,
            'payment_reference'     => $transaction->payer_reference,
            'payment_receipt'       => $transaction->payer_receipt,
            'payment_name'          => $transaction->payer_name,
            'payment_phone'         => $transaction->payer_phone,
            'payment_notes'         => '',
            'payment_user_id'       => $transaction->pay_staff_id,
            'payment_datetime'      => $transaction->pay_date,
            'forwarded'             => 0,
            'forwarded_quantity'    => 0,
            'forwarded_to'          => '',
            'forwarded_id'          => 0,
            'forwarded_notes'       => '',
            'forwarded_user_id'     => 0,
            'forwarded_datetime'    => 0,
            'dispensed'             => 0,
            'dispensed_quantity'    => $item->quantity,
            'dispensed_notes'       => '',
            'dispensed_user_id'     => $transaction->dispense_staff_id,
            'dispensed_datetime'    => $transaction->dispense_date,
            'returned'              => 0,
            'returned_quantity'     => 0,
            'returned_notes'        => '',
            'returned_user_id'      => 0,
            'returned_datetime'     => 0,
            'printed'               => 0,
            'printed_quantity'      => 0,
            'printed_notes'         => '',
            'printed_user_id'       => 0,
            'printed_datetime'      => 0,
            'f1'                    => '',
            'f2'                    => '',
            'f3'                    => '',
            'f4'                    => '',
            'f5'                    => '',
            'f6'                    => '',
            'f7'                    => '',
            'f8'                    => '',
            'f9'                    => '',
            'created_user_id'       => $transaction->create_staff_id,
            'created_datetime'      => $transaction->create_date,
            'modified_user_id'      => 0,
            'modified_datetime'     => '',
            'status'                => 1
        );

        $this_trans_items[]         = $item_data;

        // Create bill and invoice items
        $bill_item_obj->create($item_data);
        $invoice_item_obj->create($item_data);

    }

    $transaction_data           =  array (
        'id'                    => $transaction->sale_id,
        'type'                  => 'Bill',
        'subtype'               => $transaction->name,
        'parent'                => '',
        'parent_id'             => 0,
        'reference'             => $transaction->name,
        'reference_no'          => $transaction->name_id,
        'personnel'             => 'Customer',
        'personnel_id'          => $transaction->person_id,
        'store_id'              => $transaction->store_id,
        'code'                  => '',
        'name'                  => $app->formatName($transaction->person_name),
        'birthdate'             => $customer->dob,
        'sex'                   => $customer->sex > 1 ? 'Female' : 'Male',
        'phone'                 => $customer->phone,
        'email'                 => $customer->email,
        'pricelist'             => $pricelist->code,
        'pricelist_id'          => $pricelist->id,
        'insurance'             => $insurance->code,
        'insurance_id'          => $insurance->id,
        'scheme'                => $scheme->code,
        'scheme_id'             => $scheme->id,
        'product'               => '',
        'product_id'            => 0,
        'card_no'               => $customer->card_no,
        'authorization_no'      => '',
        'supplementary'         => '',
        'folio_id'              => 0,
        'folio_no'              => 0,
        'year'                  => date('Y', strtotime($transaction->create_date)),
        'month'                 => date('m', strtotime($transaction->create_date)),
        'date'                  => date('Y-m-d', strtotime($transaction->create_date)),
        'visit_id'              => 0,
        'visit_location_id'     => 0,
        'start_datetime'        => 0,
        'end_datetime'          => 0,
        'urgency'               => 'Routine',
        'urgency_code'          => 3,
        'progress'              => $progress,
        'progress_code'         => 1,
        'items'                 => json_encode($this_trans_items),
        'cost'                  => $transaction->cost,
        'subtotal'              => $transaction->subtotal,
        'tax'                   => 0,
        'shipping'              => 0,
        'discount'              => $transaction->discount,
        'exemption'             => $transaction->discount,
        'payable'               => $transaction->payable,
        'paid'                  => $transaction->paid,
        'due'                   => ($transaction->payable - $transaction->paid),
        'requested'             => 1,
        'requested_notes'       => $transaction->notes,
        'requested_user_id'     => $transaction->create_staff_id,
        'requested_datetime'    => $transaction->create_date,
        'authorized'            => $done,
        'authorized_notes'      => '',
        'authorized_user_id'    => 0,
        'authorized_datetime'   => 0,
        'approved'              => 0,
        'approved_notes'        => '',
        'approved_user_id'      => 0,
        'approved_datetime'     => 0,
        'transferred'           => 0,
        'transferred_notes'     => '',
        'transferred_user_id'   => 0,
        'transferred_datetime'  => 0,
        'received'              => $done,
        'received_notes'        => '',
        'received_user_id'      => 0,
        'received_datetime'     => 0,
        'confirmed'             => 0,
        'confirmed_notes'       => '',
        'confirmed_user_id'     => 0,
        'confirmed_datetime'    => 0,
        'billed'                => $transaction->bill_staff_id,
        'billed_refernce'       => $transaction->reference,
        'billed_notes'          => '',
        'billed_user_id'        => $transaction->bill_staff_id,
        'billed_datetime'       => $transaction->bill_date,
        'payment'               => $transaction->paid >= $transaction->subtotal ? 1 : 0,
        'payment_method'        => $transaction->payer_channel,
        'payment_channel'       => $transaction->payer_channel,
        'payment_account'       => $transaction->payer_name,
        'payment_account_id'    => $transaction->account_id,
        'payment_transaction'   => $transaction->payer_trans_id,
        'payment_reference'     => $transaction->payer_reference,
        'payment_receipt'       => $transaction->payer_receipt,
        'payment_name'          => $transaction->payer_name,
        'payment_phone'         => $transaction->payer_phone,
        'payment_notes'         => '',
        'payment_user_id'       => $transaction->pay_staff_id,
        'payment_datetime'      => $transaction->pay_date,
        'forwarded'             => 0,
        'forwarded_to'          => 0,
        'forwarded_id'          => 0,
        'forwarded_notes'       => '',
        'forwarded_user_id'     => 0,
        'forwarded_datetime'    => 0,
        'dispensed'             => $transaction->dispense_staff_id,
        'dispensed_notes'       => '',
        'dispensed_user_id'     => $transaction->dispense_staff_id,
        'dispensed_datetime'    => $transaction->dispense_date,
        'returned'              => 0,
        'returned_notes'        => '',
        'returned_user_id'      => 0,
        'returned_datetime'     => 0,
        'printed'               => 0,
        'printed_notes'         => '',
        'printed_user_id'       => 0,
        'printed_datetime'      => 0,
        'f1'                    => $transaction->attachments,
        'f2'                    => '',
        'f3'                    => '',
        'f4'                    => '',
        'f5'                    => '',
        'f6'                    => '',
        'f7'                    => '',
        'f8'                    => '',
        'f9'                    => '',
        'created_user_id'       => $transaction->create_staff_id,
        'created_datetime'      => $transaction->create_date,
        'modified_user_id'      => 0,
        'modified_datetime'     => '',
        'status'                => 1
    );

    // Bill
    $bill_obj->create($transaction_data);

    $transaction_data['parent']     = 'Bill';
    $transaction_data['parent_id']  = $transaction->sale_id;
    $transaction_data['progress']   = $transaction->status == 'Completed' ? 'Paid' : ($transaction->bill_staff_id ? 'Billed' : 'Requested');
    
    $invoice_obj->create($transaction_data);

    echo $app->renderAlertSuccess('Transaction imported successfully');
}

?>