<?php 

$root           = '../../../../';
$submodule_code = 'schemes';
require($root.'config/config.php');

$obj            = new Scheme($get->id);

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {
    
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        //array ('id'=>'tab2', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-3')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputText('scheme', $obj->scheme, '', 'line-control grid-control');
    echo $app->renderInputSelect('insurance_id', $obj->insurance_id, '', 'line-control grid-control select-search default-none', '', 'billing_insurances', 'id', 'name', "", 'Insurance');
    echo $app->renderInputSelect('pricelist_id', $obj->pricelist_id, '', 'line-control grid-control select-search default-none', '', 'billing_pricelists', 'id', 'name', "", 'Pricelist');
    echo $app->renderInputCounter('priority', $obj->priority, 100, '', 'line-control grid-control select-search', '', 'Priority');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
   
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $app->renderInputSelect('item_id', $obj->f1, '', 'line-control grid-control select-search default-none', '', 'inventory_items', 'id', 'name', 'subtype="Procedure"', 'Package');
    echo $app->renderInputText('package_price', $app->formatMoney($obj->f2), '', 'line-control grid-control money', '', 'Package price');
    
    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>