<?php 

$root               = '../../../../';
$submodule_code     = 'Schemes';
require($root.'config/config.php');

$condition          = $get->insurance ? " AND billing_insurance_schemes.insurance_id = '$get->insurance' " : " ";

$obj                = new Insurance(0);
$sql                = "SELECT 
billing_insurance_schemes.id,
billing_insurance_schemes.name,
billing_insurances.name insurance,
billing_pricelists.name pricelist,
billing_insurance_schemes.scheme,
billing_insurance_schemes.icon,
billing_insurance_schemes.color
FROM billing_insurance_schemes
JOIN billing_insurances ON billing_insurances.id = billing_insurance_schemes.insurance_id
LEFT JOIN billing_pricelists ON billing_pricelists.code = billing_insurance_schemes.pricelist
WHERE billing_insurance_schemes.status = 1
AND billing_insurance_schemes.name LIKE '%$get->keyword%' 
$condition
ORDER BY billing_insurances.code, billing_insurance_schemes.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Insurance', 'value'=>'insurance', 'css'=>'w-20'),
        array('name'=>'Scheme', 'value'=>'name', 'css'=>''),
        array('name'=>'Code', 'value'=>'scheme', 'css'=>'w-10 text-center'),
        array('name'=>'Pricelist', 'value'=>'pricelist', 'css'=>'w-20'),
        
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>