<?php 

$root           = '../../../';
$submodule_code = 'Exemptions';
require($root.'config/config.php');

$invoice            = new Bill($get->bill_keyword);
$sale               = new Sale();
$sale->subtype      = 'TopUp';
$sale->personnel_id = $invoice->personnel_id;
$sale->store_id     = $invoice->store_id;
$sale->insurance_id = $sale->getInsuranceByCode('CASH')->id;
$sale->scheme_id    = $sale->getSchemeByCode('CASH')->id;

if($invoice->created_user_id) {
    echo $sale->renderTransactionHeader();
    echo $invoice->renderTopForm();
} else {
    die($app->renderAlertError('Bill number '.$app->formatCode($get->bill_keyword, 6).' does not exist'));
}

?>