<?php 

$root           = '../../../';
$submodule_code = 'Wallets';
require($root.'config/config.php');

$obj            = new Wallet($get->id);
$customer       = $obj->customer();
$person         = $customer->person();

$left_html      = $customer->renderBio();

$modal_options  = array (
    'title'         => '<span class="fa-solid fa-money-check-dollar-pen fa-fw"></span> Adjust wallet balance',
    'form_action'   => 'adjust_process.php',
    'left_html'     => $left_html
);

echo $submodule->renderModalFormOpen($modal_options, 0);
echo $app->renderInputHidden('action', $get->action);
echo $app->renderInputHidden('id', $get->id);

echo $app->renderInputMoney('current_balance', number_format($obj->subtotal), '', 'line-control grid-control form-control-lg readonly', '', 'Current balance');
echo $app->renderInputMoney('adjusted_balance', number_format($obj->subtotal), '', 'line-control grid-control form-control-lg money', '', 'Adjusted balance');
echo $app->renderInputTextarea('adjustment_reason', '', '', 'line-control grid-control form-control-lg', '', 'Adjustment reason');

echo $app->renderVerticalPad('50px');

echo $submodule->renderModalFormClose();

?>