<?php

$root           = '../../../';
$submodule_code = 'Wallets';
require($root.'config/config.php');

$obj            = new Wallet();
$keywords       = explode(' ', $get->customer_keyword);
$code           = $keywords[0];

if(is_numeric($code)) {
    $customer   = $obj->getCustomerByCode($code);
    $person     = $customer->person();

    echo '<script> 
    $(\'#customer_bio_container\').html(`'.$customer->renderBio().'
    <div class="my-3 me-2"> <a class="btn btn-outline-light my-1 w-100" onclick="$(\'#customer_search_container\').slideDown(100);"> <span class="fa-light fa-arrow-left fa-fw"></span> Change customer</a> </div>`);
    $(\'#customer_search_container\').slideUp(100); app.initializeControls();
    </script>';
} else {
    die($app->renderAlertError('Please search using customer file number'));
}

$wallet = $customer->wallet();
echo $app->renderAlertSuccess('Wallet for customer '.$wallet->name.' created successfully', 'Success', 'modal_lg', 1);

?>