<?php

$root           = '../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');

$obj 		    = new Bill($get->id);
$customer       = $obj->customer();
$person         = $customer->person();
$items	        = $obj->getItems();
$title 	        = 'Invoice';

$items  = '<table class="table table-condensed">';

foreach($obj->items() as $item) {
    $items .= '<tr><td style="width:70%" colspan="2">'.$item->name.'</td><td style="text-align:right">TZS '.number_format($item->price).'</td></tr>';
}

$items .= '<tr><td style="width:70%" colspan="2"><b>Total Billed Amount </b></td><td style="text-align:right"><b> TZS '.number_format($obj->subtotal).' </b></td></tr>';

$items .= '</table>';

include($root.'html/header.php');

echo '<body style="background-color:rgb(240,240,240); padding:20px">

<center>

<div style="width:800px; background-color:rgb(255,255,255); border:0px solid rgb(220,220,220); padding:30px; text-align:left">

<div class="text-center">

<h4><b>'.$client->client_name.'</b></h4>
Sales Invoice
</div>

<br />

<table class="table table-condensed">
<tr> <td style="width:30%">Control Number</td> <td style="width:40%">: <b>'.$obj->reference.'</b></td> 
</tr>
<tr> <td style="width:30%">Payment Reference</td> <td style="width:40%">: <b>'.$obj->name.'</b></td> </tr>
<tr> <td style="width:30%">Payer Name</td> <td style="width:40%">: <b>'.$person->name.'</b></td> </tr>
<tr> <td style="width:30%">Payer Phone</td> <td style="width:40%">: <b>'.$person->phone.'</b></td> </tr>
<tr> <td style="width:30%">Bill Description</td> <td style="width:40%">: <b>'.$obj->name.'</b></td> </tr>
<tr> <td style="width:30%">Billed Items</td> <td style="width:70%" colspan="2">'.$items.'</td> </tr>

<tr> <td style="width:30%">Amount in Words</td> <td style="width:70%" colspan="2"><b>'.ucwords($app->readNumber(round($obj->subtotal))).' Tanzanian Shillings</b> </td> </tr>
<tr> <td style="width:30%">Expires on</td> <td style="width:70%" colspan="2"><b>'.date('d F y', strtotime($obj->created_datetime.' + 30 days')).'</b> </td> </tr>
<tr> <td style="width:30%">Prepared by</td> <td style="width:70%" colspan="2"><b>'.$user->person()->name.'</b> </td> </tr>

<tr> <td style="width:30%">Collection Centre</td> <td style="width:70%" colspan="2"><b>'.$client->client_name.'</b> </td> </tr>
<tr> <td style="width:30%">Printed by</td> <td style="width:70%" colspan="2"><b>'.$user->person()->name.'</b> </td> </tr>
<tr> <td style="width:30%">Printed on</td> <td style="width:70%" colspan="2"><b>'.date('d F y').'</b> </td> </tr>
<tr> <td style="width:30%">Signature</td> <td style="width:70%" colspan="2"><b><br />.................................................</b> </td> </tr>

</table>

<table class="table table-borderless">
<tr>
<td style="width:50%">
<center><div><b> = JINSI YA KULIPA = </b></div></center>
<div>1. Kupitia bank: Fika tawi lolote au wakala wa <b>NMB, CRDB au BOT,</b> namba ya kumbukumbu <b>'.$obj->reference.'</b></div>
<div>2. Kupitia mitandao ya simu: </div>
<ul>
<div>Ingia kwenye menyu ya mtandao husika</div>
<div>Chagua 4: Lipa bill</div>
<div>Chagua 5: Malipo ya serikali</div>
<div>Ingiza  <b>'.$obj->reference.'</b> kama namba ya kumbukumbu </div>
</ul>
</td>

<td style="width:50%">
<center><div><b> = HOW TO PAY = </b></div></center>
<div>1. Via bank: Visit any branch or bank agent of <b>NMB, CRDB au BOT,</b> Reference number <b>'.$obj->reference.'</b></div>
<div>2. Via mobile network operators (MNOs): </div>
<ul>
<div>Enter to the respective USSD menu of MNO</div>
<div>Select 4: Make payment</div>
<div>Select 5: Government payments</div>
<div>Enter  <b>'.$obj->reference.'</b> as reference </div>
</ul>
</td>
</tr>
</table>

</div>

</center>

</body>';