<?php 

$root               = '../../../';
$submodule_code     = 'Appointments';
require($root.'config/config.php');

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('clinic_id', '', '', 'form-control-lg filter-control select-search onchange-reload-list', 'data-style="btn-outline-secondary"', $user->listClinicsWithAccess('read'), '', '', "", 'Choose clinic')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('sponsor', '', 'Choose sponsor', 'filter-control default-all onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('progress', '', 'Choose progress', 'filter-control default-all onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="TransactionProgress"')
    )
);

require($root.'html/template.php');

?>