<?php 

$root           = '../../../';
$submodule_code = 'NurseStation';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();

if(isset($get->ignore_consultation)) {
    echo '<script>
    $(\'#modal_lg\').modal(\'hide\');
    $(\'#modal_xl_content\').html(loading_circle).load(\'form.php?action=open&id='.$patient->id.'\');
    $(\'#modal_xl\').modal({backdrop:\'static\', keyboard:false});
    $(\'#modal_xl\').modal(\'show\');
    </script>';
} elseif(isset($get->consultation_item_id)) {
    $bill_id        = $visit_location->createConsultationBill($get->consultation_item_id);
    if($bill_id) {
        echo $app->renderAlertSuccess('Consultation bill created successfully', 'Success', 'modal_lg', 1);
        $bill       = new Bill($bill_id);
        $invoice_id = $bill->createInvoice();
        if($invoice_id) {
            echo $app->renderAlertSuccess('Consultation invoice created successfully', 'Success', 'modal_lg', 1);
            $invoice    = new Invoice($invoice_id);
            $payment_data   = array (
                'paid'  => 0
            );
            $payment_id = $invoice->pay($payment_data);
            
            if(true) {
                echo $app->renderAlertSuccess('Consultation payment confirmed successfully', 'Success', 'modal_lg', 1);
                echo '<script>
                setTimeout(function() {
                    $(\'#modal_lg\').modal(\'hide\');
                    $(\'#modal_xl_content\').html(loading_circle).load(\'form.php?action=open&id='.$patient->id.'\');
                    $(\'#modal_xl\').modal({backdrop:\'static\', keyboard:false});
                    $(\'#modal_xl\').modal(\'show\');
                }, 1000);
                </script>';
            }
        } 
    }
} else {
    die($app->renderAlertError('You must choose consultation or select proceed without consultation.'));
}

?>