<?php 

$root           = '../../../../';
$submodule_code = 'PatientCancel';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();

$form_options       = array (
    'form_id'       => 'ajax_form_cancel',
    'form_action'   => '../patient/cancel/process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('patient_id', $patient->id);
echo $app->renderInputHidden('visit_id', $visit_location->visit_id);
echo $app->renderInputHidden('visit_location_id', $visit_location->id);

echo '<div class="rounded p-4 pb-5 my-3 bg-primary" style="--bs-bg-opacity: .05;">';

echo '<h5 class="mb-3"> Choose cancellation reason:</h5>';

echo $app->renderInputSelect('cancel_type', '', 'Choose Disposition Type', 'line-control autofocus', 'data-style=""', 'settings_categories', 'code', 'name', 'type="VisitCancelType"');

echo '<h5 class="mt-4 mb-2"> Add cancellation notes:</h5>';

echo $app->renderInputTextArea('cancel_notes', '', '', 'line-control');

echo '</div>';

echo $app->renderFormClose($form_options);

echo '<div class="row w-100 m-0 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<button id="ajax_form_cancel_submit_button" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div><hr />';

?>