<?php 

$root           = '../../../../';
$submodule_code = 'PatientDiagnoses';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_id       = isset($get->visit_id) ? $get->visit_id : 0;

if($visit_id) {
    $diagnoses_str  = "SELECT id FROM clinical_diagnoses WHERE patient_id = $patient->id AND visit_id = $visit_id AND status = 1 ORDER BY id DESC ";
} else {
    $diagnoses_str  = "SELECT id FROM clinical_diagnoses WHERE patient_id = $patient->id AND status = 1 ORDER BY id DESC ";
}

$diagnoses      = $app->read($diagnoses_str);

$action         = isset($get->action) ? $get->action : 'readonly';
$claim          = isset($get->claim) ? $get->claim : 0;
$options        = array('editable'=>true);

$visit          = isset($get->visit_id) ? new Visit($get->visit_id) : $patient->visit();
$notes          = $app->read("SELECT id FROM clinical_notes WHERE visit_id = $visit->id AND patient_id = $patient->id");

if($action == 'create') {
    if(count($notes) || isset($get->claim)) {
        echo '<div class="row">
        <div class="col-sm-8 mb-4"><h4>Patient clinical diagnoses</h4></div>
        <div class="col-sm-4 mb-4 text-end"> <a class="btn w-100 btn-primary ajax-link fw-semibold" data-target="PatientDiagnoses_container" data-link="'.$r.'pages/clinical/patient/diagnoses/form.php?patient_id='.$patient->id.'&visit_id='.$visit->id.'&r='.$app->root($r).'" style="margin-top:-2px"> <span class="fa-solid fa-plus fa-fw"></span> Add Diagnoses</a> </div>
        </div>';
    } else {
        echo $app->renderAlertError('Clinical notes is required before adding diagnoses');
    }
}

echo '<div id="PatientDiagnosesContainer">';

foreach($diagnoses as $row) {
    $obj            = new Diagnosis($row->id);
    echo $obj->renderReadCard($options);
}

echo '</div>';

?>