<?php 

$root           = '../../../../';
$submodule_code = 'PatientDiagnoses';
require($root.'config/config.php');

$keyword        = urldecode($get->keyword);

if(strlen($keyword) > 2) {
    $sql            = "SELECT code, name FROM settings_diagnoses WHERE name LIKE '%$keyword%' OR code LIKE '%$keyword%' LIMIT 0, 900";	
    $diagnoses      = array();
    foreach($app->read($sql) as $row) {
        $diagnoses[]    = array (
            'name'  => $row->code.' - '.$row->name,
            'value' => $row->code.'=>'.$row->name
        );
    }
    echo $app->renderInputSelect('diagnoses_code', '', '', 'line-control grid-control', '', $diagnoses, 'code', 'name', '', 'Choose ICD10 code');
    echo $app->renderInputSelect('diagnoses_certainty', '', 'Choose certainty', 'line-control grid-control', '', array('Provisional', 'Confirmed'));
    echo $app->renderInputText('diagnoses_notes', '', 'Additional details if necessary', 'line-control grid-control', '', 'Additional details');
    echo '<div class="row"><div class="col-xl-4"></div><div class="col-xl-8"> 
    <a class="btn btn-outline-primary w-100 fw-bold" onclick="addDiagnosis()"> <span class="fa-regular fa-layer-plus fa-fw"></span> Add selected diagnosis</a>
    </div></div>';
} else {
    echo $app->renderInputSelect('diagnoses_code', '', 'Keyword must contain 3 or more characters', 'line-control grid-control', '', array());
}

?>

<script> app.initializeControls() </script>