<?php 

$root           = '../../../../';
$submodule_code = 'PatientEvaluation';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();

$form_options   = array (
    'form_id'       => 'ajax_form_evaluations',
    'form_action'   => '../patient/evaluation/process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('patient_id', $patient->id);
echo $app->renderInputHidden('visit_id', $visit_location->visit_id);
echo $app->renderInputHidden('visit_location_id', $visit_location->id);

echo '<div class="mb-5">';

$evaluations         = $app->read("SELECT * FROM settings_categories WHERE type = 'PatientEvaluation' ORDER BY priority");

foreach($evaluations as $row) {
    echo $app->renderInputSelect('values['.$row->code.']', '', 'Choose status', 'line-control grid-control', '', array('Normal','Abdormal','Not checked'), '', '', '', $row->name.' status');
    echo $app->renderInputText('notes['.$row->code.']', '', '', 'grid-control line-control', '', $row->name.' notes');
}

echo $app->renderFormClose($form_options);

echo '</div>';

echo '<div class="row w-100 m-0 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<a class="btn btn-outline-primary w-100 ajax-link" data-target="PatientEvaluation_container" data-link="../patient/evaluation/list.php?patient_id='.$patient->id.'"> <span class="fa fa-arrow-left fa-fw"></span> Cancel </a>
</div><div class="col-6">
<button id="ajax_form_evaluations_submit_button" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div><hr />';

?>