<?php 

$root           = '../../../../';
$submodule_code = 'PatientEvaluation';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$evaluations     = $app->read("SELECT code FROM settings_categories WHERE type = 'PatientEvaluation' ORDER BY priority");

$action         = isset($get->action) ? $get->action : 'readonly';

if($action == 'create') {
    echo '<div class="row">
    <div class="col-sm-8 mb-3"><h4>Patient ABCDE evaluation</h4></div>
    <div class="col-sm-4 mb-3 text-end"> <a class="btn btn-primary ajax-link" data-target="PatientEvaluation_container" data-link="../patient/evaluation/form.php?patient_id='.$patient->id.'" style="margin-top:-2px"> <span class="fa-regular fa-pencil fa-fw"></span> Update Evaluation</a> </div>
    </div>';
}

echo '<div class="row" id="EvaluationContainer">';

foreach($evaluations as $row) {
    echo $patient->renderEvaluationCard($row->code);
}

echo '</div>';

?>

<script> $('.PatientEvaluation-flip').flip({trigger: 'manual'}); </script>
