<?php 

$root           = '../../../../';
$submodule_code = 'PatientNotes';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_id       = isset($get->visit_id) ? $get->visit_id : 0;
if($visit_id) {
    $notes      = $app->read("SELECT id FROM clinical_notes WHERE patient_id = $patient->id AND visit_id = $visit_id AND status = 1 ORDER BY id DESC ");
} else {
    $notes      = $app->read("SELECT id FROM clinical_notes WHERE patient_id = $patient->id AND status = 1 ORDER BY id DESC ");
}

$action         = isset($get->action) ? $get->action : 'readonly';

if($action == 'create') {
    echo '<div class="row">
    <div class="col-sm-8 mb-4"><h4>Patient clinical notes</h4></div>
    <div class="col-sm-4 mb-4 text-end"> <a class="btn w-100 btn-primary fw-semibold ajax-link" data-target="PatientNotes_container" data-link="'.$r.'pages/clinical/patient/notes/form.php?patient_id='.$patient->id.'&r='.$app->root($r).'" style="margin-top:-2px"> <span class="fa-solid fa-plus fa-fw"></span> Add Clinical Notes</a> </div>
    </div>';
}

$form_options 	= array (
    'form_id'		=> 'print_notes_form',
    'form_action'	=> $r.'pages/clinical/patient/notes/print.php'
);

echo $app->renderFormOpen($form_options);

echo $app->renderInputHidden('patient_id', $get->patient_id);
echo $app->renderInputHidden('visit_id', $visit_id);

echo '<div id="PatientNotesContainer">';

foreach($notes as $row) {
    $obj            = new Notes($row->id);
    $options        = array('attachments_root'=>'../../../');
    echo $obj->renderReadCard($options);
}

echo '</div>';

echo '<a class="btn btn-lg w-100 btn-outline-primary" onclick="$(\'#print_notes_form\').submit()"> <span class="fa-regular fa-print fa-fw"></span> Print selected notes </a>';

echo $app->renderFormClose($form_options);

?>