<?php 

$root           = '../../../../';
$submodule_code = 'PatientNotes';
require($root.'config/config.php');

$patient        = new Patient($post->patient_id);
$customer 		= $patient->customer();
$person         = $customer->person();
$print          = isset($post->print) ? $post->print : array();

$html 	        = '';
$html           .= '<table style="width:100%; padding:0; margin:0; color:rgb(50,50,50); ">
<tr><td style="width:17%"><b style="color:rgb(150,150,150)"> Fullname 			</b> </td><td>  '.$person->name.'		</td></tr>
<tr><td><b style="color:rgb(150,150,150)"> Age / sex 		</b> </td><td>  '.$person->age().' '.$person->sex.' </td></tr>
<tr><td><b style="color:rgb(150,150,150)"> Address 			</b> </td><td>  '.$person->address.'		</td></tr>
<tr><td><b style="color:rgb(150,150,150)"> NHIF package 	</b> </td><td>  '.$customer->scheme()->name.'</td></tr>';
$html .= '</table>';

$html .= '<br /><div style="text-align:center; font-size:1.4em"><b>'.strtoupper('Patient Clinical Notes').':</b></div><br />';

$html .= '<table style="width:100%; padding:0; margin:0; color:rgb(50,50,50)">';

foreach($print as $notes_id) {
    $notes  = new Notes($notes_id);

    $html .= '<tr>
    <td style="width:17%; color:rgb(150,150,150)">
    <b style="font-size:1.1em">'.(date('d M', strtotime($notes->created_datetime)).' '.date('H:i', strtotime($notes->created_datetime))).'</b>
    </td>
    <td style="color:rgb(30,30,30); width:83%; font-size:1.3em"><b>'.($notes->title).'</b> <span style="color:rgb(30,30,30)"></span></td>
    </tr>

    <tr>
    <td></td>
    <td></td>
    </tr>
    
    <tr>
    <td style="width:17%;"></td>
    <td style="width:83%; text-align:justify;">
    '.$notes->notes.'<br />

    <table style="width:100%; padding:0; margin:0; color:rgb(150,150,150)">
    <tr>
    <td style="width:50%">'.$notes->createdUser()->person()->name.'</td>
    <td style="width:50%; text-align:right">'.$app->datetime($notes->created_datetime).'</td>
    </tr>
    </table>

    </td>
    </tr>
    
    <tr>
    <td><br /><br /></td>
    <td></td>
    </tr>';
}

$html .= '</table>';
$html .= '</div>';
$html = $app->renderDocumentHeader().$html;

//$html = '<center style="background-color:rgb(250,250,250)"><div style="font-family:Arial; background-color:rgb(255,255,255); border:0px solid rgb(200,200,200); padding:15px">'.$html.'</div></center>';

$pdf_name   = 'ClinicalNotes'.$patient->code;
file_put_contents('notes.html', $html);
$_SESSION[APP_NAME]['notes'] = $html;
//$pdf_data   = $app->createPDF($html, $pdf_name, 'Patient Clinical Notes');
//file_put_contents($pdf_name, $pdf_data);

echo '<script> document.location = r+\'pages/clinical/patient/notes/print_notes.php?patient_id='.$patient->id.'\'; </script>';

?>