<?php 

$root           = '../../../../';
$submodule_code = 'PatientProcedure';
require($root.'config/config.php');

$obj            = new Procedure();

if($post->action == 'delete') {
    $obj        = new Procedure($post->request_id);
    $patient    = $obj->patient();
    $visit_location = $obj->visitLocation();
    $bill       = $obj->bill();
    $deleted    = $obj->delete() + $bill->delete();
    
    echo $app->renderAlertSuccess($obj->subtitle.' deleted successfuly');
    
    $user->timeline (
        array (
            'action'			=> 'Delete',
            'subject'			=> 'Procedure',
            'subject_id'		=> $post->request_id,
            'personnel'			=> 'Patient',
            'personnel_id'		=> $patient->id,
            'name'	            => $patient->person()->name,
            'details'			=> 'Deleted procedure request',
            'visit_id'          => $visit_location->visit_id,
            'visit_location_id' => $visit_location->visit()->id,
        )
    );
} else {
    $user->checkSubmoduleAccess($submodule, 'create');
    echo $obj->renderCreateConfirmation($submodule, $post);
}

echo '<script>setTimeout(function() {$(\'#PatientProcedure_container\').html(loading_circle).load(\'../patient/procedure/list.php?patient_id='.$post->patient_id.'&action=create\', function() {app.initializeControls()})}, 1000);</script>';

?>