<?php 

$root           = '../../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');
$obj            = new Procedure($get->id);
$patient        = $obj->patient();

$form_options   = array (
    'form_id'       => 'procedure_report_form',
    'form_action'   => '../../clinical/patient/procedure/report_process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('action', $get->action);
echo $app->renderInputHidden('id', $get->id);	


foreach($obj->items() as $item) {
    $request_item       = new ProcedureItem($obj->type, $obj->id, $item->id);
    if($get->action == 'report' && $item->payment) {
        echo $request_item->renderReportCreate();
    } elseif($get->action == 'authorize' && $item->progress == 'Reported') {
        echo $request_item->renderReportAuthorize();
    } elseif($get->action == 'edit' && ($item->progress == 'Reported' || $item->progress == 'Authorized') ) {
        echo $request_item->renderReportEdit();
    } else {
        echo $request_item->renderProgress();
    }
}

echo $app->renderFormClose($form_options);

echo '<div class="row w-100 m-0 mt-3 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<a class="btn btn-outline-primary w-100 ajax-link" data-target="PatientProcedure_container" data-link="../../clinical/patient/procedure/list.php?patient_id='.$patient->id.'&action=create"> <span class="fa fa-arrow-left fa-fw"></span> Cancel </a>
</div><div class="col-6">
<button onclick="$(\'#procedure_report_form\').submit()" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div><hr />';

?>

<script>

app.initializeControls();

</script>