<?php 

$root           = '../../../../';
$submodule_code = 'Procedure';
require($root.'config/config.php');

$obj            = new Procedure($get->id);
$patient        = $obj->patient();

if(!isset($get->item)) {
    die($app->renderAlertError('Please select at least one procedure', 'No procedure selected'));
}

if($post->action == 'report') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        echo $request_item->createReport($get);
        echo $request_item->authorizeReport($get);
    }
} elseif($post->action == 'authorize') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->authorize_status[$request_item_id] == 'Authorized') {
            echo $request_item->authorizeReport($get);
        } elseif($get->authorize_status[$request_item_id] == 'Rejected') {
            die($app->renderAlertWarning('Report rejected', $request_item->name));
        }
    }
} elseif($post->action == 'edit') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        echo $request_item->editReport($get);
    }
}

echo '<script>setTimeout(function() {$(\'#PatientProcedure_container\').html(loading_circle).load(\'../patient/procedure/list.php?patient_id='.$patient->id.'&action=create\', function() {app.initializeControls()})}, 1000);</script>';

?>