<?php 

$root           = '../../../../';
$submodule_code = 'PatientTriage';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$triages        = $app->read("SELECT code FROM settings_categories WHERE type = 'TriageType' ORDER BY priority");

$action         = isset($get->action) ? $get->action : 'readonly';

if($action == 'create') {
    echo '<div class="row">
    <div class="col-sm-8 mb-3"><h4>Preliminary patient assessment</h4></div>
    <div class="col-sm-4 mb-3 text-end"> 
    <a class="btn btn-primary ajax-link" data-target="PatientTriage_container" data-link="../patient/triage/form.php?patient_id='.$patient->id.'" style="margin-top:-2px"> <span class="fa-regular fa-pencil fa-fw"></span> Update Triage</a> 
    </div>
    </div>';
}

echo '<div class="row" id="PatientTriageContainer">';

foreach($triages as $row) {
    echo $patient->renderTriageCard($row->code);
}

echo '</div>';

?>

<script> $('.PatientTriage-flip').flip({trigger: 'manual'}); </script>
