<?php 

class VitalSign extends Crud {
	function __construct($id=0) {		
		$this->table        = 'clinical_vitals';
		$this->primary_key  = 'id';
		parent::__construct($id);
	}

	function status($obj) {
		global $app;
		$status = array ('message'=>'No data', 'color'=>'gray');
		if($obj->val > 0) {
			if($obj->val < $obj->f1) { 
				$status['message'] = 'Very low'; $status['color'] = 'red'; 
			} elseif($obj->val < $obj->f2) { 
				$status['message'] = 'Low'; $status['color'] = 'orange'; 
			} elseif($obj->val > $obj->f5) { 
				$status['message'] = 'Very high'; $status['color'] = 'red'; 
			} elseif($obj->val > $obj->f4) { 
				$status['message'] = 'High'; $status['color'] = 'orange'; 
			} else {
				$status['message'] = 'Normal'; $status['color'] = 'success'; 
			}
		} else {
			$status['message'] = 'No data'; $status['color'] = 'gray'; 
		}

		if($obj->name == 'Mood') {
			$category 			= $app->getCategoryByColumn('MoodType', 'priority', $obj->val);
			$status['message'] 	= $category->name;
			$status['icon']		= $category->icon;
			$status['val']		= $obj->val;
		} else {
			$status['val']		= $obj->val;
			$status['icon']		= $obj->icon;
		}
		return (object) $status;
	}
}

?>