<?php 

$root           = '../../../../';
$submodule_code = 'PatientVitals';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$vitals         = $app->read("SELECT code FROM settings_categories WHERE type = 'VitalSign' AND status = 1 ORDER BY priority ");

$action         = isset($get->action) ? $get->action : 'readonly';

if($action == 'create') {
    echo '<div class="row">
    <div class="col-sm-8 mb-3"><h4> Patient vital signs </h4></div>
    <div class="col-sm-4 mb-3 text-end"> <a class="btn btn-primary ajax-link" data-target="PatientVitals_container" data-link="../patient/vitals/form.php?patient_id='.$patient->id.'" style="margin-top:-2px"> <span class="fa-regular fa-pencil fa-fw"></span> Update Vitals</a> </div>
    </div>';
}

echo '<div class="row">';

foreach($vitals as $row) {
    echo $patient->renderVitalCard($row->code);
}

echo '</div>';

?>

<script> $('.PatientVitals-flip').flip({trigger: 'manual'}); </script>
