<?php 

$root               = '../../../';
$submodule_code     = 'Pharmacy';
require($root.'config/config.php');

$progress           = array (
    array('value'=>'Requested',  'name'=>'Request created'),
    array('value'=>'Billed',     'name'=>'Request billed'),
    array('value'=>'Paid',       'name'=>'Bill paid'),
    array('value'=>'Reported',   'name'=>'Items dispensed')
);

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
            //array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('store', '', 'Choose pharmacy', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', $user->listStoresWithAccess('read-sales', 'pharmacy'))
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('sponsor', '', 'Choose sponsor', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('progress', '', 'Choose progress', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $progress)
    )
);

require($root.'html/template.php');

?>