<?php 

$root               = '../../../';
$submodule_code     = 'Procedures';
require($root.'config/config.php');

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
            //array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('store', $user->personnel()->store_id, 'Choose laboratory', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->listStoresWithAccess('read-sales'))
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('sponsor', '', 'All sponsors', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('progress', '', 'All requests', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="TransactionProgress"')
    )
);

require($root.'html/template.php');

?>