<?php 

$root           = '../../../';
$submodule_code = 'Radiology';
require($root.'config/config.php');

$obj            = new Radiology($get->id);
if(!isset($get->item)) {
    die($app->renderAlertError('Please select at least one test', 'No test selected'));
}

if($post->action == 'report') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        echo $request_item->createReport($get);
    }
} elseif($post->action == 'authorize') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->authorize_status[$request_item_id] == 'Authorized') {
            echo $request_item->authorizeReport($get);
        } elseif($get->authorize_status[$request_item_id] == 'Rejected') {
            die($app->renderAlertWarning('Report rejected', $request_item->name));
        }
    }
} elseif($post->action == 'edit') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        echo $request_item->editReport($get);
    }
}

?>