<?php 

$root               = '../../../../';
$submodule_code     = 'PatientVisits';
require($root.'config/config.php');

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array ( 
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('care_type', '', 'Choose visit type', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', array('Outpatient', 'Inpatient'))
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('location_id', '', 'Choose location', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="care_type" data-source="html/filters/visit_locations_select.php"', array())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('discharge_type', '', 'Choose discharge type', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="DispositionType"')
    ),
    array (
        'css'       => 'col-6 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'css'       => 'col-6 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputSelect('scheme_id', '', 'Choose scheme', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance_id" data-source="html/filters/insurance_schemes_select.php"', array())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('diagnosis', '', 'Diagnosis code or description', 'form-control-lg filter-control onkeyup-reload-list')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('laboratory', '', 'Search laboratory investigation', 'form-control-lg filter-control onkeyup-reload-list')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('radiology', '', 'Search radiology investigation', 'form-control-lg filter-control onkeyup-reload-list')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('procedure', '', 'Search procedures', 'form-control-lg filter-control onkeyup-reload-list')
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('prescription', '', 'Search medications', 'form-control-lg filter-control onkeyup-reload-list')
    )
);

require($root.'html/template.php');

?>