<?php 

$root               = '../../../';
$submodule_code     = 'Registration';
require($root.'config/config.php');

if(substr($get->keyword, 0, 1) == '0') $get->keyword = substr($get->keyword, 1);

$sql                = "SELECT 
clinical_patients.id, admission_status
FROM clinical_patients
JOIN billing_customers ON billing_customers.id = clinical_patients.customer_id
JOIN personnel_persons ON personnel_persons.id = clinical_patients.person_id
WHERE clinical_patients.status = $app->active
AND (personnel_persons.name LIKE '%$get->keyword%' 
    OR personnel_persons.phone LIKE '%$get->keyword%'
    OR billing_customers.card_no LIKE '%$get->keyword%' 
    OR clinical_patients.code LIKE '%$get->keyword%')
ORDER BY personnel_persons.id DESC
";

$data = $app->pagenate($app->read($sql));

// Scheduled for admission

$schedules_patients     = array();
$unschedules_patients   = array();

foreach($data->rows as $row) {
    if($row->admission_status == 'Scheduled') {
        $schedules_patients[]   = $row;
    } else {
        $unschedules_patients[] = $row;
    }
}

echo '<div class="row">';

foreach($unschedules_patients as $row) {
    $obj = new Patient($row->id);
    echo '<div class="col-lg-6 col-xl-4 col-xxl-3 mb-4">';
    echo $obj->renderSearchCard();
    echo '</div>';
}

echo '</div>';

echo $data->pagination;

?>