<?php 

$root               = '../../../';
$submodule_code     = 'attachments';
require($root.'config/config.php');

$obj                = new Attachment(0);
$condition          = strlen($get->section) ? "AND section = '$get->section' " : " ";
$sql                = "SELECT 
content_attachments.id
FROM content_attachments
WHERE content_attachments.status = 1
AND content_attachments.name LIKE '%$get->keyword%' 
$condition
ORDER BY content_attachments.created_datetime DESC
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options    = array (
    'columns'   => array (
        array('name'=>'DATE', 'value'=>'code', 'css'=>'w-15'),
        array('name'=>'FILENAME', 'value'=>'name', 'css'=>''),
        array('name'=>'TYPE', 'value'=>'name', 'css'=>'w-15'),
        array('name'=>'SIZE', 'value'=>'name', 'css'=>'w-15'),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows,
    'css'       => ''
);

echo $app->renderTableOpen($options);

foreach($data->rows as $row) {
    $attachment     = new Attachment($row->id);
    $link_options   = array('id'=>$attachment->id, 'name'=>$attachment->name);

    echo '<tr>
    <td>'.$app->datetime($attachment->created_datetime).'</td>
    <td>'.$app->renderLinkOpen($link_options).'</td>
    <td>'.$attachment->type.'</td>
    <td>'.$attachment->size.'</td>
    <td class="text-center">'.
    $attachment->renderLinkDownload($link_options).
    $attachment->renderLinkOpen($link_options).
    $app->renderButtonCopy($link_options).
    $app->renderButtonEdit($link_options).
    $app->renderButtonDelete($link_options).
    '</td>
    </tr>';
}

echo $app->renderTableClose();

?>