<?php 

$root           = '../../../';
$submodule_code = 'attachments';
require($root.'config/config.php');

$obj            = new Attachment($get->id);
$width          = 800;
$height         = 600;
$quality        = 100;
$section        = 'Drive';
$section_id     = 0;
$owner          = 'System';
$owner_id       = 0;

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} else {

    // Validate...
    if(isset($_FILES['attachment'])) {   
        $data   = array (
            'name'          => $post->name,
            'file'          => $_FILES['attachment'],
            'details'       => $post->details,
            'section'       => $section,
            'section_id'    => $section_id,
            'owner'         => $owner,
            'owner_id'      => $owner_id,
            'access'        => $post->access,
            'action'        => $post->action
        );
    } else {
        die($app->renderAlertError('Please attach a file'));
    }

    if($post->action == 'create' || $post->action == 'copy') {

        // Create...
        $user->checkSubmoduleAccess($submodule, 'create');

        if($attachment_id = $obj->uploadImage($data)) {
            echo $app->renderAlertSuccess('Image uploaded successfully');
        } else {
            die($app->renderAlertError('Your image cold not be uploaded', 'Uploaded', 'modal_lg', true));
        }
    } elseif($post->action == 'edit') {   
        
        // Edit...
        $user->checkSubmoduleAccess($submodule, 'edit');

        if($attachment_id = $obj->uploadImage($data)) {
            echo $app->renderAlertSuccess('Image uploaded successfully', 'Updated', 'modal_lg', true);

        } else {
            die($app->renderAlertError('Your image cold not be uploaded'));
        }
    }
}

?>