<?php 

$root               = '../../../';
$submodule_code     = 'SMS';
require($root.'config/config.php');

$obj                = new SMS($get->id);
//$recipient_contacts = $app->validate(array('value'=>$app->formatPhone($post->recipient_contact), 'name'=>'name', 'min'=>3));
$message_body       = $app->validate(array('value'=>$post->message_body, 'name'=>'message body', 'min'=>1));

if(isset($post->recipient_contacts)) {
    foreach($post->recipient_contacts as $recipient_contact) {
        $recipient_person   = new Person($recipient_contact);
        $recipient_phone    = $recipient_person->phone;
        $message_text       = str_replace('__FULLNAME__', $recipient_person->name, $message_body);
        $message_text       = str_replace('__FIRSTNAME__', $recipient_person->firstname(), $message_text);
        $message_sent       = $obj->send(array('recipient_phone'=>$recipient_phone, 'message_body'=>$message_text));
        if($message_sent) {
            echo $app->renderAlertSuccess('SMS sent to '.$recipient_person->name.' '.$recipient_phone.'', 'Success');
        }
    }
} else {
    echo $app->renderAlertError('Please choose at least one contact');
}

   
?>