<?php 

$root               = '../../../';
$submodule_code     = 'SMS';
require($root.'config/config.php');

$obj                = new SMS($get->id);
$recipient_phones   = $app->validate(array('value'=>$app->formatPhone($post->recipient_phone), 'name'=>'name', 'min'=>3));
$message_body       = $app->validate(array('value'=>$post->message_body, 'name'=>'name', 'min'=>1));
$recipient_phones   = trim(preg_replace('/\t+/', '', $recipient_phones));

foreach(explode(',', $recipient_phones) as $recipient_phone) {
    $message_sent   = $obj->send(array('recipient_phone'=>$recipient_phone, 'message_body'=>$message_body));
    if($message_sent) {
        echo $app->renderAlertSuccess('SMS sent to '.$app->formatPhone($recipient_phone), 'Success');
    }
}

   
?>