<?php 

$root               = '../../../';
$submodule_code     = 'WebPages';
require($root.'config/config.php');

$obj                = new WebPage();
$sql                = "SELECT 
content_webpages.id,
content_webpages.name,
content_webpages.code,
content_webpages.icon,
content_webpages.color,
(SELECT COUNT(content_websections.id) FROM content_websections WHERE webpage = content_webpages.code) as sections,
(SELECT COUNT(content_webcontents.id) FROM content_webcontents JOIN content_websections ON content_websections.code = content_webcontents.websection WHERE content_websections.webpage = content_webpages.code) as contents
FROM content_webpages
WHERE content_webpages.status = 1
AND content_webpages.name LIKE '%$get->keyword%' 
ORDER BY content_webpages.priority
";

$data = $app->pagenate($app->read($sql));

$options    = array (
    'columns'   => array (
        array('name'=>'Code', 'value'=>'code', 'css'=>'w-20'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Sections', 'value'=>'sections', 'css'=>'w-10 text-center'),
        array('name'=>'Contents', 'value'=>'contents', 'css'=>'w-10 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows,
    'css'       => 'bs-table_'
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose($options);

echo $data->pagination;

?>