<?php 

$root               = '../../../';
$submodule_code     = 'Notifications';
require($root.'config/config.php');

$auto_logout_time   = $app->getSystemSettings('auto_logout_time', '30 minutes');
$maximum_iddle_time = date('Y-m-d H:i:s', strtotime('- '.$auto_logout_time));
$user               = new User($get->uid);

if($user_id) {
    if($user->visit_id == $session->visit_id) {
        if($user->last_seen < $maximum_iddle_time) {
            $user->update (
                array (
                    'visit_id'	=> 0,
                    'online'	=> 0,
                    'message'   => 'You are signed due to inactivity'
                )
            );
            unset($_SESSION[app_name]);
            die('<script>
            if(modal_top._isShown) {
                if(idle_warning_shown) {
                    var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&reason=MaximumIddleTimeReached\';
                    $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                }
            } else {
                var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&reason=MaximumIddleTimeReached\';
                $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                modal_top.show();
            }
            </script>');
        } elseif(strtotime($user->last_seen) - strtotime($maximum_iddle_time) < 60) {
            die('<script>
            if(modal_top._isShown) {
    
            } else {
                var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&reason=MaximumIddleTimeWarning\';
                $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                modal_top.show();
            }
            </script>');
        } else {
            echo '<script>
            if(modal_top._isShown && !notification_shown) {
                modal_top.hide();
            } 
            </script>';

            echo '<div class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;"> <span class="fa-solid fa-comment fa-fw"></span> </div>
            <div class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;"> <span class="fa-solid fa-user-group fa-fw"></span> </div>
            <div class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;"> <span class="fa-solid fa-bell fa-fw"></span> </div>';
        }
    } else {
        $user->update (
            array (
                'visit_id'	=> 0,
                'online'	=> 0,
                'message'   => 'You are signed out normally'
            )
        );
        unset($_SESSION[app_name]);
        die('<script>
        if(modal_top._isShown) {

        } else {
            var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&reason=SignedInOnAnotherDevice\';
            $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
            modal_top.show();
        }
        </script>');
    }
} else {
    die('<script>
    if(modal_top._isShown) {

    } else {
        var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&reason=SignedOutOnAnotherTab\';
        $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
        modal_top.show();
    }
    </script>');
}

?>