<?php 

$root               = '../../../';
$submodule_code     = 'departments';
require($root.'config/config.php');

$obj                = new Department(0);
$condition          = strlen($post->directorate) ? " AND location_directorates.id = $post->directorate " : " ";

$sql                = "SELECT 
location_departments.id,
department.name,
department.icon,
department.color,
directorate.name directorate_name
FROM location_departments
JOIN location_locations department ON department.id = location_departments.location_id
JOIN location_directorates ON location_directorates.id = location_departments.directorate_id
JOIN location_locations directorate ON directorate.id = location_directorates.location_id
WHERE location_departments.status = $app->active
$condition
AND department.name LIKE '%$get->keyword%' 
ORDER BY department.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'DIRECTORATE', 'value'=>'directorate_name', 'css'=>'w-20'),
        array('name'=>'DEPARTMENT', 'value'=>'name', 'css'=>''),
        array('name'=>'ICON/COLOR', 'value'=>'icon/color', 'css'=>'w-10'),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>