<?php 

$root               = '../../../';
$submodule_code     = 'Notifications';
require($root.'config/config.php');

$auto_logout_time   = $app->getSystemSettings('auto_logout_time', '30 minutes');
$maximum_iddle_time = date('Y-m-d H:i:s', strtotime('- '.$auto_logout_time));
$auto_logout        = $db->query("UPDATE personnel_users SET online = 0 WHERE last_seen < '$maximum_iddle_time'");
$user               = new User($get->uid);
$last_five_minues   = date('Y-m-d H:i:s', strtotime(' - 5 minutes'));
$online_sql         = "SELECT id FROM personnel_users WHERE online = 1 AND last_seen > '$last_five_minues'";
$online_count       = count($app->read($online_sql));
$online_html        = $online_count ? '<span class="position-relative translate-middle badge rounded-pill bg-danger fw-semibold p-1 px-2" style="top:-32px; left:25px; border:0px solid white">'.$online_count.'</span>' : '';

if($user_id) {
    if($user->visit_id == $session->visit_id) {
        if($user->last_seen < $maximum_iddle_time && 0) {
            $user->update (
                array (
                    'visit_id'	=> 0,
                    'online'	=> 0,
                    'message'   => 'You are signed due to inactivity'
                )
            );
            unset($_SESSION[app_name]);
            die('<script>
            if(modal_top._isShown) {
                if(idle_warning_shown) {
                    var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&r='.$get->r.'&reason=MaximumIddleTimeReached\';
                    $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                }
            } else {
                var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&r='.$get->r.'&reason=MaximumIddleTimeReached\';
                $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                modal_top.show();
            }
            </script>');
        } elseif(strtotime($user->last_seen) - strtotime($maximum_iddle_time) < 60) {
            die('<script>
            if(modal_top._isShown) {
    
            } else {
                var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&r='.$get->r.'&reason=MaximumIddleTimeWarning\';
                $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
                modal_top.show();
            }
            </script>');
        } else {
            echo '<script>
            if(modal_top._isShown && !notification_shown) {
                modal_top.hide();
            } 
            </script>';

            echo '<div class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;"> <span class="fa-solid fa-comment fa-fw"></span> </div>';
            echo '<div role="button" class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;" onclick="app.showModal(\'modal_lg\', \''.$r.'pages/info/online/form.php?r='.$get->r.'\')"> <span class="fa-solid fa-user-group fa-fw"></span> '.$online_html.'</div>';
            echo '<div class="d-inline-block bg-secondary text-center rounded-pill p-2 float-end me-2" style="width:38px; height:38px; --bs-bg-opacity: 0.30;"> <span class="fa-solid fa-bell fa-fw"></span> </div>';
        }
    } elseif($user_id > 1) {
        $user->update (
            array (
                'visit_id'	=> 0,
                'online'	=> 0,
                'message'   => 'You are signed out normally'
            )
        );
        unset($_SESSION[app_name]);
        die('<script>
        if(modal_top._isShown) {

        } else {
            var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&r='.$get->r.'&reason=SignedInOnAnotherDevice\';
            $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
            modal_top.show();
        }
        </script>');
    }
} else {
    die('<script>
    if(modal_top._isShown) {

    } else {
        var url = r+\'pages/auth/login/form.php?uid='.$get->uid.'&r='.$get->r.'&reason=SignedOutOnAnotherTab\';
        $(\'#modal_top_content\').html(\'<div class="py-4">\'+loading_bar+\'</div>\').load(encodeURI(url));
        modal_top.show();
    }
    </script>');
}

?>