<?php 

$root           = '../../../';
$submodule_code = 'Queues';
require($root.'config/config.php');

$obj            = new Queue($get->id);
$ticket         = new Ticket();
$counter        = new Counter($get->counter);

if(!$get->id) {
    $date                   = date('Y-m-d');
    $obj->destination_id    = $get->counter;
    $obj->ticket_no         = $ticket->getNextCode('ticket_no', "date = '$date' ");
    $obj->ticket_no         = '';
}

if($get->action == 'delete') {
    echo $submodule->renderModalDelete($get->id);
} else {
    echo $submodule->renderModalFormOpen(
        array (
            'icon'  => '',
            'title' => '',
            'name'  => 'Tickets',
            'left_html' => ''
        )
    );
    
    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);
    
    echo '<h2 class="text-center mb-3"> <span class="fa-regular fa-barcode-read fa-fw"></span> <div class="my-2">Scan ticket with barcode</div></h2>
    <div style="opacity:0;filter:alpha(opacity=0);">';
    echo $app->renderInputHidden('counter_id', $obj->destination_id);
    echo $app->renderInputNumber('ticket_no', $obj->ticket_no, 'Enter ticket number', 'grid-control line-control readonly', '', 'Ticket no');
    //echo $app->renderInputText('notes', $obj->notes, 'Enter reference', 'grid-control line-control', '', 'Reference');
    echo '</div>';

    echo $submodule->renderModalFormClose();
}

?>

<script>
    setTimeout(function() {$('#ticket_no').focus();}, 500);
    $('#ajax_form_queues_submit_button').hide();
    $('#ticket_no').on('change', function() {
        $('#ajax_form_queues').submit();
    })
</script>