<?php 

class Device extends Crud {
	function __construct($id=0) {		
		$this->table        = 'innova_devices';
		$this->primary_key  = 'id';
		parent::__construct($id);
	}

	function counter() {
		return new Counter($this->counter_id);
	}

	function renderConnectionStatus() {
		$html = '<span style="font-size:0.8em"><span class="fa-solid fa-circle text-success"></span></span>';
		return $html;
	}

	function renderInfoCard() {
		$html = '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
		<div class="card my-3 py-3 bg-primary border-0" style="--bs-bg-opacity: .15;">
		<div class="card-body p-4">
		<h5> <span class="'.$this->icon.' fa-2x"></span> </h5>
		<h4 class="fw-semibold my-3">'.$this->name.'</h4>
		<div class="mb-5 text-muted">'.$this->renderConnectionStatus().' '.$this->ip.'</div>
		<div class="row my-3">
		<div class="col-6 pt-1"><h5 class="text-muted">Hot water:</h5></div>
		<div class="col-6"><input type="radio" class="bs-toggle" data-style="w-100 toggle-round"  /></div>
		</div>

		<div class="row my-3">
		<div class="col-6 pt-1"><h5 class="text-muted">Cold water:</h5></div>
		<div class="col-6"><input type="radio" class="bs-toggle" data-style="w-100 toggle-round"  /></div>
		</div>

		</div>
		</div>
		</div>';

		return $html;
	}
}

?>