<?php 

$root           = '../../../../';
$submodule_code = 'Devices';
require($root.'config/config.php');

$obj            = new Device($get->id);

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-regular fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Properties', 'icon'=>'fa-regular fa-file-circle-info'),
        array ('id'=>'tab3', 'name'=>'More fields', 'icon'=>'fa-regular fa-file-circle-info'),
        array ('id'=>'tab4', 'name'=>'Audits', 'icon'=>'fa-regular fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputSelect('type', $obj->type, '', 'line-control grid-control select-search', '', 'settings_categories', 'code', 'name', "type='DeviceType'", 'Device type');
    echo $app->renderInputSelect('board', $obj->board, '', 'line-control grid-control select-search', '', 'settings_categories', 'code', 'name', "type='BoardType'", 'Board type');
    
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputSelect('block_id', $obj->counter()->block_id, '', 'line-control grid-control select-search onchange-reload-children', '', 'innova_blocks,location_locations,location_locations.id=innova_blocks.location_id', 'innova_blocks.id', 'location_locations.name', '', 'Block');
    echo $app->renderInputSelect('counter_id', $obj->counter()->id, '', 'line-control grid-control select-search', 'data-parent="block_id" data-source="pages/innova/settings/devices/form_counters_select.php"', 'innova_counters,location_locations,location_locations.id=innova_counters.location_id', 'innova_counters.id', 'location_locations.name', '', 'Counter');
    echo $app->renderInputText('brand', $obj->brand, '', 'line-control grid-control', '', 'Brand');
    echo $app->renderInputText('model', $obj->model, '', 'line-control grid-control', '', 'Model');
    echo $app->renderInputText('ip', $obj->ip, '', 'line-control grid-control', '', 'IP Address');
    echo $app->renderInputText('port', $obj->port, '', 'line-control grid-control', '', 'Port number');
    echo $app->renderInputTextarea('specifications', $obj->specifications, '', 'line-control grid-control');
    echo $app->renderInputTextarea('methods', $obj->methods, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab3');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab4');

    echo $obj->renderAuditFields();
    
    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>