<?php 

$root               = '../../../';
$submodule_code     = 'Adjustments';
require($root.'config/config.php');

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'control'   => $app->renderInputSelect('department', '', 'All departments', 'filter-control form-control-lg default-all select-search onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'location_departments,location_locations,location_departments.location_id=location_locations.id', 'location_departments.id', 'location_locations.name', '', 'Department')
    ),
    array (
        'control'   => $app->renderInputSelect('store', '', 'All stores', 'filter-control form-control-lg default-all select-search onchange-reload-list', 'data-parent="department" data-source="pages/inventory/adjustments/stores_select.php" data-style="btn-outline-secondary btn-lg"', 'location_stores,location_locations,location_stores.location_id=location_locations.id', 'location_stores.id', 'location_locations.name', 'location_stores.id = 0', 'Store')
    ),
    array (
        'control'   => $app->renderInputSelect('category', '', 'All categories', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', "type='AdjustmentType'")
    )
);

require($root.'html/template.php');

?>