<?php 

$root               = '../../../';
$submodule_code     = 'Items';
require($root.'config/config.php');
$stores             = $user->listStoresWithAccess('manage-items');
if(count($stores)) {
    $first_store_id = $stores[0]->value;
} else {
    $first_store_id = 0;
}

$store              = new Store($first_store_id);
$subtype            = $store->default_item;
$allowed_items      = $store->allowed_items;
$allowed_items      = explode(',', $allowed_items);
$allowed_items      = "'".implode("','", $allowed_items)."'";

$filters            = array (
    array (
        'type'      => 'search',
        'control'   => $app->renderInputText('keyword', '', 'Search items', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php', 'require'=>'store,subtype')
        )
    ), 
    array (
        'control'   => $app->renderInputSelect('store', '', '', 'filter-control onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', $stores)
    ),
    array (
        'control'   => $app->renderInputSelect('subtype', $subtype, '', 'filter-control onchange-reload-children', 'data-style="btn-outline-secondary btn-lg" data-parent="store" data-source="pages/inventory/items/subtypes_select.php"', 'settings_categories', 'code', 'name', 'type="ItemType" AND code IN('.$allowed_items.')')
    ),
    array (
        'control'   => $app->renderInputSelect('category', '', 'All categories', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="subtype" data-source="pages/inventory/items/categories_select.php"', array())
    )
);

require($root.'html/template.php');

?>
