<?php 

$root               = '../../../../';
$submodule_code     = 'InventoryDispensingRegister';
require($root.'config/config.php');
$start_date         = date('Y-m-').'01';
$end_date           = date('Y-m-t');

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array ( 
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'cssx'      => '',
        'control'   => $app->renderInputSelect('store', '', '', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->listStoresWithAccess('reports'))
    ),
    array (
        'control'   => $app->renderInputSelect('insurance_id', '', 'Choose sponsor', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'billing_insurances', 'id', 'name')
    ),
    array (
        'control'   => $app->renderInputSelect('scheme_id', '', 'Choose scheme', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="insurance_id" data-source="html/filters/insurance_schemes_select.php"', array())
    )
);

require($root.'html/template.php');

?>