<?php 

$root               = '../../../../';
$submodule_code     = 'Stores';
require($root.'config/config.php');

$obj                = new Store(0);
$condition          = strlen($get->department) ? " AND location_departments.id = $get->department " : " ";

$sql                = "SELECT 
location_stores.id,
store.name,
store.icon,
store.color,
department.name department_name
FROM location_stores
JOIN location_locations store ON store.id = location_stores.location_id
JOIN location_departments ON location_departments.id = location_stores.department_id
JOIN location_locations department ON department.id = location_departments.location_id
WHERE location_stores.status = $app->active
$condition
AND store.name LIKE '%$get->keyword%' 
ORDER BY store.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Department', 'value'=>'department_name', 'css'=>'w-20'),
        array('name'=>'Store name', 'value'=>'name', 'css'=>''),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>