<?php 

die('This script must be edited');

$root               = '../../../';
$submodule_code     = 'Employees';
require($root.'config/config.php');

$obj                = new Employee();
$employee_user      = new User();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$staffs             = $app->read("SELECT 
name,
country_id,
region_id,
district_id,
ward_id,
address,
phone,
email,
dob,
sex,

username,
password,
staff_id, 
person_id, 
code, 
role, 
department_id, 
location_id, 
education_level, 
education, 
registration, 
designation, 
nhif_rank_id,
tags,
mct_no,
contract_start,
contract_end,
ppl_staff.create_staff_id,
ppl_staff.create_date,
ppl_staff.modify_staff_id,
ppl_staff.modify_date,
contract_status
FROM ppl_staff 
JOIN ppl_people USING(person_id)
");

$coms               = $app->read("SELECT * FROM sys_settings");
$com                = new stdClass();
foreach($coms as $com_row) {
    $com_name       = $com_row->name;
    $com_value      = $com_row->value;
    $com->$com_name = $com_value;
}
$db                 = $db_o;

foreach($staffs as $staff) {
    $person_data                = array (
        'personnel'             => 'Employee',
        'title'                 => '',
        'name'                  => $staff->name,
        'sex'                   => $staff->sex > 1 ? 'Female' : 'Male',
        'birthdate'             => $staff->dob,
        'country'               => $staff->country_id,
        'region_id'             => $staff->region_id,
        'district_id'           => $staff->district_id,
        'village_id'            => $staff->ward_id,
        'street'                => '',
        'house_no'              => '',
        'veo_name'              => '',
        'veo_phone'             => '',
        'address'               => $staff->address,
        'email'                 => $staff->email,
        'phone'                 => $app->formatPhone($staff->phone),
        'phone_alt'             => '',
        'latitude'              => '',
        'longitude'             => ''
    );
    
    $person_id                  = $person->createWithMinimumData($person_data);
    //$person_id                  = 1;

    if($person_id) {
        $employee_data          = array (
            'id'                => $staff->staff_id,
            'person_id'         => $person_id,
            'type'              => 'Employee',
            'subtype'           => '',
            'branch_id'         => 1,
            'department_id'     => $staff->department_id,
            'store_id'          => $staff->location_id,
            'code'              => $staff->code,
            'education'         => $staff->education_level,
            'profession'        => $staff->education,
            'designation'       => $staff->designation,
            'employment'        => '',
            'employer'          => '',
            'salary_scale'      => '',
            'confirmation_date' => '',
            'promotion_date'    => '',
            'employment_status' => '',
            'status_details'    => '',
            'status_datetime'   => '',
            'f1'                => '',
            'f2'                => '',
            'f3'                => '',
            'f4'                => '',
            'f5'                => '',
            'f6'                => '',
            'f7'                => '',
            'f8'                => '',
            'f9'                => '',
            'created_user_id'   => $staff->create_staff_id,
            'created_datetime'  => $staff->create_date,
            'modified_user_id'  => $staff->modify_staff_id,
            'modified_datetime' => $staff->modify_date,
            'status'            => 1
        );
        $employee_id            = $obj->create($employee_data);
        //$employee_id            = 1;

        if($employee_id) {
            // If person created create user
            $user_data              = array (
                'id'                => $staff->staff_id,
                'person_id'         => $person_id,
                'personnel'         => 'Employee',
                'personnel_id'      => $employee_id,
                'role'              => $staff->role,
                'username'          => $staff->username,
                'password'          => '',
                'password_datetime' => 0,
                'token'             => '',
                'token_datetime'    => 0,
                'otp'               => '',
                'otp_datetime'      => 0,
                'login_attempts'    => 0,
                'last_attempt'      => 0,
                'last_seen'         => 0,
                'last_module'       => '',
                'homepage'          => '',
                'access_submodules' => '',
                'access_locations'  => '',
                'tags'              => '',
                'f1'                => 0,
                'f2'                => '',
                'f3'                => '',
                'f4'                => '',
                'f5'                => '',
                'f6'                => '',
                'f7'                => '',
                'f8'                => '',
                'f9'                => '',
                'created_user_id'   => $staff->create_staff_id,
                'created_datetime'  => $staff->create_date,
                'modified_user_id'  => $staff->modify_staff_id,
                'modified_datetime' => $staff->modify_date,
                'status'            => 1
            );
            
            $user_id                = $employee_user->create($user_data);
            echo $app->renderAlertSuccess($staff->name.' registered successfully'); 
        }
    }
}

?>