<?php 

class Leader extends Crud {
	function __construct($id) {		
		$this->table        = 'personnel_leaders';
		$this->primary_key  = 'id';
		parent::__construct($id);
	}

	function person($person_id='') {
		$person_id = strlen($person_id) ? $person_id : $this->person_id;
		return new Person($person_id);
	}

	function cadre() {
		global $app;
		return $app->getCategoryByCode('LeadershipCadre', $this->cadre);
	}

	function title() {
		global $app;
		return $app->getCategoryByCode('LeadershipTitle', $this->title);
	}

	function type() {
		global $app;
		return $app->getCategoryByCode('LeadershipStatus', $this->type);
	}

	function location() {
		global $app;
		$location = $this->location;
		return new $location($this->location_id);
	}
}

?>