<?php 

$root               = '../../../';
$submodule_code     = 'leaders';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-xl-8 col-lg-6 pt-2 pb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search leaders', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'advanced'),
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php', 'require'=>'leadership_cadre,leadership_title')
        )
    ), 
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('leadership_cadre', '', 'Choose cadre', 'filter-control onchange-reload-children default-all', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="LeadershipCadre"')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('leadership_title', '', 'Choose title', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg" data-parent="leadership_cadre" data-source="pages/personnel/leaders/leadership_titles_select.php"', array())
    )
);

require($root.'html/template.php');

?>