<?php 

die('This script must be edited');

$root               = '../../../../';
$submodule_code     = 'Departments';
require($root.'config/config.php');

$obj                = new Department();
$location           = $obj->location();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$departments        = $app->read("SELECT department_id, code, name, icon, color, tags FROM loc_departments");

$coms               = $app->read("SELECT * FROM sys_settings");
$com                = new stdClass();
foreach($coms as $com_row) {
    $com_name       = $com_row->name;
    $com_value      = $com_row->value;
    $com->$com_name = $com_value;
}
$db                 = $db_o;

foreach($departments as $department) {
    // Create location

    $location_data              = array (
        'type'                  => 'Department',
        'code'                  => $department->code,
        'name'                  => $department->name,
        'tags'                  => $department->tags,
        'icon'                  => $department->icon,
        'color'                 => $department->color,
        'access'                => ''
    );

    $location_id                = $location->createWithMinimumData($location_data);
    $location                   = new Location($location_id);

    // Create department
    if($location_id) {
        $department_data        = array (
            'id'                => $department->department_id,
            'location_id'       => $location_id,
            'directorate_id'    => 1,
            'f1'                => '',
            'f2'                => '',
            'f3'                => '',
            'f4'                => '',
            'f5'                => '',
            'f6'                => '',
            'f7'                => '',
            'f8'                => '',
            'f9'                => '',
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        
        $department_id          = $obj->create($department_data);

        if($department_id) {
            echo $app->renderAlertSuccess($department->name.' imported successfully', 'Success');
        }
    }
}

?>