<?php 

$root               = '../../../../';
$submodule_code     = 'departments';
require($root.'config/config.php');

$obj                = new Department(0);
$condition          = strlen($get->directorate) ? " AND location_directorates.id = $get->directorate " : " ";

$sql                = "SELECT 
location_departments.id,
department.name,
department.icon,
department.color,
directorate.name directorate,
(SELECT COUNT(location_stores.id) FROM location_stores WHERE location_stores.department_id = location_departments.id) AS stores,
(SELECT COUNT(personnel_employees.id) FROM personnel_employees WHERE personnel_employees.department_id = location_departments.id) AS employees
FROM location_departments
JOIN location_locations department ON department.id = location_departments.location_id
JOIN location_directorates ON location_directorates.id = location_departments.directorate_id
JOIN location_locations directorate ON directorate.id = location_directorates.location_id
WHERE location_departments.status = $app->active
$condition
AND department.name LIKE '%$get->keyword%' 
ORDER BY department.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Directorate', 'value'=>'directorate', 'css'=>'w-20'),
        array('name'=>'Department', 'value'=>'name', 'css'=>''),
        array('name'=>'Stores', 'value'=>'stores', 'css'=>'w-15 text-center'),
        array('name'=>'Employees', 'value'=>'employees', 'css'=>'w-15 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>