<?php 

$root           = '../../../../';
$submodule_code = 'Directorates';
require($root.'config/config.php');

$obj            = new Directorate($get->id);
$location       = $obj->location();

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-regular fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Audits', 'icon'=>'fa-regular fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputText('code', $location->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $location->name, '', 'line-control grid-control');
    echo $app->renderInputAccess($location->access, '', 'line-control grid-control');
    echo $app->renderInputColor($location->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($location->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($location->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');
    
    echo $obj->renderAuditFields();
    
    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>