<?php 

$root               = '../../../../';
$submodule_code     = 'Directorates';
require($root.'config/config.php');

$obj                = new Directorate();

$sql                = "SELECT 
location_directorates.id,
location_locations.code,
location_locations.name,
location_locations.icon,
location_locations.color,
(SELECT COUNT(location_departments.id) FROM location_departments WHERE location_departments.directorate_id = location_directorates.id) AS departments,
(SELECT COUNT(personnel_employees.id) FROM personnel_employees JOIN location_departments ON location_departments.id = personnel_employees.department_id WHERE location_departments.directorate_id = location_directorates.id) AS employees
FROM location_directorates
JOIN location_locations ON location_locations.id = location_directorates.location_id
WHERE location_directorates.status = $app->active
AND location_locations.name LIKE '%$get->keyword%' 
ORDER BY location_locations.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Code', 'value'=>'code', 'css'=>'w-10'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Departments', 'value'=>'departments', 'css'=>'w-15 text-center'),
        array('name'=>'Employees', 'value'=>'employees', 'css'=>'w-15 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>