<?php 

$root           = '../../../';
$submodule_code = 'users';
require($root.'config/config.php');

$obj            = new User($get->id);

// Full access

echo '<div style="text-overflow: ellipsis;">
<a role="button" class="d-block text-decoration-none py-3 rounded text-truncate" style="font-size:1.2em">
<span class="fa-regular fa-check-double fa-fw"></span>&nbsp;&nbsp; Full access <span class="far fa-chevron-right float-end mt-1"></span>
</a>
<div class="row gx-2">';

$clinic = new Clinic(0);

foreach($clinic->location()->fullAccess("type = 'Clinic'") as $access) {
    echo '<div class="col-4 col-lg-4">
    <input class="toggle-child bs-toggle w-100" type="checkbox" data-child-class="access-clinic-'.$access.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" />
    </div>';
}

echo '<hr />
</div></div>';

echo '<div class="accordion accordion-flush w-100" id="accordion_access_clinics">';
$access_clinics = $app->query("SELECT clinical_clinics.id, location_locations.name, location_locations.icon, location_locations.access FROM clinical_clinics JOIN location_locations ON location_locations.id = clinical_clinics.location_id WHERE clinical_clinics.status = 1 ORDER BY location_locations.name ");
foreach($access_clinics as $access_clinic) {
    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button main-menu-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_clinic_'.strtolower($access_clinic->id).'" >
    <span class="'.$access_clinic->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_clinic->name.'
    </button>
    </h2>';

   echo '<div id="access_clinic_'.strtolower($access_clinic->id).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_clinics" style="text-overflow: ellipsis;">
   <div class="row gx-2 py-3">';
   foreach(explode(',', $access_clinic->access) as $access) {
       $input_id   = $access_clinic->id.'_'.$access;
       $checked    = $obj->accessClinic($access_clinic->id, $access) ? 'checked' : '';
       echo '<div class="col-4 col-lg-4">
       <input name="access_clinics['.$access_clinic->id.']['.$access.']" class="access-clinic-'.$access.' bs-toggle" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
       </div>';
   }

   echo '</div></div></div>';
}

?>

<script> app.initializeControls(); </script>