<?php 

$root           = '../../../';
$submodule_code = 'users';
require($root.'config/config.php');

$obj            = new User($get->id);

echo '<div class="accordion accordion-flush w-100" id="accordion_access_modules">';
$access_modules = $app->query("SELECT id FROM settings_modules WHERE settings_modules.status = 1 ORDER BY settings_modules.priority ");
foreach($access_modules as $access_module_row) {
    $access_module = new Module($access_module_row->id);

    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button main-menu-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_module_'.strtolower($access_module->code).'" >
    <span class="'.$access_module->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_module->name.'
    </button>
    </h2>';

    // Full access

    echo '<div id="access_module_'.strtolower($access_module->code).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_modules" style="text-overflow: ellipsis;">
    <a role="button" class="d-block text-decoration-none py-3 rounded text-truncate" style="font-size:1.2em">
    <span class="fa-regular fa-check-double fa-fw"></span>&nbsp;&nbsp; Full access <span class="far fa-chevron-right float-end mt-1"></span>
    </a>
    <div class="row gx-2">';

    foreach($access_module->fullAccess() as $access) {
        $input_id   = $access_module->code.'_'.$access;
        echo '<div class="col-4 col-lg-3">
        <input name="'.$access.'" class="toggle-child bs-toggle w-100" type="checkbox" id="'.$input_id.'" data-child-class="'.$access_module->code.'-'.$access.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" />
        </div>';
    }
    
    echo '<hr />
    </div></div>';

    $access_submodules = $app->query("SELECT * FROM settings_submodules WHERE settings_submodules.module = '$access_module->code' AND settings_submodules.status = 1 ORDER BY settings_submodules.priority ");
    foreach($access_submodules as $access_submodule) {
        echo '<div id="access_module_'.strtolower($access_module->code).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_modules" style="text-overflow: ellipsis;">
        <a role="button" class="d-block text-decoration-none py-3 rounded text-truncate">
        <span class="'.$access_submodule->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_submodule->name.' <span class="far fa-chevron-right float-end mt-1"></span>
        </a>
        <div class="row gx-2">';

        foreach(explode(',', $access_submodule->access) as $access) {
            $input_id   = $access_submodule->code.'_'.$access;
            $checked    = $obj->accessSubmodule($access_submodule->code, $access) ? 'checked' : '';
            echo '<div class="col-4 col-lg-3">
            <input name="access_modules['.$access_submodule->module.']['.$access_submodule->code.']['.$access.']" class="'.$access_module->code.'-'.$access.' bs-toggle w-100" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
            </div>';
        }
        
        echo '<hr />
        </div>
        
        </div>';
    }
    echo '</div>';
}
echo '</div>';





echo $app->renderWizardNext('tab3');

echo '<div class="accordion accordion-flush w-100" id="accordion_access_accounts">';
$access_accounts = $app->query("SELECT * FROM accounting_accounts WHERE accounting_accounts.status = 1 ORDER BY accounting_accounts.priority ");
foreach($access_accounts as $access_account) {
    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button main-menu-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_account_'.strtolower($access_account->id).'" >
    <span class="'.$access_account->icon.' fa-fw"></span>&nbsp;&nbsp;'.$access_account->name.'
    </button>
    </h2>';

    echo '<div id="access_account_'.strtolower($access_account->id).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_accounts" style="text-overflow: ellipsis;">
    <div class="row gx-2 py-3">';

    foreach(explode(',', $access_account->access) as $access) {
        $input_id   = $access_account->id.'_'.$access;
        $checked    = $obj->accessAccount($access_account->id, $access) ? 'checked' : '';
        echo '<div class="col-4 col-lg-3">
        <input name="access_accounts['.$access_account->id.']['.$access.']" class="bs-toggle" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
        </div>';
    }

    echo '</div></div></div>';
}
echo '</div>';

echo $app->renderWizardNext('tab4');

echo $app->renderWizardNext('tab5');

echo $app->renderWizardNext('tab6');

    // Full access

    echo '<div style="text-overflow: ellipsis;">
    <a role="button" class="d-block text-decoration-none py-3 rounded text-truncate" style="font-size:1.2em">
    <span class="fa-regular fa-check-double fa-fw"></span>&nbsp;&nbsp; Full access <span class="far fa-chevron-right float-end mt-1"></span>
    </a>
    <div class="row gx-2">';

    $store = new Store(0);

    foreach($store->location()->fullAccess("type = 'Store'") as $access) {
        echo '<div class="col-4 col-lg-3">
        <input class="toggle-child bs-toggle w-100" type="checkbox" data-child-class="access-store-'.$access.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" />
        </div>';
    }
    
    echo '<hr />
    </div></div>';

echo '<div class="accordion accordion-flush w-100" id="accordion_access_stores">';
$access_stores = $app->query("SELECT location_stores.id, location_locations.name, location_locations.icon, location_locations.access FROM location_stores JOIN location_locations ON location_locations.id = location_stores.location_id WHERE location_stores.status = 1 ORDER BY location_locations.name ");
foreach($access_stores as $access_store) {
    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_store_'.strtolower($access_store->id).'" >
    <span class="'.$access_store->icon.' fa-fw"></span>&nbsp;&nbsp;'.$access_store->name.'
    </button>
    </h2>';

    echo '<div id="access_store_'.strtolower($access_store->id).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_stores" style="text-overflow: ellipsis;">
    <div class="row gx-2 py-3">';
    foreach(explode(',', $access_store->access) as $access) {
        $input_id   = $access_store->id.'_'.$access;
        $checked    = $obj->accessStore($access_store->id, $access) ? 'checked' : '';
        echo '<div class="col-4 col-lg-3">
        <input name="access_stores['.$access_store->id.']['.$access.']" class="access-store-'.$access.' bs-toggle" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
        </div>';
    }

    echo '</div></div></div>';
}

echo '</div>';

?>
