<?php

$root           = '../../../';
$submodule_code = 'Suppliers';
require($root.'config/config.php');

$sql                = "SELECT 
procurement_suppliers.id,
procurement_suppliers.code,
personnel_persons.id person_id,
personnel_persons.name,
personnel_persons.sex,
personnel_persons.phone
FROM personnel_persons
JOIN procurement_suppliers ON procurement_suppliers.person_id = personnel_persons.id
WHERE personnel_persons.name LIKE '%$get->keyword%'
ORDER BY personnel_persons.name
";

$rows           = $app->read($sql);
$suppliers      = array();

foreach($rows as $row) {
	$id 		= $row->id;
	$code 		= $row->code;
	$name 		= $row->name;
	$phone 		= $row->phone;
	$suppliers[]= array('code' => $id, 'name' => $name, 'phone' => $phone);
}

header('Content-type:application/json;charset=utf-8');
echo json_encode($suppliers);

?>