<?php

echo $app->renderFormOpen (
    array (
        'form_id'       => 'contributions_form',
        'form_action'   => 'contributions_process.php'
    )
);

echo '<h2 class="fw-light my-4"> <small><span class="fa-light fa-coins fa-fw"></span></small> Import contributions </h2>';

echo '<div class="row">';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-sack-dollar"></span> </h3>
<h4 class="fw-semibold">Contribution types</h4>
<div class="mb-4" style="height:50px">
Choose contribution types to upload.
</div>
'.$app->renderInputSelect('contributions_types[]', 'Deposits,Savings,Shares,Risks', '', 'select-search', 'data-style="btn-primary" multiple ', 'settings_categories', 'code', 'name', "type='SaccosTransaction' AND tags LIKE '%contribution%'").'   
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-download"></span> </h3>
<h4 class="fw-semibold">Download template</h4>
<div class="mb-4" style="height:50px">Download CSV template for importing members contributions.</div>
<a id="contributions_link" class="btn btn-primary" href="contributions_template.php"> <span class="fa-regular fa-download fa-fw"></span>  Download template </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-upload"></span> </h3>
<h4 class="fw-semibold">Upload contributions</h4>
<div class="mb-4" style="height:50px">Upload CSV file containing members contributions.</div>
<label class="w-100" for="contributions_file">
<a class="btn btn-primary"> <span class="fa-regular fa-upload fa-fw"></span> Upload contributions </span> </a>
<input type="file" name="contributions_file" id="contributions_file" style="display:none" />
</label>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-rotate"></span> </h3>
<h4 class="fw-semibold">Proccess contributions</h4>
<div class="mb-4" style="height:50px">Click to process the CSV file you have just uploaded.</div>
<a class="btn btn-primary" href="#" onclick="$(\'#contributions_form\').submit()"> <span class="fa-regular fa-rotate fa-fw"></span>  Process contributions </span></a>
</div>
</div>
</div>';

echo '</div>';

echo $app->renderFormClose( array('form_id'=>'contributions_form') );

?>

<script>

function setContributionsTypes() {
    var contributions_types   = $('#contributions_types').val();
    $('#contributions_link').attr('href', 'contributions_template.php?contributions_types='+contributions_types);
}

setContributionsTypes();
$('#contributions_types').on('change', function() {setContributionsTypes()});

</script>