<?php

echo $app->renderFormOpen (
    array (
        'form_id'       => 'income_form',
        'form_action'   => 'income_process.php'
    )
);

echo '<h2 class="fw-light my-4"> <small><span class="fa-light fa-coins fa-fw"></span></small> Import income </h2>';

echo '<div class="row">';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-download"></span> </h3>
<h4 class="fw-semibold">Income template</h4>
<div class="mb-4" style="height:50px">Download CSV template for importing members income.</div>
<a class="btn btn-primary" href="income_template.php"> <span class="fa-regular fa-download fa-fw"></span>  Download template </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-upload"></span> </h3>
<h4 class="fw-semibold">Upload income</h4>
<div class="mb-4" style="height:50px">Upload CSV file containing members income.</div>
<label class="w-100" for="income_file">
<a class="btn btn-primary"> <span class="fa-regular fa-upload fa-fw"></span> Upload income </span> </a>
<input type="file" name="income_file" id="income_file" style="display:none" />
</label>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-rotate"></span> </h3>
<h4 class="fw-semibold">Proccess income</h4>
<div class="mb-4" style="height:50px">Click to process the CSV file you have just uploaded.</div>
<a class="btn btn-primary" href="#" onclick="$(\'#income_form\').submit()"> <span class="fa-regular fa-rotate fa-fw"></span>  Process income </span></a>
</div>
</div>
</div>';

echo '</div>';

echo $app->renderFormClose( array('form_id'=>'income_form') );

?>