<?php 

$root           = '../../../';
$submodule_code = 'Loans';
require($root.'config/config.php');

$loan_type      = $get->loan_type;
$sql            = "SELECT id FROM saccos_loans WHERE type = '$loan_type' AND amount_due > 100 ";
$data[]         = array(
    'NAMBA_MKOPO'       => '',
    'AINA_MKOPO'        => '',
    'NAMBA_MWANACHAMA'  => '',
    'JINA_MWANACHAMA'   => '',
    'MKOPO_KIASI'       => '',
    'MKOPO_ULIOSALIA'   => '',
    'RIBA_KIASI'        => '',
    'RIBA_ILIYOSALIA'   => '',
    'TAREHE_KUANZA'     => '',
    'MUDA_MIEZI'        => '',
    'TAREHE_KUMALIZA'   => '',
    'MKOPO_ALIOREJESHA' => '',
    'RIBA_ALIYOREJESHA' => ''
);

foreach($app->read($sql) as $row) {
    $loan       = new Loan($row->id);
    $member     = $loan->member();
    $person     = $member->person();
    $loan_data  = array (
        'NAMBA_MKOPO'       => $loan->id,
        'AINA_MKOPO'        => $loan_type,
        'NAMBA_MWANACHAMA'  => $member->code,
        'JINA_MWANACHAMA'   => $person->name,
        'MKOPO_KIASI'       => $loan->amount,
        'MKOPO_ULIOSALIA'   => $loan->amount_due,
        'RIBA_KIASI'        => $loan->interest_amount,
        'RIBA_ILIYOSALIA'   => $loan->interest_due,
        'TAREHE_KUANZA'     => $loan->start_date,
        'MUDA_MIEZI'        => $loan->duration_months,
        'TAREHE_KUMALIZA'   => $loan->end_date,
        'MKOPO_ALIOREJESHA' => 0,
        'RIBA_ALIYOREJESHA' => 0
    );
    $data[]                 = $loan_data;
}

$csv->output($data, $loan_type.'_repayments.csv');

?>