<?php 

$root           = '../../../';
$submodule_code = 'loans';
require($root.'config/config.php');

die('Must be edited');

$obj                        = new SaccosTransaction();
$sql                        = "SELECT * FROM tra_loan_payments";
$rows                       = $db->read($sql);

foreach($rows as $row) {

    $now                    = $row->create_date;
    $loan_id                = $row->admission_id;
    $loan                   = new Loan($loan_id);
    $member_id              = $row->customer_id;
    $date                   = $now;
    $amount_paid            = $row->paid;

    $repayment_loan         = $amount_paid * 200 / (200 + $loan->interest_percent * $loan->duration_months + $loan->interest_percent);
    $repayment_interest     = $amount_paid - $repayment_loan;

    echo 'Loan = '.number_format($repayment_loan).' and interest = '.number_format($repayment_interest).' Total = '.number_format($amount_paid).'<br />';

    $data                   = array (
        'id'                => 0,
        'member_id'         => $member_id,
        'date'              => $now,
        'transaction'       => '',
        'transaction_id'    => '',
        'parent'            => '',
        'parent_id'         => '',
        'paymethod'         => 'BankDeposit',
        'reference'         => '',
        'account_id'        => 1,
        'details'           => '',
        'currency'          => $client->currency_code,
        'rate'              => $client->currency_rate,
        'amount'            => 0,
        'withdrawn'         => 0,
        'deposited'         => 0,
        'balance'           => 0,
        'f1'                => '',
        'f2'                => '',
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => '',
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => 0,
        'created_datetime'  => $now,
        'modified_user_id'  => 0,
        'modified_datetime' => 0,
        'status'            => 1
    ); 

    // Rejesha mkopo
    $trans_category         = $app->getCategoryByCode('SaccosTransaction', 'Repayment');
    $data['transaction']    = 'Repayment';
    $data['parent']         = 'Loan';
    $data['parent_id']      = $loan_id;
    $data['amount']         = $repayment_loan;
    $data['deposited']      = $repayment_loan;
    $data['balance']        = $loan->amount_due - $repayment_loan;
    echo $obj->created($data);

    // Rejesha riba
    $trans_category         = $app->getCategoryByCode('SaccosTransaction', 'Interest');
    $data['transaction']    = 'Interest';
    $data['parent']         = 'Loan';
    $data['parent_id']      = $loan_id;
    $data['amount']         = $repayment_interest;
    $data['deposited']      = $repayment_interest;
    $data['balance']        = $loan->interest_due - $repayment_interest;
    echo $obj->created($data);

    // Update mkopo
    $update_data            = array (
        'amount_paid'       => ($repayment_loan + $loan->amount_paid),
        'amount_due'        => ($loan->amount_due - $repayment_loan),
        'interest_paid'     => ($repayment_interest + $loan->interest_paid),
        'interest_due'      => ($loan->interest_due - $repayment_interest)
    );
    $loan->update ($update_data);
    
}

?>