<?php 

$root               = '../../../';
$submodule_code     = 'Loans';
require($root.'config/config.php');
$member             = new Member(0);

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    
    array (
        'type'      => 'buttons',
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php?modal_title=Maombi', 'title'=>'Maombi', 'require'=>'saccos_member')
        )
    ),
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'control'   => $app->renderInputSelect('saccos_member', '', 'Jina la mwanachama', 'filter-control default-all onchange-reload-list form-control-lg', 'data-style="btn-outline-secondary form-control-lg"', $member->list())
    ),
    array (
        'control'   => $app->renderInputSelect('loan_type', '', 'Aina ya mkopo', 'filter-control default-all onchange-reload-list form-control-lg', 'data-style="btn-outline-secondary form-control-lg"', 'settings_categories', 'code', 'name', "type='LoanType'")
    ),
    array (
        'control'   => $app->renderInputSelect('loan_status', '', 'Hali ya mkopo', 'filter-control default-all onchange-reload-list form-control-lg', 'data-style="btn-outline-secondary form-control-lg"', 'settings_categories', 'code', 'name', "type='LoanStatus'")
    )
);

require($root.'html/template.php');

?>