function calculateLoan() {
    var type                    = $('#category').val();
    var duration                = app.unformatMoney($('#duration').val());
    var amount                  = app.unformatMoney($('#amount').val());

    if(type && duration && amount) {
        var loan_type           = loan_types[type];
        var interest_percent    = loan_type.f2;
        var interest_code       = loan_type.f6;
        var interest_type       = interest_types[interest_code];
        var interest_formula    = interest_type.f1.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var interest_amount     = eval(interest_formula);
        var interest_monthly    = interest_amount / duration;
        var repayment_monthly   = amount / duration;

        var application_formula = loan_type.f1.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var application_fee     = eval(application_formula);

        var insurance_formula   = loan_type.f7.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var insurance_fee       = eval(insurance_formula);

        var amount_limit        = eval(loan_type.f4.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('=', '').replace('AKIBA', member_savings).replace('shares', member_shares));
        $('#duration_limit').selectpicker('val', loan_type.f3);
        $('#amount_limit').val(app.formatMoney(amount_limit));
        $('#application_fee').val(app.formatMoney(application_fee));
        $('#insurance_fee').val(app.formatMoney(insurance_fee));
        $('#expenses_fee').val(app.formatMoney(insurance_fee + application_fee));
        
        if(amount > amount_limit) {
            alert('Kiwango cha juu unachoweza kukopa ni TZS '+app.formatMoney(amount_limit));
            $('#amount').val(app.formatMoney(amount_limit));
            amount  = amount_limit;
        }

        if(duration > loan_type.f3) {
            duration = loan_type.f3;
            alert('Kiwango cha juu cha marejesho ni miezi '+duration);
            $('#duration').selectpicker('val', duration);
        }

        $('#interest_code').selectpicker('val', interest_code);
        $('#interest_percent').val(interest_percent+'%');
        $('#interest_monthly').val(app.formatMoney(interest_monthly));
        $('#interest_amount').val(app.formatMoney(interest_amount));
        $('#repayment_monthly').val(app.formatMoney(repayment_monthly));
        $('#repayment_interest_monthly').val(app.formatMoney(repayment_monthly + interest_monthly));
        $('#repayment_interest_amount').val(app.formatMoney(amount + interest_amount));

        var repayments_html     = '';
        var repayment           = repayment_monthly + interest_monthly;
        var interest_balance    = interest_amount;
        var loan_balance        = amount;
        var total_balance       = interest_balance + loan_balance;

        for(var month = 1; month <= duration; month++) {

            interest_balance    -= interest_monthly;
            loan_balance        -= repayment_monthly;
            total_balance       = interest_balance + loan_balance;

            repayments_html     +='<tr>'+
            '<td class="text-center">'+month+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(repayment))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(interest_balance))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(loan_balance))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(total_balance))+'</td>'+
            '</tr>';
        }
        $('#repayment_table').html(repayments_html);

    } else {
        if(type) {
            var loan_type           = loan_types[type];
            var amount_limit        = eval(loan_type.f4.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('AKIBA', member_savings).replace('shares', member_shares));
            var interest_percent    = loan_type.f2;

            if(amount > amount_limit) {
                alert('Kiwango cha juu unachoweza kukopa ni TZS '+app.formatMoney(amount_limit));
                $('#amount').val(app.formatMoney(amount_limit));
            }
    
            if(duration > loan_type.f3) {
                duration = loan_type.f3;
                alert('Kiwango cha juu cha marejesho ni miezi '+duration);
                $('#duration').selectpicker('val', duration);
            }

            $('#interest_percent').val(interest_percent+'% ');
            $('#duration_limit').selectpicker('val', loan_type.f3);
            $('#amount_limit').val(app.formatMoney(amount_limit));
            $('#application_fee').val(app.formatMoney(loan_type.f6));
        }
    }
}

function setRepaymentSource() {
    var repayment_code          = $('#repayment_code').val();

    var repayment_source        = repayment_sources[repayment_code];
    if(repayment_source) {
        $('#repayment_name_label').html(repayment_source.f1);
        $('#repayment_category_label').html(repayment_source.f2);
        $('#repayment_address_label').html(repayment_source.f3);
        $('#repayment_id_label').html(repayment_source.f4);
        $('#repayment_startdate_label').html(repayment_source.f5);
        $('#repayment_enddate_label').html(repayment_source.f6);
        $('#repayment_duration_label').html(repayment_source.f7);
    }
    
}


function renderButtons(prev_button, next_button) {
    var str = `<div class="row" style="position:relative; bottom:0px">
    <div class="col-12 col-sm-6 mt-3">
    <a class="btn btn-outline-primary w-100 btn-lg ${prev_button.id}-link" onclick="$('.modal-wizard-link').removeClass('active'); $('.${prev_button.id}-wizard-button').addClass('active'); $('#${prev_button.id}_button').trigger('click')"> <span class="fa-regular fa-arrow-left fa-fw"></span> ${prev_button.name} </a>
    </div><div class="col-12 col-sm-6 mt-3">
    <a class="btn btn-primary w-100 btn-lg ${next_button.id}-link" onclick="$('.modal-wizard-link').removeClass('active'); $('.${next_button.id}-wizard-button').addClass('active'); $('#${next_button.id}_button').trigger('click')" data-check-input="category,duration,amount"> ${next_button.name} <span class="fa-regular fa-arrow-right fa-fw"></span> </a>
    </div></div>`;
    return str;
}

function getNextTab(buttons, current_button) {
    var current_index   = buttons.indexOf(current_button);
    var next_index      = current_index + 1;
    var next_tab        = buttons[next_index];
    if(next_tab) return next_tab;
    return current_button;
}

function getButtonObject(button_id) {
    if(button_id == 'tab0') return {'id':'tab0', 'name':'Taarifa za awali'};
    if(button_id == 'tab1') return {'id':'tab1', 'name':'Maombi ya mkopo'};
    if(button_id == 'tab2') return {'id':'tab2', 'name':'Gharama za mkopo'};
    if(button_id == 'tab3') return {'id':'tab3', 'name':'Ratiba ya kurejesha'};
    if(button_id == 'tab4') return {'id':'tab4', 'name':'Chanzo cha kurejesha'};
    if(button_id == 'tab5') return {'id':'tab5', 'name':'Dhamana za mkopo'};
    if(button_id == 'tab6') return {'id':'tab6', 'name':'Wadhamini wa mkopo'};
    if(button_id == 'tab7') return {'id':'tab7', 'name':'Mikopo mingine'};
    return {'id':'tab8', 'name':'Kiapo chja mkopaji'};
}

function checkLoanType() {
    var loan_type       = $('#category').val();
    if(!loan_type) {
        $('#tab4_wizard_button').hide();
        $('#tab5_wizard_button').hide();
        $('#tab6_wizard_button').hide();
        $('#tab7_wizard_button').hide();
        return;
    }

    var loan                = loan_types[loan_type];
    var tabs                = loan.f8.split(',');
    var prev_button         = getButtonObject('tab2');
    var next_button         = getButtonObject('tab5');
    
    for(tab=3; tab<9; tab++) {
        var current_tab     = 'tab'+tab;
        var previous_tab    = 'tab'+(tab - 1);
        
        if(tabs.includes(current_tab)) {
            next_tab        = getNextTab(tabs, current_tab);
            next_button     = getButtonObject(next_tab);
            $('#'+current_tab+'_buttons_container').html(renderButtons(prev_button, next_button));
            $('#'+current_tab+'_wizard_button').show();
            prev_button     = getButtonObject(current_tab);
        } else {
            $('#'+current_tab+'_wizard_button').hide();
        }
    }
}
    
checkLoanType();

$('#category').on('change', function() {checkLoanType()});

$('#repayment_code').on('change', function() {
    setRepaymentSource();
});

$('#ajax_form_loans_footer').hide();

$('.onchange-calculate-loan').change(function() {
    calculateLoan();
});

calculateLoan();

$('#amount').on('change', function() {
    $('#vet_amount').html($(this).val());
});

$('.tab9-link').addClass('disabled');
$('#accept_terms').on('change', function() {
    if($(this).is(':checked')) {
        $('.tab9-link').removeClass('disabled');
    } else {
        $('.tab9-link').addClass('disabled');
    }
});

$('.tab9-link').on('click', function() {
    if(confirm('Unawasilisha fomu ya maombi ya mkopo, tafadhali pitia vipengele vyote kabla hujawasilisha. Je unataka kuwasilisha sasa?')) {
        $('#ajax_form_loans').submit();
    }
});