<?php 

$root           = '../../../';
$submodule_code = 'shares';
require($root.'config/config.php');

die('Must be edited');

$sql    = "SELECT * FROM tra_savings";
$rows   = $db->read($sql);
$obj    = new SaccosTransaction(0);

foreach($rows as $row) {
    $transaction                = 'Savings';
    $member_id                  = $row->customer_id;
    $member                     = new Member($member_id);
    $transaction_id             = $row->transaction_id;
    $balance                    = $prev_balance   = $member->balance($transaction);
    $balance                    = $balance + $row->subtotal;
    $now                        = $row->create_date;

    if($row->subtotal > 0) {
        $deposited              = $row->subtotal;
        $withdrawn              = 0;   
    } else {
        $deposited              = 0;
        $withdrawn              = $row->subtotal * -1; 
    }
    
    $data                       = array (
        'id'                    => 0,
        'member_id'             => $member_id,
        'date'                  => $now,
        'transaction'           => $transaction,
        'transaction_id'        => $transaction_id,
        'parent'                => '',
        'parent_id'             => '',
        'paymethod'             => 'BankTransfer',
        'reference'             => '',
        'account_id'            => 1,
        'details'               => '',
        'currency'              => $client->currency_code,
        'rate'                  => $client->currency_rate,
        'amount'                => $row->subtotal,
        'withdrawn'             => $withdrawn,
        'deposited'             => $deposited,
        'balance'               => $balance,
        'f1'                    => '',
        'f2'                    => '',
        'f3'                    => '',
        'f4'                    => '',
        'f5'                    => '',
        'f6'                    => '',
        'f7'                    => '',
        'f8'                    => '',
        'f9'                    => '',
        'created_user_id'       => 1,
        'created_datetime'      => $now,
        'modified_user_id'      => 0,
        'modified_datetime'     => 0,
        'status'                => 1
    );  

    echo $obj->created($data);
}

?>