<?php 

$root               = '../../../';
$submodule_code     = 'Categories';
require($root.'config/config.php');

$obj                = new Category(0);
$condition          = strlen($get->type) ? "AND type = '$get->type' " : " ";
$sql                = "SELECT 
settings_categories.id,
settings_category_types.name type,
settings_categories.name,
settings_categories.code,
settings_categories.icon,
settings_categories.color
FROM settings_categories
JOIN settings_category_types ON settings_category_types.code = settings_categories.type
WHERE settings_categories.status = 1
AND settings_categories.name LIKE '%$get->keyword%' 
$condition
ORDER BY settings_categories.priority, settings_categories.name
";

$data = $app->pagenate($app->read($sql));

$options            = array ( 
    'columns'       => array (
        array('name'=>'Type', 'value'=>'type', 'css'=>'w-20'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Code', 'value'=>'code', 'css'=>'w-10'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'          => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose($options);

echo $data->pagination;

?>