<?php 

$root           = '../../../';
$submodule_code = 'CategoryTypes';
require($root.'config/config.php');

$obj            = new CategoryType($get->id);

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read, update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-light fa-memo-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Extra fields', 'icon'=>'fa-light fa-file-circle-plus'),
        array ('id'=>'tab3', 'name'=>'Audit log', 'icon'=>'fa-light fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);

    // 
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>

<script>$('select').selectpicker({liveSearch: true});</script>