<?php 

$root               = '../../../';
$submodule_code     = 'continents';
require($root.'config/config.php');

$obj                = new Table('location_continents', 'id', 0);
$sql                = "SELECT 
location_continents.id,
location_continents.name,
location_continents.code
FROM location_continents
WHERE location_continents.status = $app->active
AND location_continents.name LIKE '%$get->keyword%' 
ORDER BY location_continents.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'CODE', 'value'=>'code', 'css'=>'w-20'),
        array('name'=>'NAME', 'value'=>'name', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>