<?php 

$root               = '../../../';
$submodule_code     = 'countries';
require($root.'config/config.php');

$obj                = new Country(0);
$sql                = "SELECT 
location_countries.id,
location_countries.name,
location_continents.name continent,
location_countries.code
FROM location_countries
JOIN location_continents ON location_continents.code = location_countries.continent_code
WHERE location_countries.status = $app->active
AND location_countries.name LIKE '%$get->keyword%' 
ORDER BY location_countries.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'CODE', 'value'=>'code', 'css'=>'w-20'),
        array('name'=>'NAME', 'value'=>'name', 'css'=>''),
        array('name'=>'CONTINENT', 'value'=>'continent', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>