<?php 

$root           = '../../../';
$submodule_code = 'districts';
require($root.'config/config.php');

$obj            = new District($get->id);
$obj->region    = isset($app->region) ? $app->region : $obj->region_id;
$obj->country   = $obj->getRegion($obj->region)->country;

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {
    
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-3')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputSelect('country', $obj->country, '', 'line-control grid-control select-search onchange-reload-children', '', 'location_countries', 'code', 'name', '', 'Country');
    echo $app->renderInputSelect('region', $obj->region, '', 'line-control grid-control select-search', 'data-parent="country" data-source="pages/settings/regions/regions_select.php"', 'location_regions', 'id', 'name');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>