<?php 

$root               = '../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');

$obj                = new Import();
$sql                = "SELECT * FROM settings_imports";

$data               = $app->pagenate($app->read($sql));

$options            = array (
    'columns'       => array (
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Records', 'value'=>'read_records', 'css'=>'w-10'),
        array('name'=>'Imported', 'value'=>'write_records', 'css'=>'w-10'),
        array('name'=>'Current Id', 'value'=>'current_id', 'css'=>'w-10'),
        array('name'=>'Progress', 'value'=>'progress', 'css'=>'w-20'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-20 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete'), array('type'=>'run')
    ),
    'rows'          => $data->rows
);

echo $app->renderTableOpen($options);
foreach($data->rows as $row) {
    $obj            = new Import($row->id);
    $link_options   = array('id'=>$obj->id, 'name'=>$obj->name);
  
    echo '<tr>';
    echo '<td>'.$app->renderLinkOpen($link_options).'</td>';
    echo '<td>'.$obj->read_records.'</td>';
    echo '<td>'.$obj->write_records.'</td>';
    echo '<td>'.$obj->current_id.'</td>';
    echo '<td>
    <div class="progress" role="progressbar" id="progress_container_'.$obj->id.'">
    <div class="progress-bar" style="width: '.$obj->progress.'%">'.$obj->progress.'%</div>
    </div>
    </td>';
    
    echo '<td class="text-center text-nowrap">
    '.$app->renderButtonCopy($link_options).'
    '.$app->renderButtonEdit($link_options).'
    '.$app->renderButtonDelete($link_options).'
    <a title="Reset" class="remote-modal bs-tooltip btn" data-bs-toggle="modal" data-bs-target="#modal_lg" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" href="form.php?action=reset&id='.$obj->id.'"> <span class="fa-solid fa-rotate-right"></span> </a>
    '.$app->renderButtonRun($link_options).'
    </td>';

    if($obj->action == 'Importing') {
        // echo '<script> setInterval(function() {$(\'#progress_container_'.$obj->id.'\').load(\'progress.php?id='.$obj->id.'\'), 3000}) </script>';
    }
    
}

echo $app->renderTableClose($options);

echo $data->pagination;

?>