<?php 

$root               = '../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');

$obj                = new Import($get->id);

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} elseif($post->action == 'run') {

    echo "<script> 
        $('#import_container').html(loading_bar); 
        importData($post->id, '$post->name', $post->start_id, $post->current_id, $post->end_id, $post->chunk_size, '$post->truncate', '$post->duplicate'); 
    </script>";

} else { 

    if($post->action == 'create' || $post->action == 'copy') {

        // Create...
        $user->checkSubmoduleAccess($submodule, 'create');
        $data                   = array (
            'id'                => 0,
            'type'              => '',
            'subtype'           => '',
            'name'              => $post->name,
            'read_records'      => $post->read_records,
            'write_records'     => $post->write_records,
            'chunk_size'        => $post->chunk_size,
            'chunk_count'       => $post->chunk_count,
            'chunk_done'        => $post->chunk_done,
            'start_id'          => $post->start_id,
            'end_id'            => $post->end_id,
            'current_id'        => $post->current_id,
            'progress'          => $post->progress,
            'action'            => 'Created',
            'f1'                => '',
            'f2'                => '',
            'f3'                => '',
            'f4'                => '',
            'f5'                => '',
            'f6'                => '',
            'f7'                => '',
            'f8'                => '',
            'f9'                => '',
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        echo $obj->created($data);
    } elseif($post->action == 'edit' || $post->action == 'reset') {   

        // Edit...
        $user->checkSubmoduleAccess($submodule, 'edit');    
        $data                   = array (
            'name'              => $post->name,
            'read_records'      => $post->read_records,
            'write_records'     => $post->write_records,
            'chunk_size'        => $post->chunk_size,
            'chunk_count'       => $post->chunk_count,
            'chunk_done'        => $post->chunk_done,
            'progress'          => $post->progress,
            'start_id'          => $post->start_id,
            'end_id'            => $post->end_id,
            'current_id'        => $post->current_id,
            'modified_user_id'  => $user_id,
            'modified_datetime' => $now
        );
        echo $obj->updated($data);
    }
}

?>