<?php 

$root               = '../../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');
$obj                = new Import();

// Check that emedical3 clients folder exists in client folder

$emedical3_client_path  = str_replace($client_id, 'emedical3', $root.CLIENT_PATH);
$attachment             = new Attachment();

if(!file_exists($emedical3_client_path)) {
    die($app->renderAlertError('Client folder from emedical3 does not exists!<br />Copy '.$client_id.' folder from emedical3 clients folder, rename it emedical3 then place it in emedical4 clients folder'));
}

$signature_path     = $emedical3_client_path.'staff/sig';
$records            = scandir($signature_path);

$count              = count($records);
$chunk_size         = $obj->calculateChunkSize($count);
$chunk_count        = ceil($count / $chunk_size);
$start_id           = 0;
$end_id             = $count;

echo $app->renderInputText('read_records', $count, '', 'line-control grid-control', '', 'Records');
echo $app->renderInputText('chunk_size', $chunk_size, '', 'line-control grid-control');
echo $app->renderInputHidden('chunk_count', $chunk_count, '', 'line-control grid-control', '', 'Chunks count');
echo $app->renderInputText('start_id', $start_id, '', 'line-control grid-control', '', 'Start record id');
echo $app->renderInputText('current_id', $obj->current_id, '', 'line-control grid-control', '', 'Current record id');
echo $app->renderInputText('end_id', $end_id, '', 'line-control grid-control', '', 'Ending record id');

?>