<?php 

$root               = '../../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');
$obj                = new Import();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->emedical3_database, DB_USERNAME, DB_PASSWORD);
$records            = $app->read("SELECT store_id id FROM loc_stores ");
$db                 = $db_o;

$count              = count($records);
$chunk_size         = $obj->calculateChunkSize($count);
$chunk_count        = ceil($count / $chunk_size);
$start_id           = $records[0]->id;
$end_id             = $records[$count - 1]->id;

echo $app->renderInputText('read_records', $count, '', 'line-control grid-control', '', 'Records');
echo $app->renderInputText('chunk_size', $chunk_size, '', 'line-control grid-control');
echo $app->renderInputHidden('chunk_count', $chunk_count, '', 'line-control grid-control', '', 'Chunks count');
echo $app->renderInputText('start_id', $start_id, '', 'line-control grid-control', '', 'Start record id');
echo $app->renderInputText('current_id', $obj->current_id, '', 'line-control grid-control', '', 'Current record id');
echo $app->renderInputText('end_id', $end_id, '', 'line-control grid-control', '', 'Ending record id');

?>