<?php 

class Module extends Crud {
	function __construct($id) {		
		$this->table        = 'settings_modules';
		$this->primary_key  = 'id';
		parent::__construct($id);
	}

	function fullAccess() {
		global $app;
		$all_access	= array();
		$sql 		= "SELECT code, access FROM settings_submodules WHERE module = '$this->code' ";
		foreach($app->read($sql) as $row) {
			foreach(explode(',', $row->access) as $sub_access) {
				if(!in_array($sub_access, $all_access)) {
					$all_access[] = $sub_access;
				}
			}

			// Children access
			$submodule_code = $row->code;
			$child_sql 		= "SELECT code FROM settings_submodules WHERE parent = '$submodule_code' ";
			foreach($app->read($child_sql) as $row) {
				if(!in_array($row->code, $all_access)) {
					$all_access[] = $row->code;
				}
			}		
		}
		return $all_access;
	}
}

?>