<?php 

$root               = '../../../';
$submodule_code     = 'regions';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-xl-8 col-lg-6 pt-2 pb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search regions by name', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'advanced'),
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php', 'require'=>'type')
        )
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('country', '', 'Choose country', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'location_countries', 'code', 'name')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('zone', '', 'Choose zone', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="country" data-source="pages/settings/regions/regions_select.php"', 'location_zones', 'code', 'name')
    )
);

require($root.'html/template.php');

?>