<?php 

$root           = '../../../';
$submodule_code = 'system';
require($root.'config/config.php');

$obj            = new Settings($get->id);
$obj->type      = isset($get->type) ? $get->type : $obj->type;

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {
    
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Styles', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab4', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-3')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderInputSelect('input', $obj->input, '', 'line-control grid-control select-search default-none', '', 'settings_categories', 'code', 'name', "type='InputType'");
    echo $app->renderInputSelect('type', $obj->type, '', 'line-control grid-control select-search default-none', '', 'settings_categories', 'code', 'name', "type='SystemSettings'", 'Category');
    echo $app->renderInputSelect('module', $obj->module, '', 'line-control grid-control select-search default-none', '', 'settings_modules', 'code', 'name');
    
    echo $app->renderInputHidden('code', $obj->code, '', 'line-control grid-control', 'required');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control', 'required');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputTextarea('options', $obj->options, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputCounter('priority', $obj->priority, 100, '', 'line-control grid-control select-search', '', 'Priority');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab4');

    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>