<?php 

$root               = '../../../';
$submodule_code     = 'Templates';
require($root.'config/config.php');

$obj                = new Template();
$condition          = strlen($get->type) ? "AND type = '$get->type' " : " ";
$sql                = "SELECT id
FROM settings_templates
WHERE name LIKE '%$get->keyword%' 
AND status > 0
$condition
";

$data               = $app->pagenate($app->read($sql));

$options            = array (
    'columns'       => array (
        array('name'=>'Type', 'value'=>'type', 'css'=>'w-20'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Fields', 'value'=>'code', 'css'=>'w-10 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    )
);

echo $app->renderTableOpen($options);

foreach($data->rows as $row) {
    $template       = new Template($row->id);
    $category       = $app->getCategoryByCode('TemplateType', $template->type);
    $link_options   = array('id'=>$template->id, 'name'=>$template->name);

    echo '<tr>
    <td>'.$category->name.'</td>
    <td>'.$app->renderLinkOpen($link_options).'</td>
    <td class="text-center">'.count(json_decode($template->parameters)).'</td>
    <td class="text-center">'.$template->renderIconColor().'</td>
    <td class="text-center">'.$app->renderButtonCopy($link_options).' '.$app->renderButtonEdit($link_options).' '.$app->renderButtonDelete($link_options).'</td>
    </tr>';
}

echo $app->renderTableClose($options);

echo $data->pagination;

?>