<?php 

$root               = '../../../';
$submodule_code     = 'villages';
require($root.'config/config.php');

$obj                = new Village(0);
$country_filter     = strlen($get->country) ? "AND location_countries.code = '$get->country' " : " ";
$region_filter      = strlen($get->region) ? "AND location_districts.region_id = '$get->region' " : " ";
$district_filter    = strlen($get->district) ? "AND location_villages.district_id = '$get->district' " : " ";

$sql                = "SELECT 
location_villages.id,
location_districts.name district,
location_villages.name
FROM location_villages
JOIN location_districts ON location_districts.id = location_villages.district_id
JOIN location_regions ON location_regions.id = location_districts.region_id
JOIN location_countries ON location_countries.code = location_regions.country
WHERE location_villages.status = $app->active
AND location_villages.name LIKE '%$get->keyword%' 
$country_filter
$region_filter
$district_filter
ORDER BY location_villages.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'DISTRICT', 'value'=>'district', 'css'=>'w-20'),
        array('name'=>'VILLAGE', 'value'=>'name', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>