<?php 

$root               = '../../../';
$submodule_code     = 'zones';
require($root.'config/config.php');

$obj                = new Zone($get->id);
$sql                = "SELECT 
location_zones.id,
location_zones.name,
location_countries.name country,
location_zones.code
FROM location_zones
JOIN location_countries ON location_countries.code = location_zones.country
WHERE location_zones.status = $app->active
AND location_zones.name LIKE '%$get->keyword%' 
ORDER BY location_zones.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'CODE', 'value'=>'code', 'css'=>'w-20'),
        array('name'=>'NAME', 'value'=>'name', 'css'=>''),
        array('name'=>'COUNTRY', 'value'=>'country', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>