<?php 

$root               = '../../';
$submodule_code     = 'Customers';
require($root.'config/config.php');
require($root.'api/wcf/WCF.php');

$insurance          = new WCF();
$results            = $insurance->approveService($get->item_code, $get->authorization_no, $get->practioner_no, $get->remarks, $get->item_id);
$button             = '<a class="btn btn-outline-primary w-100" onclick="requestWCFApproval(\''.$get->item_code.'\', \''.$get->authorization_no.'\', \''.$get->practioner_no.'\')">Retry</a>';

if($results->status_code == 200) {
    if($messages = json_decode($results->message)) {
        if(isset($messages->data)) {
            $message = $messages->data;

            if(is_array($message)) $message = $message[0];

            if(isset($message->approvalNo)) {
                echo '<script>
                alert(\'Approval number received successfully: '.$message->approvalNo.'\');
                $(\'#trans_items'.$get->item_id.'approval_no\').val(\''.$message->approvalNo.'\');
                </script>';
            } else {
                echo '<script>
                alert(\'Approval number not received: '.$message->approvalNo.'\');
                </script>';
            }
        } else {
            
        }
    } else {
        echo '<script>
        alert(\'Message could not be interpreted\');
        </script>';
    }
} else {
    $message_obj   = json_decode($results->message);
    echo $button.'
    <script>
    alert(\'Error '.$results->status_code.': '.$message_obj->message.'\');
    </script>';
}

?>