<?php 

$root               = '../../';
$submodule_code     = 'Customers';
require($root.'config/config.php');
require($root.'api/wcf/WCF.php');

$insurance          = new WCF();
$results            = $insurance->requestReferral($get->authorization_no, $get->referral_to_facility, $get->referral_category, $get->remarks, $get->requested_by, $get->requester_phone);

file_put_contents('referral_result.json', json_encode($results));

if($results->status_code == 200) {
    if($messages = json_decode($results->message)) {
        if(isset($messages->message)) {
            echo $app->renderAlertSuccess($messages->message);
        } else {
            
        }
    } else {
        echo $app->renderAlertError('Message could not be interpreted');
    }
} else {
    $message_obj   = json_decode($results->message);
    echo $app->renderAlertError($message_obj->message, 'Error '.$results->status_code);
}

?>