<?php

$root           = '../../';
require($root.'config/config.php');

die();

$companies      = $csv->read('companies.csv');
$category       = new Category();

foreach($companies as $com) {
    $name       = $app->cleanText($com->company);
    $code       = str_replace(' ', '_', $name);
    
    $data                   = array (
        'id'                => 0,
        'type'              => 'Employer',
        'code'              => $code,
        'name'              => $name,
        'details'           => '',
        'priority'          => 99,
        'icon'              => 'fa-solid fa-building',
        'color'             => 'black',
        'tags'              => '',
        'f1'                => '',
        'f2'                => '',
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => '',
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => $user_id,
        'created_datetime'  => $now,
        'modified_user_id'  => 0,
        'modified_datetime' => 0,
        'status'            => 1
    );
    echo $category->created($data);
}

?>