<?php

$root   = '../../';
require($root.'config/config.php');

$folio_no               = isset($get->folio) ? $get->folio : 0;
$year                   = isset($get->year) ? $get->year : die('Folio year is required');
$month                  = isset($get->month) ? $get->month : die('Folio month is required');

/*
$submitted              = array();
$submitted_folios_sql   = "SELECT folio_no FROM billing_folios WHERE progress = 'Forwarded' OR progress = 'Received' AND year = $year AND month = $month AND folio_no > $folio_no";
foreach($app->read($submitted_folios_sql) as $row) {
    $submitted[]        = $row->folio_no;
    echo $row->folio_no.' submitted<br />';
}

function getNextFolio() {
    global $submitted, $folio_no;
    
    for($number = $folio_no; $number < 60000; $number++) {
        if(!in_array($number, $submitted)) {
            $submitted[] = $number;
            return $number;
        }
    }
}
*/

$unsubmitted_folios_sql   = "SELECT id, folio_no FROM billing_folios WHERE progress != 'Forwarded' AND progress != 'Received' AND year = $year AND month = $month AND folio_no > $folio_no ";

foreach($app->read($unsubmitted_folios_sql) as $row) {
    $folio      = new Folio($row->id);
    $new_number = $folio->getNextFolioNo();
    $folio->set('folio_no', $new_number);
    
    echo $row->folio_no.' set to '.$new_number.'<br />';
}

?>