<?php

die('Must edit');

$root   = '../../';
require($root.'config/config.php');
$obj    = new Item();
$sql    = "SELECT * FROM products";

foreach($app->read($sql) as $row) {
    $name       = $app->formatName($app->cleanText($row->product_name));
    $type       = $app->formatName($row->cat);
    $subtype    = 'Stationery';
    $uom        = $row->units;
    $cost       = $row->buying_price;
    $wholesale  = $row->wholesale_price;
    $retail     = $row->retail_price;
    $stock      = $row->stock_level;
    $min_stock  = $row->critical_level;

    echo $type.': '.$name.' Cost: '.$cost.', Retail: '.$retail.', Wholesale: '.$wholesale.', Stock: '.$stock.'<br />';

    // Create item..
    $user->checkSubmoduleAccess($submodule, 'create');
    $data                   = array (
        'id'                => 0,
        'type'              => $type,
        'subtype'           => $subtype,
        'category'          => '',
        'subcategory'       => '',
        'code'              => '',
        'name'              => $name,
        'name_alt'          => '',
        'details'           => '',
        'uom'               => $uom,
        'icon'              => 'fa-reglar fa-pen-ruler',
        'color'             => 'primary',
        'tags'              => '',
        'cost'              => 0,
        'value'             => 0,
        'image_id'          => '',
        'background_id'     => '',
        'template_id'       => 0,
        'template'          => '[]',
        'extra'             => '',
        'min_stock'         => $min_stock,
        'max_stock'         => 0,
        'expiry'            => 0,
        'stock'             => 1,
        'purchase'          => 1,
        'sale'              => 1,
        'requisition'       => 1,
        'adjustment'        => 1,
        'production'        => 0,
        'prescription'      => 0,
        'qualification'     => 0,
        'agegroup'          => '',
        'sex'               => '',
        'dosage'            => '',
        'strength'          => '',
        'strength_units'    => '',
        'volume'            => '',
        'volume_units'      => '',
        'container'         => '',
        'container_units'   => '',
        'code1'             => '',
        'code2'             => '',
        'code3'             => '',
        'code4'             => '',
        'code5'             => '',
        'code6'             => '',
        'code7'             => '',
        'code8'             => '',
        'code9'             => '',
        'prop1'             => '',
        'prop2'             => '',
        'prop3'             => '',
        'prop4'             => '',
        'prop5'             => '',
        'prop6'             => '',
        'prop7'             => '',
        'prop8'             => '',
        'prop9'             => '',
        'f1'                => '',
        'f2'                => '',
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => '',
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => $user_id,
        'created_datetime'  => $now,
        'modified_user_id'  => 0,
        'modified_datetime' => 0,
        'status'            => 1
    );
    
    $item_id    = $obj->create($data);

    if($item_id) {
        $obj        = new Item($item_id);
        $obj->createBatch(array('store_id'=>36, 'stock'=>$stock));
        $pricelist  = array (
            'COST'  => array (
                'id'        => 1,
                'code'      => 'COST',
                'pricemode' => 'Auto',
                'margin'    => 0,
                'price'     => $cost,
                'coverage'  => 100,
                'restricted'    => 'No',
                'account_id'    => 2
            ),
            'RETAIL'  => array (
                'id'        => 2,
                'code'      => 'RETAIL',
                'pricemode' => 'Auto',
                'margin'    => 0,
                'price'     => $retail,
                'coverage'  => 100,
                'restricted'    => 'No',
                'account_id'    => 2
            ),
            'WHOLESALE'  => array (
                'id'        => 13,
                'code'      => 'WHOLESALE',
                'pricemode' => 'Auto',
                'margin'    => 0,
                'price'     => $wholesale,
                'coverage'  => 100,
                'restricted'    => 'No',
                'account_id'    => 2
            ),
            'CREDIT'  => array (
                'id'        => 30,
                'code'      => 'CREDIT',
                'pricemode' => 'Auto',
                'margin'    => 0,
                'price'     => 0,
                'coverage'  => 100,
                'restricted'    => 'No',
                'account_id'    => 2
            )
        );
        $obj->resetPricelists($pricelist);
    }
}

?>