<?php

$root   = '../../';
require($root.'config/config.php');

$patients = $csv->read('readmit2.csv');

foreach($patients as $pat) {
    $file   = $pat->file;
    $ward   = $pat->ward;
    $clinic = $pat->clinic;

    $patient_str        = "SELECT id FROM clinical_patients WHERE code = $file ";
    foreach($app->read($patient_str) as $row) {
        $patient        = new Patient($row->id);
        $visit          = $patient->lastVisit();
        $visit_location = $patient->lastVisitLocation();

        $visit->set('admitted', 1);
        $visit_location->set('admitted', 1);
        
        if($ward) {
            $visit->set('care_type', 'Inpatient');
            $visit_location->set('care_type', 'Inpatient');
            $visit_location->set('ward_id', $ward);
            $visit_location->set('clinic_id', 0);
        }
        
        echo 'Visit location = '.$visit_location->id.'<br />';
    }
}

?>