<?php

// Require core classes inside core folder
foreach(scandir($root.'core') as $class) {
    if(is_file($root.'core/'.$class) && ctype_upper($class[0])) {
        require($root.'core/'.$class);    
    }
}

// Require submodule classes inside pages/[module]/[submodule] folders
foreach(scandir($root.'pages') as $module) {
    if(is_dir($root.'pages/'.$module) && $module != '.' && $module != '..') {
        foreach(scandir($root.'pages/'.$module) as $submodule) {
            if(is_dir($root.'pages/'.$module.'/'.$submodule) && $submodule != '.' && $submodule != '..') {
                foreach(scandir($root.'pages/'.$module.'/'.$submodule) as $class) {
                    if(is_dir($root.'pages/'.$module.'/'.$submodule.'/'.$class) && $class != '.' && $class != '..') {
                        foreach(scandir($root.'pages/'.$module.'/'.$submodule.'/'.$class) as $subclass) {
                            if(is_file($root.'pages/'.$module.'/'.$submodule.'/'.$class.'/'.$subclass) && ctype_upper($subclass[0])) {
                                require($root.'pages/'.$module.'/'.$submodule.'/'.$class.'/'.$subclass);
                            }
                        }
                    } elseif(is_file($root.'pages/'.$module.'/'.$submodule.'/'.$class) && ctype_upper($class[0])) {
                        require($root.'pages/'.$module.'/'.$submodule.'/'.$class);
                    }
                }
            } elseif(is_file($root.'pages/'.$module.'/'.$submodule) && ctype_upper($submodule[0])) {
                require($root.'pages/'.$module.'/'.$submodule);
            }
        }
    }
}

?>