<?php

define('DEFAULT_CLIENT_PATH', '../clients/default/');
define('DEFAULT_CLIENT_LINK', '../clients/default/');

$timestamp 		= time();
$app->now		= date('Y-m-d H:i:s');
$app->id		= 0;
$app->active 	= 1;

// Get variables
$get 			= new stdClass();
$get->action 	= '';
$get->id 		= 0;
$r 				= isset($_REQUEST['r']) ? $app->unroot($_REQUEST['r']) : $root;

if(isset($_REQUEST)) {
	foreach ($_REQUEST as $index => $value) {
		if(is_array($value)) {
			$get->$index 	= $value;
		} else {
			$get->$index 	= $app->cleanText($value);
		}
	}
}

// Post variables
$post 			= new stdClass();
$post->action 	= '';
$post->id 		= 0;

if(isset($_POST)) {
	foreach ($_POST as $index => $value) {
		if(is_array($value)) {
			$post->$index 	= $value;
		} else {
			$post->$index 	= $app->cleanText($value);
		}
	}
}

$user_id					= isset($_SESSION[app_name]['user_id']) ? $_SESSION[app_name]['user_id'] : 0;
$user 						= new User($user_id);
$person_id 					= $user->person_id;
$person 					= new Person($person_id);
$employees_id 				= $app->getColumnValue('personnel_employees', 'id', 'person_id', $person_id);
$employees 					= new Employee($employees_id);
$now 						= date('Y-m-d H:i:s');

// Client

$sql  							= "SELECT name, value FROM settings_system";
foreach($db->read($sql) as $row) {
	$var_name 					= $row->name;
	$var_value					= $row->value;
	$client->$var_name			= $var_value;
}

if($get->action == 'open') {
	$app->form_control			= 'form-control-plaintext';
	$app->control_attributes	= 'readonly';
} else {
	$app->form_control			= 'form-control';
	$app->control_attributes	= '';
}

if(isset($submodule_code)) {
	$submodule_id				= $app->getColumnValue('settings_submodules', 'id', 'code', $submodule_code);
	$submodule 					= new Submodule($submodule_id);
}

$session 						= isset($_SESSION[app_name]) ? (object) $_SESSION[app_name] : null;
$notification 					= new Notification();

$app->readColors();

if($user_id && !isset($_REQUEST['uid'])) {
	
	// Online user updates
	if(isset($submodule_code)) {
		$user->update (
			array (
				'submodule'			=> $submodule_code,
				'last_seen'			=> $now
			)
		);
	}
}

?>