<?php

echo '<div class="offcanvas-md offcanvas-start" tabindex="-1" id="offcanvas_main_menu" aria-labelledby="offcanvas_main_menu_label">
<div class="px-2">
<div class="offcanvas-header px-4">
<h4 class="offcanvas-title fw-bold" id="offcanvas_main_menu_label">'.$client->app_name.' '.APP_VERSION.'</h4>
<button type="button" class="btn-close" data-bs-dismiss="offcanvas" data-bs-target="#offcanvas_main_menu" aria-label="Close"></button>
</div>
</div>

<div class="offcanvas-body">

<div class="accordion accordion-flush w-100" id="accordion_main_menu">';

foreach($user->modules() as $menu_module) {

    if($menu_module->tagged('hidden')) continue;

    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-3 accordion-button main-menu-button collapsed rounded fw-bold" type="button" data-bs-toggle="collapse" data-bs-target="#main_menu_'.strtolower($menu_module->code).'" aria-expanded="false" aria-controls="main_menu_people" >
    <span class="'.str_replace('fa-light ', 'fa-regular ', $menu_module->icon).' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$menu_module->name.'
    </button>
    </h2>';

    foreach($user->subModules($menu_module->code) as $menu_submodule) {
        // Skip settings and report submodules, they will be shown in the respective settings and report submodules
        //if($menu_submodule->tagged('settings') || $menu_submodule->tagged('report')) continue;
        if(strlen($menu_submodule->parent) > 2) continue;

        echo '<div id="main_menu_'.strtolower($menu_module->code).'" class="accordion-collapse collapse" data-bs-parent="#accordion_main_menu" style="text-overflow: ellipsis;">
        <a href="'.$root.'pages/'.strtolower($menu_module->code).'/'.$menu_submodule->link.'" role="button" class="sub-menu-button d-block text-decoration-none p-3 rounded text-truncate fw-semibold">
        <span class="'.str_replace('fa-light ', 'fa-regular ', str_replace('fa-solid ', 'fa-light ', $menu_submodule->icon)).' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$menu_submodule->name.' <span class="far fa-chevron-right float-end mt-1"></span>
        </a>
        </div>';
    }
    echo '</div>';
}

echo '<hr />
<p class="text-center text-muted my-4">
<small>
Copyright &copy; '.date('Y').'<br />
<a href="https://jovast.com" target="blank" class="text-muted text-decoration-none">Jovast Informatics Limited</a> <br />
<a href="https://jovast.com" target="blank" class="text-muted text-decoration-none">Terms</a> &middot; 
<a href="https://jovast.com" target="blank" class="text-muted text-decoration-none">Feedback</a> &middot; 
<a href="https://jovast.com" target="blank" class="text-muted text-decoration-none">Help</a> 
</small>
</p>

</div>
</div>
</div>';

?>