<?php 

$root               = '../../../';
$submodule_code     = 'GepgReconciliation';
require($root.'config/config.php');

$obj                = new Table('accounting_gepg_reconciliation');

$sql                = "SELECT 
id,
request_id,
SUBSTR(transaction_date, 1, 16) AS transaction_date,
payer_name name,
control_no,
bank_code,
account_no,
amount_paid
FROM $obj->table 
ORDER BY transaction_date DESC
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Request No', 'value'=>'request_id', 'css'=>'w-12'),
        array('name'=>'Tx Date', 'value'=>'transaction_date', 'css'=>'w-12'),
        array('name'=>'Control No', 'value'=>'control_no', 'css'=>'w-12'),
        array('name'=>'Payer Name', 'value'=>'name', 'css'=>'', 'cssx'=>'py-3'),
        array('name'=>'Bank Code', 'value'=>'bank_code', 'css'=>'w-12'),
        array('name'=>'Account No', 'value'=>'account_no', 'css'=>'w-12'),
        array('name'=>'Amount', 'value'=>'amount_paid', 'css'=>'w-12 money text-end fw-semibold')
    ),
    'rows'  => $data->rows,
    'css'   => 'bs-table'
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>