<?php 

$root           = '../../../';
$submodule_code = 'ledgers';
require($root.'config/config.php');

$obj            = new Ledger($get->id);
if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {
    
    // Render create, read and update modal

    echo $submodule->renderModalFormOpen();

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputSelect('parent', $obj->parent, '', 'line-control grid-control select-search default-select', '', 'settings_categories', 'code', 'name', "type LIKE '%Transaction%'");
    echo $app->renderInputText('reference', $obj->parent_id, '', 'line-control grid-control', '', 'Tx Reference');
    echo $app->renderInputTextArea('details', $obj->details, '', 'line-control grid-control', '', 'Description');
    echo $app->renderInputSelect('debit', $obj->debit, '', 'line-control grid-control select-search', '', 'accounting_accounts', 'code', 'name', "", 'Debit A/C');
    echo $app->renderInputSelect('credit', $obj->credit, '', 'line-control grid-control select-search', '', 'accounting_accounts', 'code', 'name', "", 'Credit A/C');
    echo $app->renderInputMoney('amount', $obj->amount, '', 'line-control grid-control');
    
    echo $submodule->renderModalFormClose();
}

?>