<?php

$root           = '../../../';
$submodule_code = 'Users';
require($root.'config/config.php');

if($post->action == 'confirm') {
    $user->set('last_seen', $now);
    echo '<script> modal_top.hide(); </script>';
} else {

    // Does user exist?
    $sql    = "SELECT 
    personnel_users.id,
    personnel_users.password
    FROM personnel_users
    WHERE username = '$post->username' LIMIT 1
    ";

    if($rows = $app->read($sql)) {
        foreach($rows as $row) {
            if(password_verify($post->password, $row->password)) {
                $_SESSION[app_name]['user_id'] = $row->id;
                $user 			= new User($row->id);

                if(isset($_SESSION[app_name]['visit_id'])) {
                    $visit					= new Table('content_visitor_visits', 'id', $_SESSION[app_name]['visit_id']);
                    $visit->update (
                        array (
                            'user_id'		=> $row->id
                        )
                    );

                    $user->update (
                        array (
                            'visit_id'	=> $_SESSION[app_name]['visit_id'],
                            'online'	=> 1,
                            'last_seen' => $now
                        )
                    );
                }

                $user->timeline (
                    array (
                        'type'				=> 'Session',
                        'type_id'			=> $visit->id,
                        'action'			=> 'Create',
                        'action_results'	=> 'Success',
                        'subject'			=> 'Session',
                        'subject_id'		=> $visit->id,
                        'subject_before'	=> $post->username,
                        'details'			=> 'Signed in'
                    )
                );

                echo '<script> modal_top.hide(); </script>';
            } else {
                $user->timeline (
                    array (
                        'type'				=> 'Session',
                        'type_id'			=> 0,
                        'action'			=> 'Create',
                        'action_results'	=> 'Failed',
                        'subject'			=> 'Session',
                        'subject_id'		=> $session->visit_id,
                        'subject_before'	=> $post->username,
                        'details'			=> 'Failed to sign in, Password is not correct'
                    )
                );
                die($app->renderAlertError('Password is not correct'));
            }
        }
    } else {
        $user->timeline (
            array (
                'type'				=> 'Session',
                'type_id'			=> 0,
                'action'			=> 'Create',
                'action_results'	=> 'Failed',
                'subject'			=> 'Session',
                'subject_id'		=> 0,
                'subject_before'	=> $post->username,
                'details'			=> 'Failed to sign in, User does not exist'
            )
        );

        die($app->renderAlertError('User does not exist'));
    }
}

?>