<?php 

$root               = '../../../';
$submodule_code     = 'auth';
require($root.'config/config.php');

$obj                = new User($user_id);
$details            = '';

$modal_options      = array (
    'name'     		=> $submodule->name,
    'shortname'		=> $submodule->shortname,
    'title'         => 'Let\'s get you back online.',
    'icon'     		=> 'fa-light fa-user-lock',
    'color'    		=>'primary',
    'details'  		=> $details,
    'form_id'  		=>'ajax_form_password',
    'form_action'   => $root.'pages/auth/password/process.php'
);

echo $submodule->renderModalFormOpen($modal_options, 0);

echo $app->renderInputText('phone_number', '', '+255123456789', 'line-control grid-control', '', 'Phone number');

echo '<div id="find_account_container" class="mb-5">
<div class="row">
<div class="col-sm-4"></div>
<div class="col-sm-8"> <a onclick="findAccount()" class="btn btn-primary w-100"> Find my account </a> </div>
</div></div>';

echo $submodule->renderModalFormClose($modal_options);

echo '<script> $(\'#ajax_form_password_footer\').hide(); </script>';

?>

<script>

function findAccount() {
    var phone = $('#phone_number').val().replace(' ', '');
    $('#find_account_container').html(loading_bar).load(encodeURI('../reset/find_account_process.php?phone='+phone));
}

function sendCode() {
    var phone = $('#phone_number').val().replace(' ', '');
    $('#send_code_container').html(loading_bar).load(encodeURI('../reset/send_code_process.php?phone='+phone));
}

function verifyCode() {
    var code = $('#verification_code').val().replace(' ', '');
    var user = $('#user_id').val().replace(' ', '');
    $('#verify_code_container').html(loading_bar).load(encodeURI('../reset/verify_code_process.php?code='+code+'&user='+user));
}

function changePassword() {
    //$('#ajax_form_password').submit();
    $('#change_password_container').html(loading_bar);
    $.post("../reset/change_password_process.php", {
        verification_code: $('#verification_code').val().replace(' ', ''),
        reset_user_id: $('#reset_user_id').val(),
        new_password: $('#new_password').val(),
        repeat_password: $('#repeat_password').val(),
    }, function(data, status){
        $('#change_password_container').html(data);
    });
}

</script>