<?php 

$root           = '../../../';
$submodule_code = 'other';
require($root.'config/config.php');

$phone          = $app->formatPhone($get->phone);
$otp            = $auth->generateOTP(6);
$_SESSION[app_name]['reset_code']    = $otp;
$_SESSION[app_name]['reset_phone']   = $phone;

$sms            = $otp.' is your one time password. Use it to reset your password within 5 minutes.';

if($app->sendSMS($phone, $sms)) {
    //echo $app->renderAlertSuccess('A code has been sent to  '.$phone.'');

    echo '<div class="row my-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8 text-success"> <span class="fa-light fa-check-circle fa-fw"></span> Code sent to '.$phone.' via SMS. </div>
    </div>';

    echo $app->renderInputText('verification_code', '', '123456', 'line-control grid-control', '', 'Verification code');

    echo '
    <div id="verify_code_container">
    <div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8" > <a onclick="verifyCode()" class="btn btn-primary w-100"> Verify one-time code </a> </div>
    </div></div>';
} else {
    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> '.$app->renderAlertError('SMS cannot be sent now').' </div>
    </div>';

    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> <a onclick="sendCode()" class="btn btn-primary w-100"> Try again </a> </div>
    </div>';
}

?>