<?php 

$root           = '../../../';
$submodule_code = 'other';
require($root.'config/config.php');

if($get->code == $session->reset_code) {

    echo '<div class="row my-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8 text-success"> <span class="fa-light fa-check-circle fa-fw"></span> Code accepted. Set a new password. </div>
    </div>';

    echo 'Your password should meet the following criteria:
    <ol>
    <li> At least one capital letter (Like: <span class="fw-semibold">QWERTY</span>) </li>
    <li> At least one small letter (Like: <span class="fw-semibold">qwerty</span>) </li>
    <li> At least one special letter (Like: <span class="fw-semibold">!@#$%^&*_+</span>) </li>
    <li> Should be at least 8 characters long (Like: <span class="fw-semibold">12345678</span>) </li>
    </ol>';

    echo $app->renderInputHidden('reset_user_id', $get->user, '', 'line-control grid-control');
    echo $app->renderInputPassword('new_password', '', '', 'line-control grid-control');
    echo $app->renderInputPassword('repeat_password', '', '', 'line-control grid-control');

    echo '<div id="change_password_container" class="my-3"></div>';

    echo '<div class="my-3">
    <div class="row">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> <a onclick="changePassword()" class="btn btn-primary w-100"> Save new password</a> </div>
    </div></div>';

} else {
    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> '.$app->renderAlertError('The code is not correct').' </div>
    </div>';

    echo '<div class="row mb-3">
    <div class="col-sm-4"></div>
    <div class="col-sm-8"> <a onclick="verifyCode()" class="btn btn-primary w-100"> Try again </a> </div>
    </div>';
}

?>