<?php 

$root           = '../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');
$obj            = new Bill($post->id);
$crdb           = new CRDB();

$data               = array (
    'id'            => $obj->id,
    'amount'        => $obj->subtotal,
    'customer_id'   => $obj->personnel_id,
    'account_uid'   => '0001'
);

$control = $crdb->getControlNumber($data);
if(isset($control->control_number)) {
    $updated = $obj->update (
        array (
            'reference'             => $control->control_number,
            'progress'              => 'Billed',

            'confirmed'             => 1,
            'confirmed_notes'       => $control->control_number,
            'confirmed_user_id'     => $user_id,
            'confirmed_datetime'    => $now
        )
    );

    if($updated) {
        echo $app->renderAlertSuccess($control->message, $control->control_number);
    }
}

?>