<?php 

$root               = '../../../../';
$submodule_code     = 'BillingBulk';
require($root.'config/config.php');
$obj                = new Item();
$store              = new Store($post->store_id);
$source_pricelist   = new Pricelist($post->source_pricelist_id);
$source_price_code  = $source_pricelist->code;
$destination_pricelist  = new Pricelist($post->destination_pricelist_id);
$destination_price_code = $destination_pricelist->code;

$sql                = "SELECT item_id FROM inventory_item_stock WHERE store_id = $post->store_id";
$count              = 0;
foreach($app->select($sql) as $row) {
    $count++;
    $item           = new Item($row->item_id);
    $source_price   = $item->getPricelists()->$source_price_code;
    
    $sql                    = "UPDATE billing_item_pricelists 
    SET
        pricemode        	= '$source_price->pricemode',
        coverage            = $source_price->price_coverage,
        price               = $source_price->price,
        taxmode             = '$source_price->tax_mode',
        tax                 = $source_price->tax,
        margin              = $source_price->margin,
        restricted          = '$source_price->restricted',
        max_issue           = $source_price->max_issue,
        max_interval        = '$source_price->max_interval',
        modified_user_id    = $user_id,
        modified_datetime   = '$now'
    WHERE
        item_id             = $item->id
    AND
        pricelist_id        = $post->destination_pricelist_id
    AND
        $post->update_condition
    ";
    
    $db->query($sql);
}

echo $app->renderAlertSuccess('Price copied from '.$source_pricelist->name.' to '.$destination_pricelist->name.' in '.$count.' items');

?>