<?php

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');

$obj                = new Submodule($get->id);
$cache_path	        = $root.CLIENT_PATH.'cache/nhif_pricelist.json';

echo $submodule->renderModalFormOpen(array('title'=>'Download NHIF pricelist', 'form_action'=>'pricelist_download/process.php'));
   
if(file_exists($cache_path)) {
	$remote_items		= file_get_contents($cache_path);
    $all_items			= json_decode($remote_items);
    $remote_items		= $all_items->PricePackage;
    $excluded_items 	= $all_items->ExcludedServices;
    $cache_date         = date('Y-m-d H:i', filemtime($cache_path));

    echo $app->renderAlertSuccess('Pricelist downloaded on '.$cache_date, 'Pricelist exists');
} else {
    echo $app->renderAlertWarning('Click download button to download pricelist from NHIF', 'No pricelist'); 
}

echo '<br />';

echo $app->renderInputText('facility_code', $client->nhif_facility_code, '', 'grid-control line-control readonly', '', 'Facility code');


echo $submodule->renderModalFormClose(array('action_label'=>'<span class="fa-solid fa-check fa-fw"></span> Download'));

?>