<?php 

$root               = '../../../../';
$submodule_code     = 'BillingBulk';
require($root.'config/config.php');
require($root.'api/nhif/NHIF.php');
$nhif               = new NHIF(0);

$obj                = new Submodule($get->id);
$cache_path	        = $root.CLIENT_PATH.'cache/nhif_pricelist.json';
$packages           = $nhif->getPricePackageWithExcludedServices();

$all_nhif_items		= json_decode($packages->message);

if($all_nhif_items) {
    if(isset($all_nhif_items->PricePackage)) {
        file_put_contents($cache_path, $packages->message);
        echo $app->renderAlertSuccess('NHIF price packages downloaded and saved successfully');
    } else {
        echo $app->renderAlertError('The received payload does not contain any items');
    }
} else {
    echo $app->renderAlertError('There was ana error while downloading items');
}

?>