<?php

$html .= '<div class="row pb-4" id="customer_search_container">';
$html .= '<div class="col-12"> <div class="trans-container mb-4">
<h4 class="trans-subtitle fw-bold"> Search, register or use a temporary customer: </h4> 
'.$app->renderInputText('customer_keyword', '', 'Search customer', 'form-control-lg line-control', '').'
</div></div>	
<div class="col-12 col-lg-4 mb-3">
<a title="Search for existing customers" class="customer-search-btn btn btn-primary w-100 bs-tooltip" data-customer-type="Search"> <span class="fa-regular fa-magnifying-glass fa-fw"></span> Search </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Register new customer" class="customer-search-btn btn btn-outline-primary w-100 bs-tooltip" data-customer-type="Register"> <span class="fa-regular fa-plus fa-fw"></span> Register </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Use temporary customer" class="customer-search-btn btn btn-outline-primary w-100 bs-tooltip" data-customer-type="Temporary"> <span class="fa-regular fa-clock fa-fw"></span> Temporary </a>
</div>';

$html .= '<div class="col-12 mt-2">'.$app->renderAlertPrimary('<br /><b>Search:</b> Sale to an existing customer<br /> <b>Register:</b> Add and sale to the new added customer <br /><b>Temporary:</b> Sale to a walk in customer', 'Customer Types').'</div>';

$html .= '</div>';
$html .= '<div class="" id="customer_results"> </div>';

$html .= '<script> 

$(\'#ajax_form_invoices_submit_button\').hide();

$(\'.customer-search-btn\').on(\'click\', function() {
	var customer_type 	    = ($(this).data(\'customer-type\'));
	var customer_keyword 	= $(\'#customer_keyword\').val();
	searchPeople(customer_type, customer_keyword);
});

$(\'#customer_keyword\').on(\'keydown\', function(e) {
	if (!e) var e = window.event;
	if (e.keyCode == 13) {
		e.preventDefault();
		searchPeople();
	}
});

var options = {
	url: function() {
		customer_keyword = $(\'#customer_keyword\').val();
		return encodeURI(root+\'pages/billing/invoices/customers_search.php?keyword=\'+customer_keyword)
	},
	getValue: function(element) {
		return element.code+\' - \'+element.name;
	},
	list: {
		match: {
			enabled: true
		},
		maxNumberOfElements: 100
	}
};

$(\'#customer_keyword\').easyAutocomplete(options);

function searchPeople(customer_type, customer_keyword) {
	$(\'#customer_results\').html(loading_bar)
	.load(encodeURI(root+\'pages/billing/invoices/customers_results.php?id='.$get->id.'&customer_type=\'+customer_type+\'&customer_keyword=\'+customer_keyword));
}

setTimeout(function() {
	$(\'#customer_keyword\').focus();
}, 500);

</script>';