<?php

$root           = '../../../';
$submodule_code = 'Invoices';
require($root.'config/config.php');
$obj            = new Invoice($get->id);

if($get->customer_type == 'Search') {
    $keywords   = explode(' ', $get->customer_keyword);
    $code       = $keywords[0];

    if(is_numeric($code)) {
        $customer   = new Customer($code);
        $person     = $customer->person();
        
        echo '<script> 
        $(\'#customer_bio_container\').html(`'.$customer->renderBio().'
        <div class="my-3 me-2"> <a class="btn btn-outline-light my-1 w-100" onclick="$(\'#customer_search_container\').slideDown(100);"> <span class="fa-light fa-arrow-left fa-fw"></span> Change customer</a> </div>`);
        $(\'#customer_search_container\').slideUp(100); app.initializeControls();
        </script>';
    } else {
        die($app->renderAlertError('Selected customer was not found'));
    }
} elseif($get->customer_type == 'Register') {
    if(!$get->customer_keyword) {
        die($app->renderAlertError('Please enter customer name in the search box'));
    }

    $customer   = new Customer(0);
    $person     = $customer->person();
    echo '<script> 
    $(\'#customer_bio_container\').html(`'.$customer->renderBio($get->customer_keyword).'
    <div class="my-3 me-2"> <a class="btn btn-outline-light my-1 w-100" onclick="$(\'#customer_search_container\').slideDown(100);"> <span class="fa-light fa-arrow-left fa-fw"></span> Change customer</a> </div>`);
    $(\'#customer_search_container\').slideUp(100); app.initializeControls();
    </script>';
} else {
    if(!$get->customer_keyword) {
        $get->customer_keyword = 'Walk-in Customer';
    }

    $customer   = new Customer(0);
    $person     = $customer->person();

    echo '<script> 
    $(\'#customer_bio_container\').html(`'.$customer->renderBio($get->customer_keyword).'
    <div class="my-3 me-2"> <a class="btn btn-outline-light my-1 w-100" onclick="$(\'#customer_search_container\').slideDown(100);"> <span class="fa-light fa-arrow-left fa-fw"></span> Change customer</a> </div>`);
    $(\'#customer_search_container\').slideUp(100); app.initializeControls();
    </script>';
}

echo $app->renderInputHidden('trans_customer_id', $customer->id);
echo $app->renderInputHidden('trans_customer_name', $get->customer_keyword);
echo $app->renderInputHidden('trans_customer_birthdate', $person->birthdate);
echo $app->renderInputHidden('trans_customer_sex', $person->sex);
echo $app->renderInputHidden('trans_customer_phone', $person->phone);
echo $obj->renderTransactionHeader($customer);
echo $obj->renderTransactionItemsEditable('Billing carts');
echo $obj->renderItemsControls();
echo $obj->renderNotesControl('Requested');

?>

<script>
function setCustomerBio() {
    $('#trans_customer_name').val($('#temp_customer_name').val());
    $('#trans_customer_birthdate').val($('#temp_customer_birthdate').val());
    $('#trans_customer_sex').val($('#temp_customer_sex').val());  
    $('#trans_customer_phone').val($('#temp_customer_phone').val());  
}
$('#ajax_form_invoices_submit_button').show();
</script>