<?php 

$invoice                    = new Invoice($post->id);
$wallet                     = $invoice->customer()->wallet();

// Prevent negative balance

if($invoice->payable < 0) {
    if($wallet->subtotal + $invoice->payable < 0) {
        die($app->renderAlertError('You are trying to withdraw TZS '.$app->formatMoney(abs($invoice->payable)).' from TZS '.$app->formatMoney($wallet->subtotal), 'Insufficient funds'));
    }
}

// $wallet->topup($invoice->id);

$payment_data				= array (
    'payment_method'		=> $post->trans_payment_channel,
    'payment_channel'		=> $post->trans_payment_channel,
    'payment_account'		=> 'WALLET',
    'payment_account_id'	=> $wallet->id,
    'payment_transaction'	=> '',
    'payment_reference'		=> '',
    'payment_receipt'		=> '',
    'payment_name'			=> $invoice->name,
    'payment_phone'			=> $invoice->phone,
    'payment_notes'			=> $post->trans_payment_notes
);

$paid = $invoice->pay($payment_data);

if($paid) {
    echo $app->renderAlertSuccess('Payment received successfully', 'Success', 'modal_lg', true);
}

?>