<?php

$root 	= '../../';
include($root.'config.php');
include($root.'res/classes/Sale.php');
$p 		= new Sale($id);
$customer = new Customer($p->person_id);
$items	= $p->items();
$title 	= 'Invoice';

$items = '<table class="table table-condensed">';

foreach($p->items() as $item) {
    $items .= '<tr><td style="width:70%">'.$item->name.'</td><td style="text-align:right">TZS '.number_format($item->price).'</td></tr>';
}

$items .= '<tr><td style="width:70%"><b>Total Billed Amount </b></td><td style="text-align:right"><b> TZS '.number_format($p->subtotal).' </b></td></tr>';

$items .= '</table>';

include($root.'header.php');

echo '<body style="background-color:rgb(240,240,240); padding:20px">

<center>

<div style="width:800px; background-color:rgb(255,255,255); border:1px solid rgb(220,220,220); padding:15px; text-align:left">

<div class="text-center">
<img src="'.$root.'res/images/other/urt.png" alt="URT" style="width:100px" />
<h4><b>The United Republic of Tanzania</b></h4>
<h5>'.$com->name.'</h5>
Exchequer Receipts<br />
<b>Stakabadhi ya Malipo ya Serikali</b>
</div>

<br />

<table class="table table-condensed">
<tr> <td style="width:30%">Receipt Number</td> <td style="width:70%">: <b>'.$p->payer_reference.'</b></td> </tr>
<tr> <td style="width:30%">Received From</td> <td style="width:70%">: <b>'.$customer->name.'</b></td> </tr>
<tr> <td style="width:30%">Amount</td> <td style="width:70%">: <b>TZS '.number_format($p->subtotal).'</b></td> </tr>
<tr> <td style="width:30%">Amount in Words</td> <td style="width:70%">: <b>'.ucwords($main->readNumber(round($p->subtotal))).' Tanzanian Shillings</b> </td> </tr>
<tr> <td style="width:30%">Outstanding Balance</td> <td style="width:70%">: <b>TZS '.number_format(0).'</b></td> </tr>

<tr> <td style="width:30%">In Respect of</td> <td style="width:70%">'.$items.'</td> </tr>
<tr> <td style="width:30%">Bill Reference</td> <td style="width:70%">: <b>'.$p->sale_id.'</b></td> </tr>
<tr> <td style="width:30%">Control Number</td> <td style="width:70%">: <b>'.$p->reference.'</b></td> </tr>

<tr> <td style="width:30%">Expires on</td> <td style="width:70%">: <b>'.date('d F y', strtotime($p->pay_date)).'</b> </td> </tr>
<tr> <td style="width:30%">Issued by</td> <td style="width:70%"><b>: '.$staff->name.'</b> </td> </tr>
<tr> <td style="width:30%">Date issued</td> <td style="width:70%">: <b>'.date('d F y').'</b> </td> </tr>
<tr> <td style="width:30%">Signature</td> <td style="width:70%"><b><br />.................................................</b> </td> </tr>

</table>

</div>

</center>

</body>';