<?php 

$root               = '../../../../';
$submodule_code     = 'WeeklySales';
require($root.'config/config.php');

$start_date         = date('Y-m-d');
$end_date           = date('Y-m-d');

$date 	            = new DateTime();
$date	            ->setISODate(date('Y', strtotime($start_date)), date('W', strtotime($start_date)));
$start_date 	    = $date->format('Y-m-d');
$end_date		    = date('Y-m-d', strtotime($start_date.' + 1 week - 1 day'));

$filters            = array (
    array (
        'css'       => 'col-6 col-lg-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', $start_date, '', 'form-control form-control-lg filter-control onkeyup-reload-list date-picker', '')
    ), 
    array (
        'css'       => 'col-6 col-lg-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', $end_date, '', 'form-control form-control-lg filter-control onkeyup-reload-list date-picker', '')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    )
);

require($root.'html/template.php');

?>