<?php

$root           = '../../../';
$submodule_code = 'SaleReturns';
require($root.'config/config.php');

$obj            = new Bill($get->transaction_id);
$customer       = new Customer($obj->personnel_id);

echo '<script> 
$(\'#customer_bio_container\').html(`'.$customer->renderBio().'`);
$(\'#customer_search_container\').slideUp(100); app.initializeControls();
</script>';

foreach($obj->invoices() as $invoice) {
    if(!$invoice->returned) {
        // die($app->renderAlertEmpty('Invoice number '.$invoice->formatCode($invoice->id).' must be canceled first.', 'danger'));
    }
}

if($obj->requested) {
    echo '<div style="display:none">';
    echo $app->renderInputHidden('trans_customer_id', $obj->personnel_id);
    echo $app->renderInputHidden('trans_customer_keyword', $obj->name);
    echo $app->renderInputHidden('trans_customer_name', $obj->name);
    echo $app->renderInputHidden('trans_customer_birthdate', $obj->birthdate);
    echo $app->renderInputHidden('trans_customer_sex', $obj->sex);
    echo $app->renderInputHidden('trans_customer_phone', $obj->phone);
    echo $app->renderInputHidden('id', $obj->id);
    echo $app->renderInputHidden('parent', 'Bill');
    echo $app->renderInputHidden('parent_id', $obj->id);
    echo $obj->renderTransactionHeader($obj->customer());
    echo $obj->renderItemsControls();
    echo '</div>';
    echo '<h4 class="fw-bold mb-4">Enter new quantity for each item, enter 0 to remove item.</h4>';
    echo $obj->renderTransactionItemsEditable('Billed items'); 
    echo '<div class="col-sm-12 my-4">
    <h5 class="my-3"> <span class="fa-solid fa-check fa-fw"></span> &nbsp;Return reason: </h5>
    '.$app->renderInputSelect('trans_reason', '', 'Choose return reason ', 'select-search line-control', '', 'settings_categories', 'code', 'name', 'type="SaleReturnType"').'
    </div>';
    echo $obj->renderNotesControl('Requested');
    echo '<script> 
    $(\'#transaction_search_container\').slideUp(100); 
    $(\'#ajax_form_returns_submit_button\').show();
    app.initializeControls(); 
    </script>';
} else {
    die($app->renderAlertEmpty('A transaction with id: <b>'.$get->transaction_id.'</b> was not found.'));
}

?>