<?php 

$root           = '../../../../';
$submodule_code = 'insurances';
require($root.'config/config.php');

$obj            = new Insurance($get->id);

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {
    
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-light fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Authorization', 'icon'=>'fa-light fa-lock'),
        array ('id'=>'tab3', 'name'=>'Audit log', 'icon'=>'fa-light fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputSelect('paymode', $obj->paymode, '', 'line-control grid-control select-search', '', 'settings_categories', 'code', 'name', "type='PaymentMode'", 'Paymode');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputSelect('script', $obj->script, '', 'line-control grid-control select-search default-none', '', 'settings_categories', 'code', 'name', "type='InsuranceScript'", 'Script');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
   
    echo $app->renderTabsNext('tab2');

    echo $app->renderInputText('facility_code', $obj->facility_code, '', 'line-control grid-control');
    echo $app->renderInputText('username', $obj->username, '', 'line-control grid-control', '', 'Login username');
    echo $app->renderInputText('password', $obj->password, '', 'line-control grid-control', '', 'Login password');
    echo $app->renderInputText('auth_token_url', $obj->auth_token_url, '', 'line-control grid-control');
    echo $app->renderInputText('auth_service_url', $obj->auth_service_url, '', 'line-control grid-control');
    echo $app->renderInputText('claim_token_url', $obj->claim_token_url, '', 'line-control grid-control');
    echo $app->renderInputText('claim_service_url', $obj->claim_service_url, '', 'line-control grid-control'); 
    echo $app->renderInputSelect('service_status', $obj->service_status, '', 'line-control grid-control select-search default-none', '', array('Off', 'Test', 'UAT', 'Live'), 'code', 'name', "type='PaymentMode'", 'Service status');
    
    echo $app->renderTabsNext('tab3');

    echo $obj->renderAuditFields();

    echo $app->renderVerticalPad('150px');

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>