<?php 

$root               = '../../../../';
$submodule_code     = 'Insurances';
require($root.'config/config.php');

die('This script must be edited');

$obj                = new Insurance();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$insurances         = $app->read("SELECT * FROM acc_insurances");

$coms               = $app->read("SELECT * FROM sys_settings");
$com                = new stdClass();
foreach($coms as $com_row) {
    $com_name       = $com_row->name;
    $com_value      = $com_row->value;
    $com->$com_name = $com_value;
}
$db                 = $db_o;

// Check if CASH and NHIF insurances exists
$cash               = array();
$nhif               = array();
foreach($insurances as $insurance) {
    if($insurance->code == 'CASH') $cash[] = $insurance;
    if($insurance->code == 'NHIF') $nhif[] = $insurance;
}
if(count($cash) != 1) die('There must be one (and only one) insurance with CASH code');
if(count($nhif) != 1) die('There must be one (and only one) insurance with NHIF code');

foreach($insurances as $insurance) {
    if($insurance->code == 'NHIF') {
        $script             = 'NHIF';
        $paymode            = 'CREDIT';
        $facility_code      = $com->nhif_facility_code;
        $username           = $com->nhif_username;
        $password           = $com->nhif_password;
        $auth_token_url     = $com->nhif_auth_token_url;
        $auth_service_url   = $com->nhif_auth_service_url;
        $claim_token_url    = $com->nhif_claim_token_url;
        $claim_service_url  = $com->nhif_claim_service_url;
    } elseif($insurance->code == 'CASH') {
        $script             = 'CASH';
        $paymode            = 'CASH';
        $facility_code      = '';
        $username           = '';
        $password           = '';
        $auth_token_url     = '';
        $auth_service_url   = '';
        $claim_token_url    = '';
        $claim_service_url  = '';
    } else {
        $script             = 'CREDIT';
        $paymode            = 'CREDIT';
        $facility_code      = '';
        $username           = '';
        $password           = '';
        $auth_token_url     = '';
        $auth_service_url   = '';
        $claim_token_url    = '';
        $claim_service_url  = '';
    }

    $create_data            = array ( 
        'id'                => $insurance->insurance_id,
        'code'              => $insurance->code,
        'name'              => $insurance->name,
        'details'           => '',
        'script'            => '',
        'paymode'           => $paymode,
        'facility_code'     => $facility_code,
        'username'          => $username,
        'password'          => $password,
        'auth_token_url'    => $auth_token_url,
        'auth_service_url'  => $auth_service_url,
        'claim_token_url'   => $claim_token_url,
        'claim_service_url' => $claim_service_url,
        'service_status'    => 'Active',
        'icon'              => 'fa-regular fa-shield-check',
        'color'             => 'primary',
        'tags'              => '',
        'f1'                => '',
        'f2'                => '',
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => '',
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => 0,
        'created_datetime'  => $now,
        'modified_user_id'  => 0,
        'modified_datetime' => 0,
        'status'            => 1
    );

    if($insurance->pricegroup == 'IPPM-CREDIT' || $insurance->code == 'CASH' || $insurance->code == 'NHIF') {
        $insurance_id           = $obj->create($create_data);
        echo $app->renderAlertSuccess($insurance->name.' imported successfully.');
    }
}

?>