<?php 

$root               = '../../../../';
$submodule_code     = 'insurances';
require($root.'config/config.php');

$obj                = new Insurance(0);
$sql                = "SELECT 
billing_insurances.id,
billing_insurances.code,
billing_insurances.name,
settings_categories.name paymode,
billing_insurances.icon,
billing_insurances.color
FROM billing_insurances
JOIN settings_categories ON settings_categories.code = billing_insurances.paymode AND settings_categories.type = 'PaymentMode'
WHERE billing_insurances.status = 1
AND billing_insurances.name LIKE '%$get->keyword%' 
ORDER BY billing_insurances.code, billing_insurances.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Code', 'value'=>'code', 'css'=>'fw-semibold text-muted'),
        array('name'=>'Insurance name', 'value'=>'name', 'css'=>''),
        array('name'=>'Payment mode', 'value'=>'paymode', 'css'=>'w-20'),
        
        array('name'=>'Icon', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>