<?php 

$root           = '../../../../';
$submodule_code = 'Insurances';
require($root.'config/config.php');

$obj            = new Insurance($get->id);

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} else {

    // Validate...
    $code           = $app->validate(array('value'=>$post->code, 'name'=>'code', 'min'=>1));
    $name           = $app->validate(array('value'=>$post->name, 'name'=>'name', 'min'=>3));

    if($post->action == 'create' || $post->action == 'copy') {

        $create_data            = $obj->addCommonFields ( 
            array (
                'id'                => 0,
                'code'              => $post->code,
                'name'              => $post->name,
                'details'           => $post->details,
                'script'            => $post->script,
                'paymode'           => $post->paymode,
                'facility_code'     => $post->facility_code,
                'username'          => $post->username,
                'password'          => $post->password,
                'auth_token_url'    => $post->auth_token_url,
                'auth_service_url'  => $post->auth_service_url,
                'claim_token_url'   => $post->claim_token_url,
                'claim_service_url' => $post->claim_service_url,
                'service_status'    => $post->service_status,
                'icon'              => $post->icon,
                'color'             => $post->color,
                'tags'              => $post->tags,
                'f1'                => '',
                'f2'                => '',
                'f3'                => '',
                'f4'                => '',
                'f5'                => '',
                'f6'                => '',
                'f7'                => '',
                'f8'                => '',
                'f9'                => '',
                'created_user_id'   => $user_id,
                'created_datetime'  => $now,
                'modified_user_id'  => 0,
                'modified_datetime' => 0,
                'status'            => 1
            )
        );

        echo $obj->created($create_data);

    } elseif($post->action == 'edit') {
        $update_data                = array (
            'code'                  => $post->code,
            'name'                  => $post->name,
            'details'               => $post->details,
            'script'                => $post->script,
            'paymode'               => $post->paymode,
            'facility_code'         => $post->facility_code,
            'username'              => $post->username,
            'password'              => $post->password,
            'auth_token_url'        => $post->auth_token_url,
            'auth_service_url'      => $post->auth_service_url,
            'claim_token_url'       => $post->claim_token_url,
            'claim_service_url'     => $post->claim_service_url,
            'service_status'        => $post->service_status,
            'status'                => $post->status,
            'modified_user_id'      => $user_id,
            'modified_datetime'     => $now
        );
        echo $obj->updated($update_data);
    }
}

?>