<?php 

$root               = '../../../../';
$submodule_code     = 'Pricelists';
require($root.'config/config.php');

die('This script must be edited');

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$pricelists         = $app->read("SELECT * FROM sys_categories WHERE type = 'PriceColumn'");
$db                 = $db_o;

foreach($pricelists as $pricelist) {
    $obj            = new Pricelist();
    $code           = str_replace('-', '_', str_replace(' ', '_', $pricelist->name));
    $code           = strtoupper(str_replace('__', '_', $code));
    $code           = str_replace('__', '_', $code);
    
    $create_data    = array (
        'id'                => 0,
        'code'              => $code,
        'name'              => $pricelist->name,
        'details'           => '',
        'scheme'            => $pricelist->f1,
        'priority'          => 0,
        'icon'              => 'fa-regular fa-shield-check',
        'color'             => 'primary',
        'tags'              => '',
        'f1'                => $pricelist->category_id,
        'f2'                => $pricelist->code,
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => '',
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => 0,
        'created_datetime'  => $now,
        'modified_user_id'  => 0,
        'modified_datetime' => 0,
        'status'            => 1
    );
    
    $pricelist_id           = $obj->create($create_data);
    if($pricelist_id) {
        echo $app->renderAlertSuccess($pricelist->name.' imported successfully.');
    }
}

?>