<?php 

$root               = '../../../../';
$submodule_code     = 'Pricelists';
require($root.'config/config.php');

$obj                = new Pricelist(0);
$sql                = "SELECT 
billing_pricelists.id,
billing_pricelists.code,
billing_pricelists.scheme,
billing_pricelists.name,
billing_pricelists.icon,
billing_pricelists.color
FROM billing_pricelists
WHERE billing_pricelists.status = 1
AND billing_pricelists.name LIKE '%$get->keyword%' 
ORDER BY billing_pricelists.priority, billing_pricelists.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Code', 'value'=>'code', 'css'=>'w-20', 'cssx'=>'fw-bold text-muted'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Scheme', 'value'=>'scheme', 'css'=>'w-20'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>