<?php 

$root               = '../../../';
$submodule_code     = 'Promises';
require($root.'config/config.php');
$start_date         = strlen($get->start_date) ? $app->morning($get->start_date) : $app->morning($app->monthStart());
$end_date           = strlen($get->end_date) ? $app->evening($get->end_date) : $app->evening($app->monthEnd());


$obj                = new Promise();  
$sql                = "SELECT id FROM billing_promises ";
$sql                .= "WHERE status = 1 ";
$sql                .= "AND created_datetime BETWEEN '$start_date' AND '$end_date' ";

if(is_numeric($get->keyword)) {
    $sql            .= "AND id = $get->keyword ";
} else {
    $sql            .= "AND name LIKE '%$get->keyword%' ";
}

$sql                .= "ORDER BY id DESC ";

$data               = $app->pagenate($app->read($sql));


$options            = array (
    'columns'       => array (
        array('name'=>'Date', 'css'=>'w-10'),
        array('name'=>'Customer', 'css'=>''),
        array('name'=>'Billed', 'css'=>'w-10 money text-end'),
        array('name'=>'Promise', 'css'=>'w-10 money text-end'),
        array('name'=>'Invoice', 'css'=>'w-10 money text-end'),
        array('name'=>'Paid', 'css'=>'w-12 money text-end'),
        array('name'=>'Status', 'css'=>'w-15 text-center'),
        array('name'=>'Options', 'css'=>'w-15 text-end')
    ),
    'css'           => 'bs-table'
);

echo $app->renderTableOpen($options);

$sum_billed         = 0;
$sum_promise        = 0;
$sum_payable        = 0;
$sum_paid           = 0;

foreach($data->rows as $row) {
    $obj            = new Promise($row->id);
    $sum_billed     += $obj->subtotal;
    $sum_promise    += $obj->promise;
    $sum_payable    += $obj->payable;
    $sum_paid       += $obj->paid;
    echo $obj->renderTableRow();
}

echo '<tr class="fw-bold">
<td></td>
<td class="py-3">Total</td>
<td class="fw-bold text-end">'.number_format($sum_billed, 2).'</td>
<td class="fw-bold text-end">'.number_format($sum_promise, 2).'</td>
<td class="fw-bold text-end">'.number_format($sum_payable, 2).'</td>
<td class="fw-bold text-end">'.number_format($sum_paid, 2).'</td>
<td colspan ="3"></td>
</tr>';

echo $app->renderTableClose();

echo $data->pagination;

?>

 