<?php 

$root           = '../../../';
$submodule_code = 'Wallets';
require($root.'config/config.php');

$obj            = new Wallet($post->id);
$amount         = $app->unformatMoney($post->adjusted_balance) - $app->unformatMoney($post->current_balance);

$wallet_item    = new TransactionItem('Wallet', $post->id);
$item_obj       = $amount > 0 ? new Item(31541) : new Item(31542);

$item_data      = array (
    'parent'    => 'Wallet',
    'parent_id' => $post->id,
    'item_id'   => $item_obj->id,
    'name'      => $item_obj->name,
    'details'   => $post->adjustment_reason,
    'uom'       => $item_obj->uom,
    'pack'      => $item_obj->uom,
    'size'      => 1,
    'qty'       => 1,
    'quantity'  => 1,
    'unit_cost' => 0,
    'cost'      => 0,
    'unit_price'=> $amount,
    'price'     => $amount,
    'subtotal'  => $amount,
    'payable'   => $amount
);

$trans_item_id  = $wallet_item->createWithMinimumData($item_data);

if($trans_item_id) {
    $obj->set('subtotal', $app->unformatMoney($post->adjusted_balance));
    echo $app->renderAlertSuccess('Wallet balance adjusted successfully', 'Success', 'modal_lg', 1);
}

?>