<?php 

$root           = '../../../';
$submodule_code = 'Wallets';
require($root.'config/config.php');

$obj            = new Wallet($post->id);

if($get->action == 'topup') {
    $topup_item = $app->getWalletTopupItem();
    $trans_item = array (
        'item_id'       => $topup_item->id,
        'name'          => $topup_item->name,
        'details'       => '',
        'uom'           => 'Each',
        'pack'          => 'Each',
        'size'          => 1,
        'qty'           => 1,
        'quantity'      => 1,
        'unit_cost'     => $app->unformatMoney($post->trans_subtotal),
        'cost'          => 0,
        'unit_price'    => $app->unformatMoney($post->trans_subtotal),
        'price'         => $app->unformatMoney($post->trans_subtotal)
    );
    $trans_items[]      = $trans_item;
    $post->trans_items  = json_encode($trans_items);
    $post->action       = 'create';
    echo $obj->renderFormProcess($submodule, $post);
} elseif($get->action == 'withdraw') {

    if($app->unformatMoney($post->trans_subtotal) > $obj->subtotal) {
        die($app->renderAlertError('You are trying to withdraw TZS '.$post->trans_subtotal.' from the balance of TZS '.$app->formatMoney($obj->subtotal)));
    }

    $post->trans_subtotal = -(abs($app->unformatMoney($post->trans_subtotal)));
    $withdraw_item      = $app->getWalletWithdrawItem();
    $trans_item         = array (
        'item_id'       => $withdraw_item->id,
        'name'          => $withdraw_item->name,
        'details'       => '',
        'uom'           => 'Each',
        'pack'          => 'Each',
        'size'          => 1,
        'qty'           => 1,
        'quantity'      => 1,
        'unit_cost'     => $app->unformatMoney($post->trans_subtotal),
        'cost'          => 0,
        'unit_price'    => $app->unformatMoney($post->trans_subtotal),
        'price'         => $app->unformatMoney($post->trans_subtotal)
    );
    $trans_items[]      = $trans_item;
    $post->trans_items  = json_encode($trans_items);
    $post->action       = 'create';
    echo $obj->renderFormProcess($submodule, $post);
} else {

    var_dump($post);
}

//echo $obj->renderFormProcess($submodule, $post);

?>