<?php 

$root           = '../../../';
$submodule_code = 'NurseStation';
require($root.'config/config.php');

$patient        = new Patient($get->id);
$person         = $patient->person();
$customer       = $patient->customer();
$tabs           = array ();
$counter        = 0;
$first_tab      = array();

$modal_options  = array (

    'title'     => '<span class="fa-solid fa-gauge-high fa-fw"></span>&nbsp; Consultation not paid',
    'left_html' => '<img src="'.$patient->picture().'" class="rounded-circle mx-auto d-block bg-light my-3" style="width:85%; max-width:185px; border:8px solid white" />
                    <div class="px-3 me-2">
                    <h5 class="text-white">'.$customer->formatCode().'</h5>
                    <h5 class="mb-1 text-truncate text-white fw-bold">'.$person->name.'</h5>
                    <h6>'.ucwords($person->age()).' '.$person->sex.'</h6>
                    </div>'
);

echo $app->renderModalOpen($modal_options, 0);

echo $app->renderAlertEmpty('Consultation bill for this customer was not found.');

echo $app->renderModalClose($modal_options);

?>