<?php 

$root           = '../../../';
$submodule_code = 'Registration';
require($root.'config/config.php');

$patient_id     = $get->id;
$patient        = new Patient($patient_id);
$person         = $patient->person();
$customer       = $patient->customer();
$visit          = $patient->visit();
$visit_location = new VisitLocation($post->visit_location_id);
$room           = new Room($post->room_id);

if($post->bed_id) {
    $bed                = new Bed($post->bed_id);
    $assigned           = $visit_location->update (
        array (
            'room'      => $room->location()->name,
            'room_id'   => $room->id,
            'bed'       => $bed->name,
            'bed_id'    => $bed->id
        ) 
    );
    if($assigned) {
        $updated        = $bed->update (
            array (
                'occupant'      => 'Patient',
                'occupant_id'   => $patient->id
            ) 
        );
        echo $app->renderAlertSuccess('Patient assigned into bed number '.$bed->name, 'Success', 'modal_lg', 1);
    }
} else {
    echo $app->renderAlertError('Please choose bed');
}

?>