<?php 

$root           = '../../../';
$submodule_code = 'Laboratory';
require($root.'config/config.php');

$obj            = new Laboratory($get->id);
if(!isset($get->item)) {
    die($app->renderAlertError('Please select at least one test', 'No test selected'));
}

if($post->action == 'collect') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->sample_type[$request_item_id]) {
           echo $request_item->collectSample($get);
        } else {
            die($app->renderAlertError('Please select sample type', $request_item->name));
        }
    }
} elseif($post->action == 'receive') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->sample_status[$request_item_id] == 'Accepted') {
            echo $request_item->receiveSample($get);
         } elseif($get->sample_status[$request_item_id] == 'Rejected') {
            echo $request_item->rejectSample($get);
         } else {
            die($app->renderAlertError('Please select if you want to receive or reject sample', $request_item->name));
        }
    }
} elseif($post->action == 'process') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->process_type[$request_item_id] == 'Auto') {
            echo $request_item->processAutomaticSample($get);
        } elseif($get->process_type[$request_item_id] == 'Manual') {
            echo $request_item->processManualSample($get);
        } else {
            die($app->renderAlertError('Please select how you want to process this sample', $request_item->name));
        }
    }
} elseif($post->action == 'authorize') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        if($get->authorize_status[$request_item_id] == 'Authorized') {
            echo $request_item->authorizeReport($get);
        } elseif($get->authorize_status[$request_item_id] == 'Rejected') {
            die($app->renderAlertWarning('Report rejected', $request_item->name));
        } else {
            die($app->renderAlertError('Please select how you want to process this sample', $request_item->name));
        }
    }
} elseif($post->action == 'edit') {
    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = $obj->item($request_item_id);
        echo $request_item->editReport($get);
    }
}

?>