<?php 

$root           = '../../../../';
$submodule_code = 'PatientDisposition';
require($root.'config/config.php');

$user->checkSubmoduleAccess($submodule, 'create');

if(!$get->cancel_type) {
    die($app->renderAlertError('Please choose cancellation reason'));
}

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();
$visit_location->cancelVisit();

echo $app->renderAlertSuccess('Visit cancelled successfully', 'Success', 'modal_xl', 1);
echo '<br />';

?>