<?php 

$root           = '../../../../';
$submodule_code = 'PatientLifestyle';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$lifestyles        = $app->read("SELECT code FROM settings_categories WHERE type = 'PatientLifestyle' ORDER BY priority");

$action         = isset($get->action) ? $get->action : 'readonly';

if($action == 'create') {
    echo '<div class="row">
    <div class="col-sm-8 mb-3"><h4>Patient lifestyle assessment</h4></div>
    <div class="col-sm-4 mb-3 text-end"> <a class="btn btn-primary ajax-link" data-target="PatientLifestyle_container" data-link="../patient/lifestyle/form.php?patient_id='.$patient->id.'" style="margin-top:-2px"> <span class="fa-regular fa-pencil fa-fw"></span> Update Lifestyle</a> </div>
    </div>';
}

echo '<div class="row" id="LifestyleContainer">';

foreach($lifestyles as $row) {
    echo $patient->renderLifestyleCard($row->code);
}

echo '</div>';

?>

<script> $('.PatientLifestyle-flip').flip({trigger: 'manual'}); </script>