<?php 

$root           = '../../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');
$obj            = new Bill($get->id);
$customer       = $obj->customer();
$patient        = $customer->patient();

$form_options   = array (
    'form_id'       => 'procedure_bill_form',
    'form_action'   => '../../clinical/patient/procedure/bill_process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('action', $get->action);
echo $app->renderInputHidden('id', $get->id);	
echo $obj->renderTransactionHeader();
echo $obj->renderTransactionItemsBill();
echo $obj->renderNotesControl('Billed');
echo $app->renderFormClose($form_options);

echo '<div class="row w-100 m-0 mt-3 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<a class="btn btn-outline-primary w-100 ajax-link" data-target="PatientProcedure_container" data-link="../../clinical/patient/procedure/list.php?patient_id='.$patient->id.'&action=create"> <span class="fa fa-arrow-left fa-fw"></span> Cancel </a>
</div><div class="col-6">
<button onclick="$(\'#procedure_bill_form\').submit()" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div><hr />';

?>

<script>

app.initializeControls();

$('.trans-bill-item').on('change', function() {
    calculateInvoiceAmount();
});

function calculateInvoiceAmount() {
    setTimeout(() => {
        var subtotal = 0;
        $('.trans-bill-item').each(function() {
            if($(this).is(':checked')) {
                subtotal += parseFloat($(this).data('price'));
            }   
        })
        
        $('#trans_invoice_amount').html(app.formatMoney(subtotal));
    }, 30);
}
calculateInvoiceAmount();

</script>