<?php 

$root           = '../../../../';
$submodule_code = 'Bills';
require($root.'config/config.php');

$obj            = new Bill($post->id);
$customer       = $obj->customer();
$patient        = $customer->patient();

if($post->action == 'bill') {
    $visit      = $obj->visit();
    $insurance  = $obj->insurance();

    if(in_array($obj->subtype, array('Laboratory', 'Radiology', 'Procedure')) && !$visit->admitted && $insurance->code != 'CASH') {
        die($app->renderAlertError('Patient visit has been closed!', 'Folio closed'));
    }
}

echo $obj->renderFormProcess($submodule, $post);

echo '<script>setTimeout(function() {$(\'#PatientProcedure_container\').html(loading_circle).load(\'../patient/procedure/list.php?patient_id='.$patient->id.'&action=create\', function() {app.initializeControls()})}, 1000);</script>';

?>