<?php 

$root           = '../../../../';
$submodule_code = 'PatientTriage';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();

$form_options   = array (
    'form_id'       => 'ajax_form_triages',
    'form_action'   => '../patient/triage/process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('patient_id', $patient->id);
echo $app->renderInputHidden('visit_id', $visit_location->visit_id);
echo $app->renderInputHidden('visit_location_id', $visit_location->id);

echo '<div class="mb-5">';

$triages         = $app->read("SELECT * FROM settings_categories WHERE type = 'TriageType' ORDER BY priority");

foreach($triages as $row) {
    if($row->f5 == 'Select') {
        echo $app->renderInputSelectNew('triage['.$row->code.']', '', '', 'line-control grid-control select-search default-none', '', $row->f6, $row->name);
    } elseif($row->f5 == 'Textarea') {
        echo $app->renderInputTextarea('triage['.$row->code.']', '', '', 'grid-control line-control', '', $row->name);
    } else {
        echo $app->renderInputText('triage['.$row->code.']', '', '', 'grid-control  line-control', '', $row->name);
    }
}

echo $app->renderFormClose($form_options);

echo '</div>';

echo '<div class="row w-100 m-0 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<a class="btn btn-outline-primary w-100 ajax-link" data-target="PatientTriage_container" data-link="../patient/triage/list.php?patient_id='.$patient->id.'"> <span class="fa fa-arrow-left fa-fw"></span> Cancel </a>
</div><div class="col-6">
<button id="ajax_form_triages_submit_button" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div><hr />';

?>

