<?php 

$root           = '../../../../';
$submodule_code = 'PatientVitals';
require($root.'config/config.php');

$patient        = new Patient($get->patient_id);
$visit_location = $patient->visitLocation();

$form_options   = array (
    'form_id'       => 'ajax_form_vitals',
    'form_action'   => '../patient/vitals/process.php'
);

echo $app->renderFormOpen($form_options);
echo $app->renderInputHidden('patient_id', $patient->id);
echo $app->renderInputHidden('visit_id', $visit_location->visit_id);
echo $app->renderInputHidden('visit_location_id', $visit_location->id);

echo '<div class="mt-4 mb-5">';

$vitals         = $app->getAllCategories('VitalSign');

foreach($vitals as $vital) {
    echo $app->renderInputNumber('vitals['.$vital->code.']', '', $vital->f6, 'grid-control line-control', '', $vital->details);
}

echo $app->renderFormClose($form_options);

echo '</div>';

echo '<div class="row w-100 m-0 px-0">
<div class="col-12 col-lg-4"></div>
<div class="col-12 col-lg-8 px-0">
<div class="row pb-4 gx-3">
<div class="col-6">
<a class="btn btn-outline-primary w-100 ajax-link" data-target="PatientVitals_container" data-link="../patient/vitals/list.php?patient_id='.$patient->id.'"> <span class="fa fa-arrow-left fa-fw"></span> Cancel </a>
</div><div class="col-6">
<button id="ajax_form_vitals_submit_button" type="button" class="btn btn-primary w-100"> <span class="fa fa-check fa-fw"></span> Submit </button>
</div></div>
</div></div>
<hr />';

?>

