<?php 

$root           = '../../../';
$submodule_code = 'Pharmacy';
require($root.'config/config.php');

$subtype        = $post->subtype;
$subtype_item   = $subtype.'Item';
if($subtype_item == 'PharmacyItem') $subtype_item = 'PrescriptionItem';

$obj            = new $subtype($get->id);
if(!isset($get->item)) {
    //die($app->renderAlertError('Please select at least one medication', 'No medication selected'));
}

if($post->action == 'authorize') {

    foreach(array_keys($get->item) as $request_item_id) {
        $request_item   = new $subtype_item($subtype, $get->id, $request_item_id);
        if($get->authorize_status == 'Authorized') {
            echo $request_item->authorizeRequest($get);
        } elseif($get->authorize_status == 'Rejected') {
            die($app->renderAlertWarning($subtype.' rejected'));
        } else {
            die($app->renderAlertError('Please choose if you want to authorize or reject this '.strtolower($subtype)));
        }
    }
    if($get->authorize_status == 'Authorized') {
        $obj->changeProgress('Authorized');
        $bill = $obj->bill();
        $bill->update (
            array (
                'authorized'            => 1,
                'authorized_user_id'    => $user->id,
                'authorized_datetime'   => $now
            )
        );
        
        echo $app->renderAlertSuccess($subtype.' request is accepted', 'Accepted', 'modal_lg', 1);
    } else {
        echo $app->renderAlertWarning($subtype.' request is rejected', 'Rejected', 'modal_lg', 1);
    }
}

?>