<?php 

$root                   = '../../../';
$submodule_code         = 'Registration';
require($root.'config/config.php');
$insurance              = new Insurance($get->insurance_id);
if($get->checkin_type == 'Inpatient') {
    $location           = new Ward($get->location_id);
} else {
    $location           = new Clinic($get->location_id);
}
$store                  = new Store($location->store_id);
$items                  = $store->listItemsStock(1, array('Consultation'));

if($get->checkin_type == 'Outpatient') {
    if($insurance->code == 'NHIF') {
        echo $app->renderInputSelect('consultation_item_id', '', 'Consultation fee will be applied automatically for NHIF', 'line-control grid-control select-search disabled', '', array(), '', '', '', 'Consulation fee');
    } else {
        echo $app->renderInputSelect('consultation_item_id', $location->default_item_id, '', 'line-control grid-control select-search default-select', '', $items, '', '', '', 'Consulation fee');
    }
}

?>

<script> app.initializeControls(); </script>