<?php 

$root                   = '../../../';
$submodule_code         = 'Registration';
require($root.'config/config.php');
$insurance              = new Insurance($get->insurance_id);

$location_name          = $get->checkin_type == 'Inpatient' ? 'Choose ward' : 'Choose clinic';
$locations              = array();
if($get->checkin_type   == 'Inpatient') {
    foreach($app->read("SELECT clinical_wards.id FROM clinical_wards JOIN location_locations ON location_locations.id = clinical_wards.location_id WHERE department_id = $get->department_id AND clinical_wards.status = 1") as $row) {
        $ward           = new Ward($row->id);
        $locations[]    = array (
            'name'      => $ward->location()->name,
            'value'     => $row->id
        );
    }
} else {
    foreach($app->read("SELECT clinical_clinics.id FROM clinical_clinics JOIN location_locations ON location_locations.id = clinical_clinics.location_id WHERE department_id = $get->department_id AND clinical_clinics.status = 1") as $row) {
        $clinic         = new Clinic($row->id);
        $locations[]    = array (
            'name'      => $clinic->location()->name,
            'value'     => $row->id
        );
    }
}

$location_id            = isset($get->location_id) ? $get->location_id : 0;

echo $app->renderInputSelect('location_id', $location_id, '', 'line-control grid-control select-search', '', $locations, '', '', '', $location_name);

?>

<script> 

app.initializeControls(); 
$('#location_id').on('change', function() {
    loadConsultations();
});
loadConsultations();

</script>