<?php 

$root               = '../../../../';
$submodule_code     = 'TopDiagnoses';
require($root.'config/config.php');


$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array ( 
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('care_type', '', 'Choose care type', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', array('Outpatient', 'Inpatient'))
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('location_id', '', 'Choose location', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="care_type" data-source="html/filters/visit_locations_select.php"', array())
    ),
    array (
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputSelect('visit_type', '', 'Choose visit type', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', array('New', 'Revisit'))
    )
);

require($root.'html/template.php');

?>