<?php 

$root               = '../../../../';
$submodule_code     = 'Clinics';
require($root.'config/config.php');

$obj                = new Clinic(0);
$condition          = strlen($get->department) ? " AND location_departments.id = $get->department " : " ";

$sql                = "SELECT 
clinical_clinics.id,
clinic.name,
clinic.icon,
clinic.color,
department.name department_name,
store.name store_name
FROM clinical_clinics
JOIN location_locations clinic ON clinic.id = clinical_clinics.location_id
JOIN location_departments ON location_departments.id = clinical_clinics.department_id
JOIN location_locations department ON department.id = location_departments.location_id
JOIN location_stores ON location_stores.id = clinical_clinics.store_id
JOIN location_locations store ON store.id = location_stores.location_id
WHERE clinical_clinics.status = $app->active
$condition
AND clinic.name LIKE '%$get->keyword%' 
ORDER BY clinic.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Department', 'value'=>'department_name', 'css'=>'w-20'),
        array('name'=>'Clinic name', 'value'=>'name', 'css'=>''),
        array('name'=>'Billing store', 'value'=>'store_name', 'css'=>'w-20'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'css'           => 'bs-table',
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>