<?php 

$root               = '../../../';
$submodule_code     = 'Outpatient';
require($root.'config/config.php');

if(!$get->clinic_id) {
    die($app->renderAlertEmpty('Please choose clinic'));
}

$sql                = "SELECT 
clinical_visit_locations.id
FROM clinical_visit_locations
JOIN clinical_patients ON clinical_patients.id = clinical_visit_locations.patient_id
JOIN personnel_persons ON personnel_persons.id = clinical_patients.person_id
WHERE clinical_visit_locations.admitted = 1
AND clinical_visit_locations.clinic_id = $get->clinic_id
AND personnel_persons.name LIKE '%$get->keyword%'
ORDER BY clinical_visit_locations.id DESC
";

$data = $app->pagenate($app->read($sql));

echo '<div class="row">';

foreach($data->rows as $row) {
    $obj = new VisitLocation($row->id);
    echo '<div class="col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3">';
    echo $obj->renderNurseStationCard();
    echo '</div>';
}

echo '</div>';

echo $data->pagination;

?>