<?php 

$root           = '../../../';
$submodule_code = 'attachments';
require($root.'config/config.php');

$obj                = new Attachment($get->id);

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read, update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-4'),
        array ('id'=>'tab3', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-5')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderInputText('name', $obj->name, 'Same as uploaded filename', 'line-control grid-control');
    echo $app->renderInputHidden('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputFile('attachment', '', '<span class="fa-regular fa-folder-open fa-fw"></span> Choose file to upload', 'line-control grid-control');
    echo $app->renderInputSelect('access', $obj->access, '', 'line-control grid-control elect-search', '', 'settings_categories', 'code', 'name', 'type="AttachmentAccess"');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab2');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>