<?php

$branchs = $app->getCategories('WebsiteBranch', '');

echo '<div class="container-fluid">
<div class="row">
<div class="col-lg-1 d-none d-lg-block"></div>
<div class="col-12 col-lg-10"><div class="row my-4">';

echo '<div class="col-12">
<h4 class="display-6 my-3 fw-semibold"> Our branches</h4>
<p class="lead" style="text-align:justify">
Contact or visit our branches accross Malawi. We have multiple branches to deliver service as close to you as possible. Feel free to contact any branch near you. More branches will be opened and listed here.
</p>
</div>';

foreach($branchs as $branch) {
    echo '<div class="col-12 col-sm-6 col-lg-4 col-xxl-3 pb-4">
    <div class="card '.$branch->f2.' bg-success text-white border-0">
    <div class="card-body pt-5 text-center">
    <span class="'.$branch->icon.' fa-3x"></span>
    <h4 class="display-6 my-3 fw-bold">'.$branch->name.'</h4>
    <h5><span class="fa-light fa-phone fa-fw"></span> '.$branch->f1.'</h6>
    <p class="card-text fw-light"> '.$app->uncleanText($branch->details).'</p>
    </div>
    '.$app->uncleanText($branch->f7).'
    </div>
    </div>';
}

echo '</div></div>
<div class="col-lg-1 d-none d-lg-block"></div>
</div></div>';

?>