<?php

$products = $app->getCategories('WebsiteProduct', '');

echo '<div class="container-fluid" id="products">
<div class="row">
<div class="col-lg-1 d-none d-lg-block"></div>
<div class="col-12 col-lg-10"><div class="row">

<div class="col-12">
<h4 class="display-6 my-3 fw-semibold">Our products</h4>
<p class="lead" style="text-align:justify">
We have a range of products to fit for every occasion. Our products are made of different types of materials. They are available in many colors. Choose between fabric and leather products.
</p>
</div>';

foreach($products as $product) {
    echo '<div class="col-12 col-sm-6 col-lg-4 col-xxl-3 pb-4">
    <div class="card '.$product->f2.' border-0" style="min-height:28rem">
    <img src="'.$root.CLIENT_LINK.'images/products/'.$product->f4.'" class="card-img-top" alt="'.$product->name.'" />
    <div class="card-body text-justified">
    <div class="row">
    <div class="col-7 my-2">
    <h4 class="fw-bold">'.$product->name.'</h4>
    </div><div class="col-5 my-1">
    <a class="btn btn-sm btn-primary w-100 remote-modal" data-bs-toggle="modal" data-bs-target="#modal_lg" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" href="'.$root.'website/inquiries/form.php?action=create"><i class="fa-regular fa-envelope"></i> Inquiry</a>
    </div></div>
    <p class="card-text fw-light remote-modal"> '.$app->uncleanText($product->details).'</p>
    </div>
    </div>
    </div>';
}

echo '</div></div>
<div class="col-lg-1 d-none d-lg-block"></div>
</div></div>';

?>