<?php 

$root           = '../../../';
$submodule_code = 'website';
require($root.'config/config.php');

$modal_options  = array(
    'icon'          => 'fa-light fa-face-smile',
    'title'         => 'Send inquiries',
    'heading'       => 'We listen, talk to us',
    'form_action'   => 'pages/website/inquiries/process.php'
);

echo $submodule->renderModalFormOpen($modal_options);

echo $app->renderInputHidden('action', $get->action);
echo $app->renderInputHidden('id', $get->id);

echo $app->renderInputText('name', '', 'John Doe', 'line-control grid-control', '', 'Your name');
echo $app->renderInputText('email', '', 'name@example.com', 'line-control grid-control', '', 'Email address');
echo $app->renderInputText('phone', '', '+265000000000', 'line-control grid-control', '', 'Phone number');
echo $app->renderInputTextarea('inquiries', '', 'I\'m interested with your furniture', 'line-control grid-control', '', 'Your enquiries');
echo $app->renderInputText('captcha', '', 'Enter the captcha code shown in the picture', 'line-control grid-control', '', '<img src="pages/website/inquiries/captcha.php" alt="captcha" />');

echo $submodule->renderModalFormClose();

?>

<script> setTimeout(function() {$('#name').focus();}, 500); </script>