<?php 

$root               = '../../../';
$submodule_code     = 'sms';
require($root.'config/config.php');

$obj                = new SMS();
$condition          = strlen($get->sms_type) ? "AND type = '$get->sms_type' " : " ";
$sql                = "SELECT 
message_sms.id,
message_sms.created_datetime,
message_sms.recipient_phone name,
message_sms.body,
message_sms.message_status status
FROM message_sms
WHERE message_sms.status = 1
AND (message_sms.recipient_phone LIKE '%$get->keyword%' OR message_sms.body LIKE '%$get->keyword%')
$condition
ORDER BY message_sms.created_datetime DESC
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options        = array (
    'columns'   => array (
        array('name'=>'DATE', 'value'=>'created_datetime', 'css'=>'date w-15'),
        array('name'=>'PHONE', 'value'=>'name', 'css'=>'w-15'),
        array('name'=>'MESSAGE', 'value'=>'body', 'css'=>''),
        array('name'=>'STATUS', 'value'=>'status', 'css'=>'w-10'),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows,
    'css'       => ''
);

echo $app->renderTableOpen($options);
echo $obj->renderTableBody($options);
echo $app->renderTableClose();

?>