<?php 

$root           = '../../../';
$submodule_code = 'sms';
require($root.'config/config.php');

$obj            = new SMS($get->id);

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} elseif($post->action == 'create' || $post->action == 'copy') {

    // Create
    $recipient_phone    = $app->validate(array('value'=>$app->formatPhone($post->recipient_phone), 'name'=>'name', 'min'=>3));
    $message_body       = $app->validate(array('value'=>$post->message_body, 'name'=>'name', 'min'=>1));
    $message_sent       = $obj->send(array('recipient_phone'=>$recipient_phone, 'message_body'=>$message_body));

    if($message_sent) {
        echo $app->renderAlertSuccess('Message sent', 'Success', 'modal_lg', true);
    } else {
        var_dump($message_sent);
    }
   
} else {
    var_dump($get);
}

?>