<?php 

$root           = '../../../';
$submodule_code = 'WebContents';
require($root.'config/config.php');

$obj            = new WebContent(0);
$condition      = strlen($get->webpage) ? "AND content_webpages.code = '$get->webpage' " : " ";
$condition      .= strlen($get->websection) ? "AND content_websections.code = '$get->websection' " : " ";
$sql            = "SELECT 
content_webcontents.id,
content_webcontents.name,
content_webpages.name webpage,
content_websections.name websection,
content_webcontents.code,
content_webcontents.icon,
content_webcontents.color
FROM content_webcontents
JOIN content_websections ON content_websections.code = content_webcontents.websection
JOIN content_webpages ON content_webpages.code = content_websections.webpage
WHERE content_webcontents.status = 1
AND content_webcontents.name LIKE '%$get->keyword%' 
$condition
ORDER BY content_webcontents.priority
";

$data = $app->pagenate($app->read($sql));

$options        = array (
    'columns'   => array (
        array('name'=>'Web Page', 'value'=>'webpage', 'css'=>'w-20'),
        array('name'=>'Web Section', 'value'=>'websection', 'css'=>'w-20'),
        array('name'=>'Content', 'value'=>'name', 'css'=>''),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows,
    'css'       => 'bs-table_'
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>