<?php 

class WebPage extends Crud {
	function __construct($id=0) {		
		$this->table        = 'content_webpages';
		$this->primary_key  = 'id';
		parent::__construct($id);
	}

	function renderSections() {
		$html = $this->insertDataIntoTemplate($this->header);

		foreach($this->getSections() as $section) {
			$html .= $section->renderContents();
		}

		$html .= $this->insertDataIntoTemplate($this->footer);
		return $html;
	}

	function getSections() {
		global $db;
		$sections 	= array();
		$sql 		= "SELECT id FROM content_websections WHERE webpage = '$this->code' AND display='Shown' ORDER BY priority ";
		foreach($db->read($sql) as $row) {
			$sections[] = new WebSection($row->id);
		}
		return $sections;
	}
}

?>