<?php 

$root           = '../../../';
$submodule_code = 'WebSections';
require($root.'config/config.php');

$obj            = new WebSection();
$condition      = strlen($get->webpage) ? "AND content_webpages.code = '$get->webpage' " : " ";
$sql            = "SELECT 
content_websections.id,
content_websections.name,
content_webpages.name webpage,
content_websections.code,
content_websections.icon,
content_websections.color,
(SELECT COUNT(content_webcontents.id) FROM content_webcontents WHERE content_webcontents.websection = content_websections.code) as contents
FROM content_websections
JOIN content_webpages ON content_webpages.code = content_websections.webpage
WHERE content_websections.status = 1
AND content_websections.name LIKE '%$get->keyword%' 
$condition
ORDER BY content_websections.priority
";

$data           = $app->pagenate($app->read($sql));

$options        = array (
    'columns'   => array (
        array('name'=>'Webpage', 'value'=>'webpage', 'css'=>'w-20'),
        array('name'=>'Section', 'value'=>'name', 'css'=>''),
        array('name'=>'Contents', 'value'=>'contents', 'css'=>'w-10 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'   => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'      => $data->rows,
    'css'       => 'bs-table_'
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>