<?php 

$root               = '../../../';
$submodule_code     = 'Users';
require($root.'config/config.php');

$get->action        = 'open';

$modal_options      = array (
    'icon'          => 'fa-duotone fa-user-group',
    'title'         => 'Find people online',
    'left_html'     => '<span class="fa-duotone fa-user-group fa-5x"></span><h4 class="my-3">Find people</h4>'
);

echo $submodule->renderModalOpen($modal_options);

echo '
<div class="input-group">
<div class="input-group-text border-end-0 pe-2 text-muted"> &nbsp; <span class="fa-solid fa-magnifying-glass"></span> &nbsp; </div>
<input type="text" id="people_keyword" class="ps-2 border-start-0 form-control form-control-lg filter-control onkeyup-reload-list " placeholder="Search people" autofocus />
</div>';

echo '<div class="my-4" id="people_container"></div>';
echo $submodule->renderModalClose();

?>

<script>

setTimeout(function() {$('#people_keyword').focus()}, 500);

$('#people_keyword').on('keyup', function() {searchPeople() });

function searchPeople() {
    var people_keyword = $('#people_keyword').val();
    $('#people_container').html(loading_bar).load(encodeURI(r+'pages/info/online/online.php?r=<?php echo $get->r ?>&people_keyword='+people_keyword), function() {$('.bs-tooltip').tooltip();});
}

searchPeople();

</script>