<?php 

$root               = '../../../';
$submodule_code     = 'Ecosystem';
require($root.'config/config.php');

$obj                = new Device();
$condition          = strlen($get->block) ? " AND innova_blocks.id = $get->block " : " ";
$condition          .= strlen($get->counter) ? " AND innova_counters.id = $get->counter " : " ";

$sql                = "SELECT 
innova_devices.id
FROM innova_devices
JOIN innova_counters ON innova_counters.id = innova_devices.counter_id
JOIN innova_blocks ON innova_blocks.id = innova_counters.block_id
WHERE innova_counters.status = $app->active
AND innova_devices.name LIKE '%$get->keyword%'
$condition 
ORDER BY innova_devices.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

echo '<div class="row">';

foreach($data->rows as $row) {
    $device         = new Device($row->id);
    echo $device->renderInfoCard();
}

echo '</div>';

?>