<?php

$root           = '../../../';
$submodule_code = 'Queues';
require($root.'config/config.php');
require($root.'html/header.php');

?>

<h1 id="ticket" class="my-5 text-success text-center display-3">Maranatha Referral Hospital</h1>
<div id="result"></div>

<script>

var audio 	= new Audio("alarm.wav");

function playSound() {
	document.getElementById('player').play();
}

function stopSound() {
	document.getElementById('player').pause();
	document.getElementById('player').currentTime = 0;
}

function sleep(time) {
	return new Promise((resolve) => setTimeout(resolve, time));
}

function speak(message) {	
	let speech 		= new SpeechSynthesisUtterance();
	speech.lang 	= "en-US";
	let voices 		= window.speechSynthesis.getVoices();
	speech.voice 	= voices[0];
	speech.text 	= message;
	speech.volume = 10;
	speech.rate 	= 0.6;
	speech.pitch 	= 1;
	window.speechSynthesis.speak(speech);
}

if(typeof(EventSource) !== "undefined") {
  var source = new EventSource("server.php");
  source.onmessage = function(event) {
    var ticket_no = event.data;
    if(ticket_no.length > 1) {
      //playSound();
      $('#ticket').html('Ticket number <br /><b>'+ticket_no+'</b> <br /><br />Please go to <br /><b>Dental Clinic</b>');
      speak('Ticket number '+ticket_no+' please go to Dental clinic');
    } else {
      //stopSound();
    }
    //document.getElementById("result").innerHTML += event.data + "<br>";
  };
} else {
  document.getElementById("result").innerHTML = "Sorry, your browser does not support server-sent events...";
}
</script>
<audio id="player"><source src="alarm.wav" type="audio/wav"></audio></div>


<?php

require($root.'html/footer.php');

?>