<?php 

$root               = '../../../../';
$submodule_code     = 'Blocks';
require($root.'config/config.php');

$obj                = new Block(0);

$sql                = "SELECT 
innova_blocks.id,
innova_blocks.type,
location_locations.name,
location_locations.icon,
location_locations.color,
(SELECT COUNT(id) counters FROM innova_counters WHERE block_id = innova_blocks.id) counters
FROM innova_blocks
JOIN location_locations ON location_locations.id = innova_blocks.location_id
WHERE innova_blocks.status = $app->active
AND location_locations.name LIKE '%$get->keyword%' 
ORDER BY location_locations.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Block type', 'value'=>'type', 'css'=>'w-20'),
        array('name'=>'Block name', 'value'=>'name', 'css'=>''),
        array('name'=>'Counters', 'value'=>'counters', 'css'=>''),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>