<?php 

$root           = '../../../../';
$submodule_code = 'Counters';
require($root.'config/config.php');

$obj            = new Counter($get->id);
$location       = $obj->location();

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-regular fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Audits', 'icon'=>'fa-regular fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputSelect('type', $obj->type, '', 'line-control grid-control select-search', '', 'settings_categories', 'code', 'name', "type='CounterType'", 'Type');
    echo $app->renderInputSelect('block_id', $obj->block_id, '', 'line-control grid-control select-search', '', 'innova_blocks,location_locations,location_locations.id=innova_blocks.location_id', 'innova_blocks.id', 'location_locations.name', '', 'Block');
    echo $app->renderInputText('code', $location->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $location->name, '', 'line-control grid-control');
    echo $app->renderInputText('prefix', $obj->prefix, '', 'line-control grid-control');
    echo $app->renderInputText('postfix', $obj->postfix, '', 'line-control grid-control');
    echo $app->renderInputSelect('branch_id', $obj->branch_id, '', 'line-control grid-control select-search', '', 'location_branches,location_locations,location_locations.id=location_branches.location_id', 'location_branches.id', 'location_locations.name', '', 'Branch');
    
    echo $app->renderInputAccess($location->access, '', 'line-control grid-control');
    echo $app->renderInputColor($location->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($location->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($location->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $obj->renderAuditFields();
    
    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>