<?php 

$root               = '../../../../';
$submodule_code     = 'Counters';
require($root.'config/config.php');

$obj                = new Counter();
$condition          = strlen($get->block) ? " AND innova_blocks.id = $get->block " : " ";

$sql                = "SELECT 
innova_counters.id,
innova_counters.type,
counter.name,
counter.icon,
counter.color,
block.name block_name,
innova_counters.prefix,
(SELECT COUNT(id) devices FROM innova_devices WHERE counter_id = innova_counters.id) devices
FROM innova_counters
JOIN location_locations counter ON counter.id = innova_counters.location_id
JOIN innova_blocks ON innova_blocks.id = innova_counters.block_id
JOIN location_locations block ON block.id = innova_blocks.location_id
WHERE innova_counters.status = $app->active
$condition
AND counter.name LIKE '%$get->keyword%' 
ORDER BY counter.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Block', 'value'=>'block_name', 'css'=>'w-15'),
        array('name'=>'Type', 'value'=>'type', 'css'=>'w-15'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Prefix', 'value'=>'prefix', 'css'=>'w-10'),
        array('name'=>'Devices', 'value'=>'devices', 'css'=>'w-10'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>