<?php 

$root           = '../../../../';
$submodule_code = 'Devices';
require($root.'config/config.php');

$obj            = new Device($get->id);

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} else {

    // Validate...
    $code       = $app->validate(array('value'=>$post->code, 'name'=>'code', 'min'=>3));
    $name       = $app->validate(array('value'=>$post->name, 'name'=>'name', 'min'=>3));

    if($post->action == 'create' || $post->action == 'copy') {
        $create_data            = array (
            'id'                => 0,
            'type'              => $post->type,
            'subtype'           => '',
            'code'              => $get->code,
            'name'              => $get->name,
            'details'           => $get->details,
            'counter_id'        => $get->counter_id,
            'board'             => $get->board,
            'brand'             => $get->brand,
            'model'             => $get->model,
            'specifications'    => $get->specifications,
            'methods'           => $get->methods,
            'firmware'          => '',
            'ip'                => $get->ip,
            'port'              => $get->port,
            'seen'              => '',
            'connected'         => '',
            'icon'              => $get->icon,
            'color'             => $get->icon,
            'tags'              => $get->tags,
            'f1'                => $get->f1,
            'f2'                => $get->f2,
            'f3'                => $get->f3,
            'f4'                => $get->f4,
            'f5'                => $get->f5,
            'f6'                => $get->f6,
            'f7'                => $get->f7,
            'f8'                => $get->f8,
            'f9'                => $get->f9,
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1   
        );

        $device_id              = $obj->create($create_data);

        if($device_id) {
            echo $app->renderAlertSuccess('Devicer created successfully', 'Success', 'modal_lg', true);
        }
    } elseif($post->action == 'edit') {

        $update_data            = array (
            'type'              => $post->type,
            'code'              => $get->code,
            'name'              => $get->name,
            'details'           => $get->details,
            'counter_id'        => $get->counter_id,
            'board'             => $get->board,
            'brand'             => $get->brand,
            'model'             => $get->model,
            'specifications'    => $get->specifications,
            'methods'           => $get->methods,
            'ip'                => $get->ip,
            'port'              => $get->port,
            'icon'              => $get->icon,
            'color'             => $get->icon,
            'tags'              => $get->tags,
            'f1'                => $get->f1,
            'f2'                => $get->f2,
            'f3'                => $get->f3,
            'f4'                => $get->f4,
            'f5'                => $get->f5,
            'f6'                => $get->f6,
            'f7'                => $get->f7,
            'f8'                => $get->f8,
            'f9'                => $get->f9,
            'modified_user_id'  => $user_id,
            'modified_datetime' => $now
        );

        $updated                = $obj->update($update_data);

        if($updated) {
            echo $app->renderAlertSuccess('Device updated successfully', 'Success', 'modal_lg', true);
        }
    }
}

?>