<?php 

$root               = '../../../';
$submodule_code     = 'InnovaSettings';
require($root.'config/config.php');

$sql = "SELECT id, code FROM settings_submodules 
        WHERE settings_submodules.module = 'Innova' 
        AND settings_submodules.status > 0 
        AND settings_submodules.tags LIKE '%settings%' 
        ORDER BY settings_submodules.priority ";

$rows = $app->query($sql);

echo '<div class="row">';

foreach($rows as $row) {
    if($user->accessSubmodule($row->code)) {
        $settings = new Submodule($row->id);
        echo $settings->renderLinkCard();
    }
}

echo '</div>';

?>