<?php 

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');
$obj                = new Adjustment();
$source_store       = new Store($post->source_store_id);
$destination_store  = new Store($post->destination_store_id);
$items_subtype      = $post->items_subtype;

$count              = 0;
$sql                = "SELECT inventory_item_stock.item_id
FROM inventory_item_stock 
JOIN inventory_items ON inventory_items.id = inventory_item_stock.item_id
WHERE store_id      = $source_store->id AND inventory_items.subtype = '$items_subtype' ";

foreach($app->read($sql) as $row) {
    $item           = new Item($row->item_id);
    
    $sql2           = "SELECT id FROM inventory_item_stock WHERE item_id = $row->item_id AND store_id = $destination_store->id";
    foreach($app->read($sql2) as $row2) {
        echo $app->renderAlertWarning($item->name, 'Skipped');
        continue 2;
    }

    $item->createBatch (
        array (
            'store_id'	=> $destination_store->id,
        )
    );
    echo $app->renderAlertSuccess($item->name, 'Copied');
    $count++;

}

echo $app->renderAlertSuccess($count.' items copied from '.$source_store->location()->name.' to '.$destination_store->location()->name);

?>