<?php

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');

$obj                = new Submodule($get->id);
if($get->action == 'delete') {
    
    // Render delete modal
    echo $obj->renderModalDelete($get->id);
} else {

    // Render create, read, delete modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Information', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-3'),
        array ('id'=>'tab4', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-4')
    );

    echo $submodule->renderModalFormOpen(array('title'=>'Bulk adjustment', 'form_action'=>'import_stock/process.php'));

    echo $app->renderInputSelect('store_id', '', '', 'grid-control line-control', 'data-style="btn-outline-secondary"', $user->listStores('manage'), '', '', '', 'Choose store');
    echo $app->renderInputSelect('trans_subtype', '', '', 'grid-control line-control', 'data-style="btn-outline-secondary"', 'settings_categories', 'code', 'name', "type='AdjustmentType'", 'Adjustment reason');
    echo $app->renderInputButton('template_button', '#', 'Download template', 'grid-control btn btn-outline-secondary', 'data-style="btn-outline-secondary"', 'Download template');
    echo $app->renderInputFile('template_file', '', 'Upload template', 'grid-control', 'data-style="btn-outline-secondary"', 'Upload template');
    echo $app->renderInputSelect('error_action', '', '', 'grid-control line-control', 'data-style="btn-outline-secondary"', array('Abort', 'Ignore'), 'code', 'name', "type='ItemType'", 'On error');
    echo $app->renderInputTextarea('trans_requested_notes', '', '', 'grid-control line-control', '', 'Adjustment notes');
    
}

echo $submodule->renderModalFormClose();

?>

<script>

$('#template_button').on('click', function() {
    var store_id    = $('#store_id').val();
    window.location = 'import_stock/template.php?store_id='+store_id;
});

</script>