<?php 

$root               = '../../../../';
$submodule_code     = 'InventoryBulk';
require($root.'config/config.php');

$store              = new Store($get->store_id);
$data               = array();

$items_data         = array (
    'ITEM_ID'       => '',
    'ITEM_TYPE'     => '',
    'ITEM_NAME'     => '',
    'ITEM_UNITS'    => '',
    'ITEM_STOCK'    => ''
);

$data[]             = $items_data;

$rows               = $store->getItemsWithStock();
foreach($rows as $row) {
    $item_data      = array (
        $row->item_id,
        $row->type,
        $row->name,
        $row->uom,
        $row->stock
    );
    $data[]         = $item_data;
}

$csv->output($data, str_replace(' ', '_', ucwords($store->location()->name)).'_Stock.csv');

?>