<?php 

$root               = '../../../';
$submodule_code     = 'Items';
require($root.'config/config.php');
$obj                = new Item();

die('Must be edited');

/*
TRUNCATE `billing_item_pricelists`;
TRUNCATE `inventory_items`;
TRUNCATE `inventory_item_stock`;
*/

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$items              = $app->read("SELECT * FROM inv_items WHERE item_id IN(SELECT item_id FROM inv_items_stores)");
$stocks             = $app->read("SELECT * FROM inv_items_stores WHERE inv_items_stores.store_id IN(SELECT store_id FROM loc_stores)");
$db                 = $db_o;

//die(var_dump($stocks));

// Import items
foreach($items as $item) {
    $stockable              = $item->type == 'Product' ? 1 : 0;
    $create_data            = array (
        'id'                => $item->item_id,
        'type'              => $item->type,
        'subtype'           => $item->sub_type,
        'category'          => '',
        'subcategory'       => '',
        'code'              => '',
        'name'              => $app->formatName($item->name),
        'name_alt'          => $app->formatName($item->alt_name),
        'details'           => '',
        'uom'               => $app->formatName($item->uom),
        'icon'              => 'fa-regular fa-note-sticky',
        'color'             => 'primary',
        'tags'              => $item->tags,
        'cost'              => $item->cost,
        'value'             => $item->cost,
        'image_id'          => 0,
        'background_id'     => 0,
        'min_stock'         => $item->min_stock,
        'max_stock'         => $item->max_stock,
        'expiry'            => '',
        'stock'             => $stockable,
        'purchase'          => $stockable,
        'sale'              => $stockable,
        'requisition'       => $stockable,
        'adjustment'        => $stockable,
        'production'        => $stockable,
        'prescription'      => '',
        'qualification'     => '',
        'agegroup'          => '',
        'sex'               => '',
        'dosage_form'       => '',
        'dosage_units'      => '',
        'stock_strength'    => '',
        'stock_volume'      => '',
        'container_volume'  => '',
        'container_units'   => '',
        'code1'             => '',
        'code2'             => '',
        'code3'             => '',
        'code4'             => $item->cpt_code,
        'code5'             => '',
        'code6'             => $item->nhif_code,
        'code7'             => '',
        'code8'             => '',
        'code9'             => '',
        'prop1'             => '',
        'prop2'             => '',
        'prop3'             => '',
        'prop4'             => '',
        'prop5'             => '',
        'prop6'             => '',
        'prop7'             => '',
        'prop8'             => '',
        'prop9'             => '',
        'f1'                => $item->category_id,
        'f2'                => '',
        'f3'                => '',
        'f4'                => '',
        'f5'                => '',
        'f6'                => $item->parameters,
        'f7'                => '',
        'f8'                => '',
        'f9'                => '',
        'created_user_id'   => $item->create_staff_id,
        'created_datetime'  => $item->create_date,
        'modified_user_id'  => $item->modify_staff_id,
        'modified_datetime' => $item->modify_date,
        'status'            => 1
    );

    $item_id                = $obj->create($create_data);
    
    // Prices
    if($item->item_id) {
        for($i=0; $i<32; $i++) {

            $price_count                 = 'price'.$i;
            if($i>30) $price_count       = 'cost';
            
            $pricelist_id                = $app->getColumnValue('billing_pricelists', 'id', 'f2', $price_count);
            if($pricelist_id) {
                $pricelist              = new Pricelist($pricelist_id);
                $pricelist_obj          = new Table('billing_item_pricelists');
                $pricelist_data         = array (
                    'id'                => 0,
                    'item_id'           => $item->item_id,
                    'pricelist'    		=> $pricelist->code,
                    'pricelist_id'      => $pricelist_id,
                    'account'    		=> '',
                    'account_id'        => 0,
                    'pricemode'        	=> 'Auto',
                    'price_coverage'    => '100',
                    'price'             => $item->$price_count,
                    'tax_mode'          => 'Inclusive',
                    'tax'               => 0,
                    'margin'            => 0,
                    'restricted'        => 0,
                    'excluded'          => '',
                    'max_issue'         => 0,
                    'max_interval'      => '',
                    'notes'             => '',
                    'f1'                => '',
                    'f2'                => '',
                    'f3'                => '',
                    'f4'                => '',
                    'f5'                => '',
                    'f6'                => '',
                    'f7'                => '',
                    'f8'                => '',
                    'f9'                => '',
                    'created_user_id'   => $item->create_staff_id,
                    'created_datetime'  => $item->create_date,
                    'modified_user_id'  => $item->modify_staff_id,
                    'modified_datetime' => $item->modify_date,
                    'status'            => 1
                );
                $pricelist_obj_id       = $pricelist_obj->create($pricelist_data);
            }
        }

        // Stock
        foreach($stocks as $stock) {
            if($stock->item_id == $item->item_id) {
                $stock_obj      = new Table('inventory_item_stock');
                $stock_obj->ignore_errors = "IGNORE";
                $stock_data     = array (
                    'id'                => 0,
                    'item_id'           => $item->item_id,
                    'store_id'    		=> $stock->store_id,
                    'batch'             => '',
                    'expiry'    		=> '',
                    'stock'             => $stock->stock,
                    'min_stock'        	=> '',
                    'max_stock'         => '',
                    'f1'                => '',
                    'f2'                => '',
                    'f3'                => '',
                    'f4'                => '',
                    'f5'                => '',
                    'f6'                => '',
                    'f7'                => '',
                    'f8'                => '',
                    'f9'                => '',
                    'created_user_id'   => $user_id,
                    'created_datetime'  => $now,
                    'modified_user_id'  => 0,
                    'modified_datetime' => 0,
                    'status'            => 1
                );
                $stock_id               = $stock_obj->create($stock_data);
                if(!$stock_id) {
                    $item_obj           = new Item($item->item_id);
                    $item_obj->addStock($stock->store_id, $stock->stock);
                }
            }
        }
        echo $app->renderAlertSuccess('Imported successfully', $item->name);
    }
}

?>