<?php 

$root               = '../../../../';
$submodule_code     = 'InventoryStockValues';
require($root.'config/config.php');
$date               = date('Y-m-d');
$stores[]           = array('name'=>'All stores', 'value'=>'');
$stores             = array_merge($stores, $user->listStoresWithAccess('reports'));

$filters            = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'control'   => $app->renderInputDate('date', '', 'Today', 'form-control form-control-lg filter-control onkeyup-reload-list date-picker', '')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh')
        )
    ),
    array (
        'cssx'      => '',
        'control'   => $app->renderInputSelect('store_id', '', 'All stores', 'filter-control onchange-reload-list defaulta-all', 'data-style="btn-outline-secondary btn-lg"', $stores)
    ),
    array (
        'control'   => $app->renderInputSelect('subtype', '', 'All item types', 'filter-control onchange-reload-list default-all', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="ItemType"')
    ),
    array (
        'cssx'      => '',
        'control'   => $app->renderInputSelect('pricelist_id', '', 'Price based on cost', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'billing_pricelists', 'id', 'name', '')
    )
);

require($root.'html/template.php');

?>