<?php 

$root           = '../../../';
$submodule_code = 'Requisitions';
require($root.'config/config.php');

$obj            = new Requisition();

$filters        = array (
    array (
        'css'       => 'col-xl-4 col-lg-6 mt-2 mb-3',
        'type'      => 'search'
    ), 
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('start_date', '', 'Start date', 'filter-control form-control-lg')
    ),
    array (
        'css'       => 'col-6 col-lg-3 col-xl-2 mt-2 mb-3',
        'control'   => $app->renderInputDate('end_date', '', 'End date', 'filter-control form-control-lg')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('source_store', '', 'Choose source store', 'filter-control form-control-lg default-all select-search onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->listStores(''))
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('destination_store', '', 'Choose destination store', 'filter-control form-control-lg default-all select-search onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', $user->listStores(''))
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('progress', '', 'Choose progress', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', "type='TransactionProgress'")
    )
);

require($root.'html/template.php');

?>