<?php 

$root               = '../../../';
$submodule_code     = 'SearchItems';
require($root.'config/config.php');

$obj                = new Item($get->item_id);
$obj->category      = strlen($obj->category) ? $obj->category : '(None)';

echo '<div class="row mb-3">

<div class="col-xl-4 col-lg-6 mt-2 mb-3">
<div class="card">
<div class="card-body">
<h5 class="fw-normal">Item type</h5>
<h5 class="fw-bold text-muted">'.$obj->type.'</h5>
</div>
</div>
</div>

<div class="col-xl-4 col-lg-6 mt-2 mb-3">
<div class="card">
<div class="card-body">
<h5 class="fw-normal">Item category</h5>
<h5 class="fw-bold text-muted">'.$obj->subtype.'</h5>
</div>
</div>
</div>

<div class="col-xl-4 col-lg-6 mt-2 mb-3">
<div class="card">
<div class="card-body">
<h5 class="fw-normal">Item subcategory</h5>
<h5 class="fw-bold text-muted">'.$obj->category.'</h5>
</div>
</div>
</div>

</div>';


$table_options      = array (
    'columns'       => array(
        array('name'=>'Store name'),
        array('name'=>'Batch', 'css'=>'w-18'),
        array('name'=>'Expiry', 'css'=>'w-18'),
        array('name'=>'Stock', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'css'=>'w-20')
    )
);

echo $app->renderTableOpen($table_options);

$sql    = "SELECT * FROM inventory_item_stock WHERE item_id = $obj->id ";
foreach($app->read($sql) as $row) {
    $link_options   = array('id'=>$obj->id, 'name'=>$obj->name);
    $copy_link     = '<a class="btn remote-modal bs-tooltip" title="Copy" data-bs-toggle="modal" data-bs-target="#modal_lg" href="form.php?action=copy2store&store='.$row->store_id.'&id='.$obj->id.'"> <span class="fa-regular fa-copy"></span> </a>';
    $edit_link     = '<a class="btn remote-modal bs-tooltip" title="Edit" data-bs-toggle="modal" data-bs-target="#modal_lg" href="form.php?action=edit&store='.$row->store_id.'&id='.$obj->id.'"> <span class="fa-regular fa-pen-to-square"></span> </a>';
    $remove_link    = '<a class="btn remote-modal bs-tooltip" title="Remove" data-bs-toggle="modal" data-bs-target="#modal_lg" href="form.php?action=remove&store='.$row->store_id.'&id='.$obj->id.'"> <span class="fa-regular fa-arrow-up-from-bracket"></span> </a>';
    $store          = new Store($row->store_id);

    echo '<tr>
    <td>'.$store->location()->name.'</td>
    <td>'.$row->batch.'</td>
    <td>'.$app->date($row->expiry).'</td>
    <td>'.$obj->renderStockButton($row->store_id).'</td>
    <td class="text-center text-nowrap">
    '.$copy_link.' '.$edit_link.' '.$remove_link.'
    </td>
    </tr>';
}

echo $app->renderTableClose($table_options);

?>