<?php 

$root           = '../../../../';
$submodule_code = 'Stores';
require($root.'config/config.php');

$obj            = new Store($get->id);
$location       = $obj->location();

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);

} else {

    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-regular fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Audits', 'icon'=>'fa-regular fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action, '', 'line-control grid-control');
    echo $app->renderInputHidden('id', $get->id, '', 'line-control grid-control');
    
    echo $app->renderInputText('code', $location->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $location->name, '', 'line-control grid-control');
    echo $app->renderInputSelect('branch_id', $obj->branch_id, '', 'line-control grid-control select-search', '', 'location_branches,location_locations,location_locations.id=location_branches.location_id', 'location_branches.id', 'location_locations.name', '', 'Branch');
    echo $app->renderInputSelect('department_id', $obj->department_id, '', 'line-control grid-control select-search', '', 'location_departments,location_locations,location_locations.id=location_departments.location_id', 'location_departments.id', 'location_locations.name', '', 'Department');
    echo $app->renderInputSelect('allowed_items[]', $obj->allowed_items, '', 'line-control grid-control select-search', 'multiple', 'settings_categories', 'code', 'name', 'type="ItemType"', 'Allowed items');
    echo $app->renderInputSelect('default_item', $obj->default_item, '', 'line-control grid-control select-search', '', 'settings_categories', 'code', 'name', 'type="ItemType"', 'Default item');
    
    echo $app->renderInputAccess($location->access, '', 'line-control grid-control');
    echo $app->renderInputColor($location->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($location->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($location->tags, '', 'line-control grid-control');
    
    echo $app->renderTabsNext('tab2');

    echo $obj->renderAuditFields();
    
    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>