<?php 

die('This script must be edited');

$root               = '../../../../';
$submodule_code     = 'Stores';
require($root.'config/config.php');

$obj                = new Store();
$location           = $obj->location();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$stores             = $app->read("SELECT store_id, code, name, branch_id, department_id, icon, color, tags FROM loc_stores JOIN loc_locations USING(location_id)");

$coms               = $app->read("SELECT * FROM sys_settings");
$com                = new stdClass();
foreach($coms as $com_row) {
    $com_name       = $com_row->name;
    $com_value      = $com_row->value;
    $com->$com_name = $com_value;
}
$db                 = $db_o;

foreach($stores as $store) {
    // Create location
    $allowed_items              = array();
    $tags                       = explode(',', $store->tags);
    foreach($tags as $tag) $allowed_items[] = ucfirst(strtolower($tag));
    $allowed_items              = implode(',', $allowed_items);

    $location_data              = array (
        'type'                  => 'Store',
        'code'                  => $store->code,
        'name'                  => $store->name,
        'tags'                  => $store->tags,
        'icon'                  => $store->icon,
        'color'                 => $store->color,
        'access'                => 'create-internal-orders,
        read-internal-orders,
        edit-internal-orders,
        delete-internal-orders,
        authorize-internal-orders,
        approve-internal-orders,
        transfer-internal-orders,
        
        create-adjustments,
        read-adjustments,
        edit-adjustments,
        delete-adjustments,
        authorize-adjustments,
        approve-adjustments,
        transfer-adjustments,
        
        create-requisitions,
        read-requisitions,
        edit-requisitions,
        delete-requisitions,
        authorize-requisitions,
        approve-requisitions,
        transfer-requisitions,
        
        create-requests,
        read-requests,
        edit-requests,
        delete-requests,
        authorize-requests,
        approve-requests,
        transfer-requests,
        
        create-orders,
        read-orders,
        edit-orders,
        delete-orders,
        authorize-orders,
        approve-orders,
        transfer-orders,
        
        create-grn,
        read-grn,
        edit-grn,
        delete-grn,
        authorize-grn,
        approve-grn,
        transfer-grn,
        
        create-sales,
        read-sales,
        edit-sales,
        delete-sales,
        authorize-sales,
        approve-sales,
        transfer-sales,
        bill-sales,
        pay-sales,
        
        bulk-process,
        manage-items,
        reports'
    );

    $location_id                = $location->createWithMinimumData($location_data);
    $location                   = new Location($location_id);

    // Create store
    if($location_id) {
        $store_data             = array (
            'id'                => $store->store_id,
            'branch_id'         => $store->branch_id,
            'location_id'       => $location_id,
            'department_id'     => $store->department_id,
            'allowed_items'     => $allowed_items,
            'default_item'      => 'Pharmacy',
            'f1'                => '',
            'f2'                => '',
            'f3'                => '',
            'f4'                => '',
            'f5'                => '',
            'f6'                => '',
            'f7'                => '',
            'f8'                => '',
            'f9'                => '',
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        
        $store_id               = $obj->create($store_data);

        if($store_id) {
            echo $app->renderAlertSuccess($store->name.' imported successfully', 'Success');
        }
    }
}

?>