<?php 

$root               = '../../../';
$submodule_code     = 'Employees';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-lg-6 col-xl-8 col-xxl-6 mt-2 mb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search employees', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'css'       => 'col-xl-4 col-lg-6 col-xxl-6 mt-2 mb-3',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('directorate', '', 'Choose directorate', 'filter-control onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'location_directorates,location_locations,location_locations.id=location_directorates.location_id', 'location_directorates.id', 'location_locations.name')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('department', '', 'Choose department', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="directorate" data-source="pages/personnel/employees/departments_select.php"', array())
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('branch', '', 'Choose branch', 'filter-control onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'location_branches,location_locations,location_locations.id=location_branches.location_id', 'location_branches.id', 'location_locations.name')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('office', '', 'Choose office', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="branch" data-source="pages/personnel/employees/offices_select.php"', array())
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('education', '', 'Education level', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="EducationLevel"')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('designation', '', 'Choose designation', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="DesignationType"')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('employment', '', 'Employment type', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="EmploymentType"')
    ),
    array (
        'css'       => 'col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3',
        'control'   => $app->renderInputSelect('status', '', 'Employee status', 'filter-control onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', 'type="EmployeeStatus"')
    )
);

require($root.'html/template.php');

?>