<?php 

$root           = '../../../';
$submodule_code = 'leaders';
require($root.'config/config.php');

$obj            = new Leader($get->id);
$obj->cadre     = $get->id ? $obj->cadre : $get->leadership_cadre;
$obj->title     = $get->id ? $obj->title : $get->leadership_title;
$person         = $obj->person();

$cadre_category         = $app->getCategoryByCode('LeadershipCadre', $obj->cadre);
$title_category         = $app->getCategoryByCode('LeadershipTitle', $obj->title);
$person_type            = $title_category->f3;
$obj->personnel    = $person_type;
$location          = $title_category->f4;
$obj->location     = $location;

//$hidden_location        = strlen($location) > 3 ? '' : 'd-nones';

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {

    // Render create, read and update modal

    $modal_options  = array(
        'title'     => $title_category->name
    );

    echo $submodule->renderModalFormOpen($modal_options);

    echo $app->renderInputHidden('submodule_code', $submodule_code);
    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderInputSelect('title', $obj->title, '', 'line-control-plaintext grid-control placeholder-underline select-search default-select', '', 'settings_categories', 'code', 'name', "type='LeadershipTitle' AND f2 = '$obj->cadre'");
    echo $app->renderInputSelect('personnel_id', $obj->personnel_id, '', 'line-control grid-control default-select select-search default-select', '', $app->listPeople($person_type), '', '', '', $person_type.' name');
    
    echo '<div class="d-none">';
    echo $app->renderInputSelect('cadre', $obj->cadre, '', 'line-control-plaintext grid-control placeholder-underline select-search default-select ', '', 'settings_categories', 'code', 'name', "type='LeadershipCadre'", 'Leadership cadre');
    
    echo $app->renderInputSelect('location', $obj->location, '', 'line-control grid-control default-select select-search default-select',  '', 'settings_categories', 'code', 'name', "type='LocationType'");
    echo $app->renderInputSelect('personnel', $obj->personnel, '', 'line-control grid-control default-select select-search default-select',  '', 'settings_categories', 'code', 'name', "type='PersonType'");
    
    echo '</div>';
    if($location) {
        echo $app->renderInputSelect('location_id', $obj->location_id, '', 'line-control grid-control default-select select-search default-select', '', $app->listLocations($location), '', '', '', $location.' name');
    } else {
        echo $app->renderInputHidden('location_id', $obj->location_id);
    }
    echo $app->renderInputSelect('type', $obj->type, '', 'line-control grid-control placeholder-underline select-search default-select', '', 'settings_categories', 'code', 'name', "type='LeadershipStatus'", 'Status');
    
    echo $app->renderInputDate('start_date', $obj->start_date, '', 'line-control grid-control placeholder-underline', 'required');
    echo $app->renderInputDate('end_date', $obj->end_date, '', 'line-control grid-control placeholder-underline', 'required');
    echo $app->renderInputTextarea('notes', $obj->notes, '', 'line-control grid-control', 'required', 'Notes');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');
    

    echo $submodule->renderModalFormClose();
}

?>