<?php 

$root               = '../../../../';
$submodule_code     = 'Departments';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-6 col-xl-4 mt-2 mb-3',
        'control'   => $app->renderInputText('keyword', '', 'Search categories', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('directorate', '', 'Choose directorate', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'location_directorates,location_locations,location_locations.id=location_directorates.location_id', 'location_directorates.id', 'location_locations.name')
    ),
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php', 'require'=>'directorate')
        )
    )
);

require($root.'html/template.php');

?>