<?php 

$root           = '../../../';
$submodule_code = 'users';
require($root.'config/config.php');

$obj            = new User($get->id);

echo '<div class="accordion accordion-flush w-100" id="accordion_access_modules">';
$access_modules = $app->query("SELECT id FROM settings_modules WHERE (settings_modules.status = 1 OR  settings_modules.status = 2) ORDER BY settings_modules.priority ");
foreach($access_modules as $access_module_row) {
    $access_module = new Module($access_module_row->id);

    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button main-menu-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_module_'.strtolower($access_module->code).'" >
    <span class="'.$access_module->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_module->name.'
    </button>
    </h2>';

    // Full access

    echo '<div id="access_module_'.strtolower($access_module->code).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_modules" style="text-overflow: ellipsis;">
    <a role="button" class="d-block text-decoration-none py-3 rounded text-truncate" style="font-size:1.2em">
    <span class="fa-regular fa-check-double fa-fw"></span>&nbsp;&nbsp; Full access <span class="far fa-chevron-right float-end mt-1"></span>
    </a>
    <div class="row gx-2">';

    foreach($access_module->fullAccess() as $access) {
        $input_id   = $access_module->code.'_'.$access;
        if(strlen($access)) echo '<div class="col-4 col-lg-4">
        <input name="'.$access.'" class="toggle-child bs-toggle w-100" type="checkbox" id="'.$input_id.'" data-child-class="'.$access_module->code.'-'.$access.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" />
        </div>';
    }
    
    echo '<hr />
    </div></div>';

    $access_submodules = $app->query("SELECT * FROM settings_submodules WHERE settings_submodules.module = '$access_module->code' AND (settings_submodules.status = 1 OR settings_submodules.status = 2) AND parent = '' ORDER BY settings_submodules.priority ");
    foreach($access_submodules as $access_submodule) {
        echo '<div id="access_module_'.strtolower($access_module->code).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_modules" style="text-overflow: ellipsis;">
        <a role="button" class="d-block text-decoration-none py-3 rounded text-truncate">
        <span class="'.$access_submodule->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_submodule->name.' <span class="far fa-chevron-right float-end mt-1"></span>
        </a>
        <div class="row gx-2">';

        $submodules_access  = explode(',', $access_submodule->access);

        foreach($submodules_access as $access) {
            $input_id   = $access_submodule->code.'_'.$access;
            $checked    = $obj->accessSubmodule($access_submodule->code, $access) ? 'checked' : '';
            if(strlen($access)) echo '<div class="col-4 col-lg-4">
            <input name="access_modules['.$access_submodule->module.']['.$access_submodule->code.']['.$access.']" class="'.$access_module->code.'-'.$access.' bs-toggle w-100" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
            </div>';
        }

        // Children access

        $access_submodule_children = $app->query("SELECT * FROM settings_submodules WHERE settings_submodules.module = '$access_module->code' AND settings_submodules.status > 0 AND parent = '$access_submodule->code' ORDER BY settings_submodules.priority ");
        foreach($access_submodule_children as $access_submodule_child) {
            $access         = $access_submodule_child->code;
            $access_name    = $access_submodule_child->name;
            $input_id       = $access_submodule_child->code.'_'.$access;
            $checked        = $obj->accessSubmodule($access_submodule_child->code, $access) ? 'checked' : '';
            if(strlen($access)) echo '<div class="col-4 col-lg-4">
            <input name="access_modules['.$access_submodule_child->module.']['.$access_submodule_child->code.']['.$access.']" class="'.$access_module->code.'-'.$access.' bs-toggle w-100" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access_submodule_child->name).'" data-offlabel="No '.ucfirst($access_submodule_child->name).'" '.$checked.' />
            </div>';
            
        }

        echo '<hr />
        </div>
        
        </div>';
    }
    echo '</div>';
}
echo '</div>';

?>

<script> app.initializeControls(); </script>