<?php 

$root           = '../../../';
$submodule_code = 'users';
require($root.'config/config.php');

$obj            = new User($get->id);

// Full access

echo '<div style="text-overflow: ellipsis;">
<a role="button" class="d-block text-decoration-none py-3 rounded text-truncate" style="font-size:1.2em">
<span class="fa-regular fa-check-double fa-fw"></span>&nbsp;&nbsp; Full access <span class="far fa-chevron-right float-end mt-1"></span>
</a>
<div class="row gx-2">';

$store = new Store(0);

foreach($store->location()->fullAccess("type = 'Store'") as $access) {
    $access = trim($access);
    echo '<div class="col-4 col-lg-4">
    <input class="toggle-child bs-toggle w-100" type="checkbox" data-child-class="access-store-'.$access.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" />
    </div>';
}

echo '<hr />
</div></div>';

echo '<div class="accordion accordion-flush w-100" id="accordion_access_stores">';
$access_stores = $app->query("SELECT location_stores.id, location_locations.name, location_locations.icon, location_locations.access FROM location_stores JOIN location_locations ON location_locations.id = location_stores.location_id WHERE location_stores.status = 1 ORDER BY location_locations.name ");
foreach($access_stores as $access_store) {
    echo '<div class="accordion-item border-0 bg-transparent">
    <h2 class="accordion-header">
    <button class="px-0 accordion-button main-menu-button collapsed rounded" type="button" data-bs-toggle="collapse" data-bs-target="#access_store_'.strtolower($access_store->id).'" >
    <span class="'.$access_store->icon.' fa-fw"></span>&nbsp;&nbsp;&nbsp;'.$access_store->name.'
    </button>
    </h2>';

   echo '<div id="access_store_'.strtolower($access_store->id).'" class="accordion-collapse collapse" data-bs-parent="#accordion_access_stores" style="text-overflow: ellipsis;">
   <div class="row gx-2 py-3">';
   foreach(explode(',', $access_store->access) as $access) {
        $access     = trim($access);
        $input_id   = $access_store->id.'_'.$access;
        $checked    = $obj->accessStore($access_store->id, $access) ? 'checked' : '';
        echo '<div class="col-4 col-lg-4">
        <input name="access_stores['.$access_store->id.']['.$access.']" class="access-store-'.$access.' bs-toggle" type="checkbox" id="'.$input_id.'" data-width="100%" data-size="sm" data-style="toggle-round mb-3" data-onlabel="<span class=\'fa-light fa-check fa-fw\'></span> '.ucfirst($access).'" data-offlabel="No '.ucfirst($access).'" '.$checked.' />
        </div>';
   }
   echo '</div></div></div>';
}

?>

<script> app.initializeControls(); </script>