<?php 

$html .= '<div class="trans-container mb-4" id="supplier_search_container" style="display:none">';
$html .= '<div class="row">';
$html .= '<div class="col-12"> <h5 class="trans-subtitle"> <span class="fa-regular fa-user-vneck fa-fw"></span> Search, register or use a temporary supplier: </h5> </div>';
$html .= '<div class="col-12 col-lg-12 mb-4">
'.$app->renderInputText('supplier_keyword', '', 'Search supplier', 'line-control').'
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Search for existing suppliers" class="supplier-search-btn btn btn-primary w-100 bs-tooltip" data-supplier-type="Search"> <span class="fa-regular fa-magnifying-glass fa-fw"></span> Search </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Register new supplier" class="supplier-search-btn btn btn-outline-primary w-100 bs-tooltip" data-supplier-type="Register"> <span class="fa-regular fa-plus fa-fw"></span> Register </a>
</div>
<div class="col-12 col-lg-4 mb-3">
<a title="Use temporary supplier" class="supplier-search-btn btn btn-outline-primary w-100 bs-tooltip" data-supplier-type="Temporary"> <span class="fa-regular fa-clock fa-fw"></span> Temporary </a>
</div>';

$html .= '</div></div>';

$html .= '<div class="" id="supplier_results"></div>';

?>

<script> 

$('.supplier-search-btn').on('click', function() {
	var supplier_type 	    = ($(this).data('supplier-type'));
	var supplier_keyword 	= $('#supplier_keyword').val();
	searchPeople(supplier_type, supplier_keyword);
});

$('#supplier_keyword').on('keydown', function(e) {
	if (!e) var e = window.event;
	if (e.keyCode == 13) {
		e.preventDefault();
		searchPeople();
	}
});

var options = {
	url: function() {
		supplier_keyword = $('#supplier_keyword').val();
		return encodeURI(root+'pages/procurement/requests/suppliers_search.php?keyword='+supplier_keyword)
	},
	getValue: function(element) {
		return element.code+' - '+element.name;
	},
	list: {
		match: {
			enabled: true
		},
		maxNumberOfElements: 100
	}
};

$('#supplier_keyword').easyAutocomplete(options);

function searchPeople(supplier_type, supplier_keyword) {
	$('#supplier_results').html(loading_bar)
	.load(encodeURI(root+'pages/procurement/requests/suppliers_results.php?id=<?php echo $get->id ?>&supplier_type='+supplier_type+'&supplier_keyword='+supplier_keyword));
}

</script>