<?php 

$root               = '../../../';
$submodule_code     = 'Suppliers';
require($root.'config/config.php');
$obj                = new Supplier();

die('Must be edited');

/*
TRUNCATE `inventory_requisitions`; 
TRUNCATE `inventory_requisition_items`;
*/

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->old_db_database, $client->old_db_username, $client->old_db_password);
$suppliers          = $app->read("SELECT * FROM ppl_suppliers JOIN ppl_people USING(person_id)");
$db                 = $db_o;

foreach($suppliers as $supplier) {
    $person_data                = array (
        'personnel'             => 'Supplier',
        'title'                 => '',
        'name'                  => $supplier->name,
        'sex'                   => $supplier->sex > 1 ? 'Female' : 'Male',
        'birthdate'             => $supplier->dob,
        'country'               => $supplier->country_id,
        'region_id'             => $supplier->region_id,
        'district_id'           => $supplier->district_id,
        'village_id'            => $supplier->ward_id,
        'address'               => $supplier->address,
        'email'                 => $supplier->email,
        'phone'                 => $app->formatPhone($supplier->phone)
    );
    
    $person_id                  = $person->createWithMinimumData($person_data);

    $supplier_data              = array (
        'id'                    => $supplier->supplier_id,
        'person_id'             => $person_id,
        'branch_id'             => 1,
        'personnel'             => 'Supplier',
        'personnel_id'          => 0,
        'code'                  => $obj->nextCode(),
        'type'                  => 'Individual',
        'subtype'               => '',
        'category'              => '',
        'subcategory'           => '',
        'registration_no'       => '',
        'insurance'             => '',
        'insurance_id'          => 0,
        'card_no'               => '',
        'card_expiry'           => 0,
        'membership_no'         => '',
        'authorization_no'      => '',
        'supplementary'         => '',
        'scheme'                => '',
        'scheme_id'             => 0,
        'scheme_code'           => '',
        'product'               => '',
        'product_id'            => 0,
        'product_code'          => '',
        'employer'              => '',
        'employer_id'           => 0,
        'employer_code'         => '',
        'tin'                   => '',
        'vrn'                   => '',
        'f1'                    => '',
        'f2'                    => '',
        'f3'                    => '',
        'f4'                    => '',
        'f5'                    => '',
        'f6'                    => '',
        'f7'                    => '',
        'f8'                    => '',
        'f9'                    => '',
        'created_user_id'       => $supplier->create_staff_id,
        'created_datetime'      => $supplier->create_date,
        'modified_user_id'      => 0,
        'modified_datetime'     => '',
        'status'                => 1
    );
    
    $supplier_id    = $obj->create($supplier_data);

    echo $app->renderAlertSuccess('Supplier imported successfully', $supplier->name);
}

?>