<?php 

$root               = '../../../';
$submodule_code     = 'Suppliers';
require($root.'config/config.php');

$sql                = "SELECT 
procurement_suppliers.id,
procurement_suppliers.code,
personnel_persons.id person_id,
personnel_persons.name,
personnel_persons.sex,
personnel_persons.phone
FROM personnel_persons
JOIN procurement_suppliers ON procurement_suppliers.person_id = personnel_persons.id
WHERE procurement_suppliers.status = $app->active
AND personnel_persons.name LIKE '%$get->keyword%'
ORDER BY personnel_persons.name
";

$data = $app->pagenate($app->read($sql));

echo '<div class="row">';

foreach($data->rows as $row) {
    $obj = new Supplier($row->id);
    echo '<div class="col-lg-6 col-xl-4 col-xxl-3 mt-2 mb-3">';
    echo $obj->renderProfileCard();
    echo '</div>';
}

echo '</div>';

echo $data->pagination;

?>
