<?php 

$root           = '../../../';
$submodule_code = 'Members';
require($root.'config/config.php');

$contributions_types = explode(',',$get->contributions_types);

$contributions  = $app->getCategories('SaccosTransaction', 'code', 'name', "tags LIKE '%contribution%'");
$sql            = "SELECT id FROM saccos_members";
$data           = array();

foreach($app->read($sql) as $row) {
    $member     = new Member($row->id);
    $person     = $member->person();
    $mem_data   = array (
        'NAMBA' => $member->code,
        'JINA'  => $person->name,
    );

    foreach($contributions_types as $contribution) {
        $mem_data[strtoupper($contribution)] = 0;
    }
    $data[]     = $mem_data;
}

$csv->output($data, 'members_contributions.csv');

?>