<?php 

$root           = '../../../';
$submodule_code = 'Members';
require($root.'config/config.php');

$incomes        = $app->getCategories('SaccosTransaction', 'code', 'name', "tags LIKE '%income%'");
$sql            = "SELECT id FROM saccos_members LIMIT 10";
$data           = array();

foreach($app->read($sql) as $row) {
    $member     = new Member($row->id);
    $person     = $member->person();
    $mem_data   = array (
        'Namba' => $member->code,
        'Jina'  => $person->name,
    );

    foreach($incomes as $income) {
        $mem_data[$income->value] = 0;
    }
    $data[]     = $mem_data;
}

$csv->output($data, 'members_income.csv');

?>