<?php

echo $app->renderFormOpen (
    array (
        'form_id'       => 'loans_form',
        'form_action'   => 'loans_process.php'
    )
);

echo '<h2 class="fw-light my-4"> <small><span class="fa-light fa-coins fa-fw"></span></small> Import loans </h2>';

echo '<div class="row">';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-sack-dollar"></span> </h3>
<h4 class="fw-semibold">Choose loan type</h4>
<div class="mb-4" style="height:50px">
Choose loan type for loan upload.
</div>
'.$app->renderInputSelect('loan_type', '', '', 'select-search', 'data-style="btn-primary"', 'settings_categories', 'code', 'name', "type='LoanType'").'   
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-download"></span> </h3>
<h4 class="fw-semibold">Download template</h4>
<div class="mb-4" style="height:50px">Download CSV template for importing loans loans.</div>
<a id="loans_link" class="btn btn-primary" href="loans_template.php"> <span class="fa-regular fa-download fa-fw"></span>  Download template </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-upload"></span> </h3>
<h4 class="fw-semibold">Upload loans</h4>
<div class="mb-4" style="height:50px">Import new loans in the system from a CSV file.</div>
<label class="w-100" for="loans_file">
<a class="btn btn-primary"> <span class="fa-regular fa-upload fa-fw"></span> Upload loans </span> </a>
<input type="file" name="loans_file" id="loans_file" style="display:none" />
</label>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-rotate"></span> </h3>
<h4 class="fw-semibold">Proccess loans</h4>
<div class="mb-4" style="height:50px">Click to process the CSV file you have just uploaded.</div>
<a class="btn btn-primary" role="button" onclick="$(\'#loans_form\').submit()"> <span class="fa-regular fa-rotate fa-fw"></span>  Process loans </span></a>
</div>
</div>
</div>';

echo '</div>';

echo $app->renderFormClose( array('form_id'=>'loans_form') );

?>

<script>
function setLoanType() {
    var loan_type   = $('#loan_type').val();
    $('#loans_link').attr('href', 'loans_template.php?loan_type='+loan_type);
}

setLoanType();

$('#loan_type').on('change', function() {
    var loan_type   = $('#loan_type').val();
    $('#loans_link').attr('href', 'loans_template.php?loan_type='+loan_type);
});

</script>