<?php

echo $app->renderFormOpen (
    array (
        'form_id'       => 'members_form',
        'form_action'   => 'members_process.php'
    )
);

echo '<h2 class="fw-light my-4"> <small><span class="fa-light fa-user-group fa-fw"></span></small> Import members </h2>';

echo '<div class="row">';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-arrow-up-from-bracket"></span> </h3>
<h4 class="fw-semibold">Export members</h4>
<div class="mb-4" style="height:50px">Export all saccos members in CSV format.</div>
<a class="btn btn-primary" href="members_export.php"> <span class="fa-regular fa-arrow-up-from-bracket fa-fw"></span>  Export members </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-download"></span> </h3>
<h4 class="fw-semibold">Download template</h4>
<div class="mb-4" style="height:50px">Download CSV template for importing members.</div>
<a class="btn btn-primary" href="members_template.php"> <span class="fa-regular fa-download fa-fw"></span>  Download template </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-upload"></span> </h3>
<h4 class="fw-semibold">Upload members</h4>
<div class="mb-4" style="height:50px">Import new members in the system from a CSV file.</div>
<label class="w-100" for="members_file">
<a class="btn btn-primary"> <span class="fa-regular fa-upload fa-fw"></span> Upload members </span> </a>
<input type="file" name="members_file" id="members_file" style="display:none" />
</label>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-rotate"></span> </h3>
<h4 class="fw-semibold">Proccess members</h4>
<div class="mb-4" style="height:50px">Click to process the CSV file you have just uploaded.</div>
<a class="btn btn-primary" href="#" onclick="$(\'#members_form\').submit()"> <span class="fa-regular fa-rotate fa-fw"></span>  Process members </span></a>
</div>
</div>
</div>';

echo '</div>';

echo $app->renderFormClose( array('form_id'=>'members_form') );

?>