<?php

echo $app->renderFormOpen (
    array (
        'form_id'       => 'repayments_form',
        'form_action'   => 'repayments_process.php'
    )
);

echo '<h2 class="fw-light my-4"> <small><span class="fa-light fa-coins fa-fw"></span></small> Import repayments </h2>';

echo '<div class="row">';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-sack-dollar"></span> </h3>
<h4 class="fw-semibold">Choose loan type</h4>
<div class="mb-4" style="height:50px">
Choose loan type for repayment upload.
</div>
'.$app->renderInputSelect('repayment_loan_type', '', '', 'select-search', 'data-style="btn-primary"', 'settings_categories', 'code', 'name', "type='LoanType'").'   
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-download"></span> </h3>
<h4 class="fw-semibold">Download template</h4>
<div class="mb-4" style="height:50px">Download CSV template for importing loans repayments.</div>
<a id="repayments_link" class="btn btn-primary" href="repayments_template.php"> <span class="fa-regular fa-download fa-fw"></span>  Download template </span></a>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-upload"></span> </h3>
<h4 class="fw-semibold">Upload repayments</h4>
<div class="mb-4" style="height:50px">Import new repayments in the system from a CSV file.</div>
<label class="w-100" for="repayments_file">
<a class="btn btn-primary"> <span class="fa-regular fa-upload fa-fw"></span> Upload repayments </span> </a>
<input type="file" name="repayments_file" id="repayments_file" style="display:none" />
</label>
</div>
</div>
</div>';

echo '<div class="col-md-12 col-lg-6 col-xl-4 col-xxl-3">
<div class="card mb-4 bg-primary border-0" style="--bs-bg-opacity: .1;">
<div class="card-body p-4">
<h3> <span class="fa-solid fa-rotate"></span> </h3>
<h4 class="fw-semibold">Proccess repayments</h4>
<div class="mb-4" style="height:50px">Click to process the CSV file you have just uploaded.</div>
<a class="btn btn-primary" href="#" onclick="$(\'#repayments_form\').submit()"> <span class="fa-regular fa-rotate fa-fw"></span>  Process repayments </span></a>
</div>
</div>
</div>';

echo '</div>';

echo $app->renderFormClose( array('form_id'=>'repayments_form') );

?>

<script>
function setLoanType() {
    var loan_type   = $('#repayment_loan_type').val();
    $('#repayments_link').attr('href', 'repayments_template.php?loan_type='+loan_type);
}
setLoanType();
$('#repayment_loan_type').on('change', function() {setLoanType()});

</script>