<?php 

$root           = '../../../';
$submodule_code = 'ledgers';
require($root.'config/config.php');
require($root.'transactions/ledgers/Ledger.php');

$obj            = new Ledger($get->id);

if(isset($app->member_id)) $obj->member_id = $app->member_id;

if($get->action == 'delete') {
    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Mwanachama', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Michango', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Mikopo', 'icon'=>'fa-solid fa-circle-3')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);
    
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderInputSelect('member_id', $obj->member_id, 'Chagua mwanachama', 'line-control grid-control select-search', '', 'personnel_persons', 'id', 'name', '', 'Mwanachama');

    echo $app->renderInputText('salaries_received', $obj->salaries_received, '', 'line-control grid-control money', 'required', 'Mshahara');
    echo $app->renderInputText('contributions_paid', $obj->salaries_received, '', 'line-control grid-control money', 'required', 'Majanga');

    echo $app->renderTabsNext('tab2');

    echo $app->renderInputText('shares_paid', $obj->shares_paid, '', 'line-control grid-control money', 'required', 'Weka hisa');
    echo $app->renderInputText('shares_withdrawn', $obj->shares_withdrawn, '', 'line-control grid-control money', 'required', 'Toa hisa');
    echo $app->renderInputText('savings_paid', $obj->savings_paid, '', 'line-control grid-control money', 'required', 'Weka akiba');
    echo $app->renderInputText('savings_withdrawn', $obj->savings_withdrawn, '', 'line-control grid-control money', 'required', 'Toa akiba');
    echo $app->renderInputText('deposits_paid', $obj->deposits_paid, '', 'line-control grid-control money', 'required', 'Weka amana');
    echo $app->renderInputText('deposits_withdrawn', $obj->deposits_withdrawn, '', 'line-control grid-control money', 'required', 'Toa amana');

    echo $app->renderTabsNext('tab3');
    echo $app->renderInputText('loans_received', $obj->loans_paid, '', 'line-control grid-control money', 'required', 'Pokea mkopo');
    echo $app->renderInputText('loans_paid', $obj->loans_paid, '', 'line-control grid-control money', 'required', 'Lipa mkopo');
    echo $app->renderInputText('interests_paid', $obj->interests_paid, '', 'line-control grid-control money', 'required', 'Lipa riba');
    echo $app->renderInputText('penalties_paid', $obj->penalties_paid, '', 'line-control grid-control money', 'required', 'Lipa adhabu');

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>