<?php 

$root               = '../../../';
$submodule_code     = 'ledgers';
require($root.'config/config.php');

$obj                = new Category(0);
$condition          = strlen($app->member_id) ? "AND member_id = '$app->member_id' " : " ";
$sql                = "SELECT *
FROM saccos_ledgers
JOIN personnel_persons ON personnel_persons.id = saccos_ledgers.member_id
WHERE saccos_ledgers.status = 1
AND personnel_persons.name LIKE '%$get->keyword%' 
$condition
ORDER BY saccos_ledgers.created_datetime DESC
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

echo '<div class="table-responsive bg-white border rounded p-3 my-2">
<table class="table table-bordered table-hover align-middle">
<thead>
<tr>
<th class="" rowspan="2">TAREHE</th>
<th class="" rowspan="2">MWANACHAMA</th>
<th class="" rowspan="2">STAKABADHI</th>
<th class="" rowspan="2">MSHAHARA</th>
<th class="" rowspan="2">MAJANGA</th>
<th colspan="3" class="text-center">HISA</th>
<th colspan="3" class="text-center">AKIBA</th>
<th colspan="3" class="text-center">AMANA</th>
<th colspan="3" class="text-center">MIKOPO</th>
<th colspan="2" class="text-center">RIBA</th>
<th colspan="2" class="text-center">ADHABU</th>
</tr><tr>
<th class="">IMELIPWA</th>
<th class="">IMETOLEWA</th>
<th class="">SALIO</th>
<th class="">IMELIPWA</th>
<th class="">IMETOLEWA</th>
<th class="">SALIO</th>
<th class="">IMELIPWA</th>
<th class="">IMETOLEWA</th>
<th class="">SALIO</th>
<th class="">IMELIPWA</th>
<th class="">IMETOLEWA</th>
<th class="">SALIO</th>
<th class="">IMELIPWA</th>
<th class="">SALIO</th>
<th class="">IMELIPWA</th>
<th class="">SALIO</th>
</tr>';

foreach($data->rows as $row) {
    echo '<tr>
    <td class="">'.substr($row->created_datetime, 0, 10).'</td>
    <td class="">'.$row->name.'</td>
    <td class="">000</td>
    <td class="text-end">'.number_format($row->salaries_received).'</td>
    <td class="text-end">'.number_format($row->contributions_paid).'</td>

    <td class="text-end">'.number_format($row->shares_paid).'</td>
    <td class="text-end">'.number_format($row->shares_withdrawn).'</td>
    <td class="text-end">'.number_format($row->shares_balance).'</td>

    <td class="text-end">'.number_format($row->savings_paid).'</td>
    <td class="text-end">'.number_format($row->savings_withdrawn).'</td>
    <td class="text-end">'.number_format($row->savings_balance).'</td>

    <td class="text-end">'.number_format($row->deposits_paid).'</td>
    <td class="text-end">'.number_format($row->deposits_withdrawn).'</td>
    <td class="text-end">'.number_format($row->deposits_balance).'</td>
    
    <td class="text-end">'.number_format($row->loans_received).'</td>
    <td class="text-end">'.number_format($row->loans_paid).'</td>
    <td class="text-end">'.number_format($row->loans_balance).'</td>

    <td class="text-end">'.number_format($row->interests_paid).'</td>
    <td class="text-end">'.number_format($row->interests_balance).'</td>
    
    <td class="text-end">'.number_format($row->penalties_paid).'</td>
    <td class="text-end">'.number_format($row->penalties_balance).'</td>
    
    </tr>';
}


?>