<?php 

$root           = '../../../';
$submodule_code = 'categories';
require($root.'config/config.php');
require($root.'transactions/ledgers/Ledger.php');

die('End');

$obj            = new Ledger($get->id);

if($get->action == 'create' || $get->action == 'copy') {

    $shares_balance     = $app->shares_paid;
    $savings_balance    = $app->savings_paid;
    $deposits_balance   = $app->deposits_paid;
    $loans_balance      = $app->loans_paid;
    $interests_balance  = $app->interests_paid;
    $penalties_balance  = $app->penalties_paid;
    
    $data                       = array (
        'id'                    => 0,
        'member_id'             => $app->member_id,
        'salaries_received'     => $app->salaries_received,
        'contributions_paid'    => $app->contributions_paid,
        'shares_paid'           => $app->shares_paid,
        'shares_withdrawn'      => $app->shares_withdrawn,
        'shares_balance'        => $shares_balance,
        'savings_paid'          => $app->savings_paid,
        'savings_withdrawn'     => $app->savings_withdrawn,
        'savings_balance'       => $savings_balance,
        'deposits_paid'         => $app->deposits_paid,
        'deposits_withdrawn'    => $app->deposits_withdrawn,
        'deposits_balance'      => $deposits_balance,
        'loans_received'        => $app->loans_received,
        'loans_paid'            => $app->loans_paid,
        'loans_balance'         => $loans_balance,
        'interests_paid'        => $app->interests_paid,
        'interests_balance'     => $interests_balance,
        'penalties_paid'        => $app->penalties_paid,
        'penalties_balance'     => $penalties_balance,
        'notes'                 => '',
        'f1'                    => 0,
        'f2'                    => '',
        'f3'                    => '',
        'f4'                    => 0,
        'f5'                    => '',
        'created_user_id'       => 0,
        'created_datetime'      => $app->now,
        'modified_user_id'      => 0,
        'modified_datetime'     => 0,
        'status'                => 1
    );
    
    echo $obj->created($data);








     

    // Send SMS

    $mshahara   = number_format($app->salaries_received);
    $mikopo     = number_format($app->loans_paid).' / '.number_format($loans_balance);
    $riba       = number_format($app->interests_paid).' / '.number_format($interests_balance);
    $akiba      = number_format($app->savings_paid).' / '.number_format($savings_balance);
    $hisa       = number_format($app->shares_paid).' / '.number_format($shares_balance);
    $majanga    = number_format($app->contributions_paid);
    $salio      = number_format($app->salaries_received - $app->loans_paid - $app->savings_paid - $app->shares_paid - $app->contributions_paid);

    $message    = "August 2022\n";
    $message    .= "Mshahara: $mshahara\n";
    $message    .= "Mikopo: $mikopo\n";
    $message    .= "Riba: $riba\n";
    $message    .= "Akiba: $akiba\n";
    $message    .= "Hisa: $hisa\n";
    $message    .= "Majanga: $majanga\n";
    $message    .= "Salio: $salio";
    
    $phone = '';
    $phone_str = "SELECT phone FROM personnel_persons WHERE id = $app->member_id ";
    foreach($app->read($phone_str) as $row) $phone = $row->phone;

    $sms                    = array (
        'username'          => 'jovast',
        'to'                => $phone,
        'message'           => $message,
        'from'              => 'PLATINUM'
    );

    die(var_dump($sms));

    $fields                 = http_build_query($sms);

    $request               	= 'https://api.africastalking.com/version1/messaging';
    $ch 					= curl_init($request);

    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "POST");
	curl_setopt($ch, CURLOPT_POSTFIELDS,  $fields);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 30); 
    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
    
    curl_setopt($ch, CURLOPT_HTTPHEADER, array (
            'Content-Type: application/x-www-form-urlencoded',
            'Accept: application/json',
            'apiKey: 4d945a2cb7bf645e36313b59a7f002e8973a4501895efefabb6870c2f5c9e5ee'
        )
    );

    $result 	= curl_exec($ch);

    if($response = json_decode($result)) {
        if(isset($response->SMSMessageData)) {
            echo $app->renderAlertSuccess('SMS sent to '.$phone);
        } else {
            echo $app->renderAlertWarning('Could not send SMS to '.$phone);
        }
    }













} elseif($get->action == 'edit') {
   
    echo $obj->updated($data);

} elseif($get->action == 'delete') {
    echo $obj->deleted();
}

?>