<?php 

$root                   = '../../../';
$submodule_code         = 'loans';
require($root.'config/config.php');

$obj                    = new Loan(0);
$member                 = new Member(0);

echo '<div class="row">';
echo '<div class="col-lg-4 mt-4">';

echo $app->renderInputMoney('shares', '', 'TZS 0', 'grid-control form-control-lg money onchange-calculate-loan', 'required', 'Hisa ulizonazo');
echo $app->renderInputMoney('savings', '', 'TZS 0', 'grid-control form-control-lg money onchange-calculate-loan', 'required', 'Akiba uliyonayo');
echo $app->renderInputSelect('category', '', '', 'grid-control default-select form-control-lg select-search onchange-calculate-loan', 'data-style="btn-outline-secondary"', 'settings_categories', 'code', 'name', "type='LoanType'", 'Aina ya mkopo');
echo $app->renderInputMoney('amount', '', 'TZS 0', 'grid-control form-control-lg money onchange-calculate-loan', 'required', 'Kiasi cha mkopo');
echo $app->renderInputSelect('duration', '', '', 'grid-control form-control-lg default-select select-search onchange-calculate-loan', 'data-style="btn-outline-secondary"', 'settings_categories', 'f1', 'name', "type='LoanDuration'", 'Muda unaokopa');

echo '</div><div class="col-lg-8 mt-4">';

echo '<div class="row">';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"> <span class="fa-light fa-sack-dollar fa-fw"></span> Kiwango cha Juu</div>
<h3 class="mt-3" id="amount_limit"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-clock fa-fw"></span> Muda wa Juu</div>
<h3 class="mt-3" id="duration_limit"> Miezi 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-percent fa-fw"></span> Asilimia za Riba</div>
<h3 class="mt-3" id="interest_percent"> Asilimia 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"> <span class="fa-light fa-coins fa-fw"></span> Ada ya Maombi</div>
<h3 class="mt-3" id="application_fee"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Bima ya Mkopo</div>
<h3 class="mt-3" id="insurance_fee"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Jumla ya Gharama</div>
<h3 class="mt-3" id="expenses_fee"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"> <span class="fa-light fa-coins fa-fw"></span> Riba kwa Mwezi</div>
<h3 class="mt-3" id="interest_monthly"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Jumla ya Riba Zote</div>
<h3 class="mt-3" id="interest_amount"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Rejesho kwa Mwezi</div>
<h3 class="mt-3" id="repayment_monthly"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-6 col-xxl-4">
<div class="panel text-white bg-primary rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Rejesho + Riba kwa Mwezi</div>
<h3 class="mt-3" id="repayment_interest_monthly"> TZS 0 </h3>
</div>
</div>
</div>';

echo '<div class="col-sm-12 col-xxl-8">
<div class="panel text-white bg-success rounded">
<div class="panel-body p-3 mb-4">
<div class="fw-light"><span class="fa-light fa-coins fa-fw"></span> Jumla ya Marejesho + Riba Zote</div>
<h3 class="mt-3" id="repayment_interest_amount"> TZS 0 </h3>
</div>
</div>
</div>';

echo '</div>';

$options  = array (
    'columns'   => array (
        array('name'=>'MWEZI', 'value'=>'code', 'css'=>'w-10 text-center'),
        array('name'=>'REJESHO', 'value'=>'name', 'css'=>'w-12 text-end'),
        array('name'=>'SALIO RIBA', 'value'=>'name', 'css'=>'w-12 text-end'),
        array('name'=>'SALIO MKOPO', 'value'=>'name', 'css'=>'w-12 text-end'),
        array('name'=>'RIBA+MKOPO', 'value'=>'name', 'css'=>'w-20 text-end')
    ),
    'css'       => 'table-striped bs-table',
    'id'        => 'repayment_table'
);

echo '<h2 class="fw-light mt-3 mb-4" style="text-align:justify">
Ratiba kamili ya marejesho ya mkopo
</h2>';

echo $app->renderTableOpen($options);

echo $app->renderTableClose();

echo '</div></div><br /><br />';
    
?>

<script>

var loan_types          = <?php echo $app->array2Json($app->getCategories('LoanType',''), 'code'); ?>;
var interest_types      = <?php echo $app->array2Json($app->getCategories('InterestType',''), 'code'); ?>;
var interest_durations  = <?php echo $app->array2Json($app->getCategories('LoanDuration',''), 'code'); ?>;
var repayment_sources   = <?php echo $app->array2Json($app->getCategories('RepaymentSource',''), 'code'); ?>;

</script>

<script src="pages/saccos/loans/loan_calculator.js?v=1"></script>