calculateLoan = function() {
    var type                    = $('#category').val();
    var duration                = app.unformatMoney($('#duration').val());
    var amount                  = app.unformatMoney($('#amount').val());
    var member_shares           = app.unformatMoney($('#shares').val());
    var member_savings          = app.unformatMoney($('#savings').val());

    if(type && duration && amount) {
        var loan_type           = loan_types[type];
        var interest_percent    = loan_type.f2;
        var interest_code       = loan_type.f6;
        var interest_type       = interest_types[interest_code];
        var interest_formula    = interest_type.f1.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var interest_amount     = eval(interest_formula);
        var interest_monthly    = interest_amount / duration;
        var repayment_monthly   = amount / duration;

        var application_formula = loan_type.f1.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var application_fee     = eval(application_formula);

        var insurance_formula   = loan_type.f7.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('RATE', interest_percent).replace('TIME', duration);
        var insurance_fee       = eval(insurance_formula);

        var amount_limit        = eval(loan_type.f4.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('PRINCIPAL', amount).replace('PRINCIPAL', amount).replace('=', '').replace('AKIBA', member_savings).replace('SHARES', member_shares));
        $('#duration_limit').selectpicker('val', loan_type.f3);
        $('#amount_limit').val(app.formatMoney(amount_limit));
        $('#application_fee').val(app.formatMoney(application_fee));
        $('#insurance_fee').val(app.formatMoney(insurance_fee));
        $('#expenses_fee').val(app.formatMoney(insurance_fee + application_fee));
        
        if(amount > amount_limit) {
            alert('Kiwango cha juu unachoweza kukopa ni TZS '+app.formatMoney(amount_limit));
            $('#amount').val(app.formatMoney(amount_limit));
            amount  = amount_limit;
        }

        if(duration > loan_type.f3) {
            alert('Kiwango cha juu cha marejesho ni miezi '+loan_type.f3);
            $('#duration').selectpicker('val', loan_type.f3);
            duration = loan_type.f3;
        }

        $('#interest_percent').html('Asilimia '+interest_percent);
        $('#duration_limit').html('Miezi '+loan_type.f3);
        $('#amount_limit').html('TZS '+app.formatMoney(amount_limit));
        $('#application_fee').html('TZS '+app.formatMoney(application_fee));
        $('#insurance_fee').html('TZS '+app.formatMoney(insurance_fee));
        $('#expenses_fee').html('TZS '+app.formatMoney(insurance_fee + application_fee));

        $('#interest_monthly').html('TZS '+app.formatMoney(interest_monthly));
        $('#interest_amount').html('TZS '+app.formatMoney(interest_amount));
        $('#repayment_monthly').html('TZS '+app.formatMoney(repayment_monthly));
        $('#repayment_interest_monthly').html('TZS '+app.formatMoney(repayment_monthly + interest_monthly));
        $('#repayment_interest_amount').html('TZS '+app.formatMoney(amount + interest_amount));

        var repayments_html     = '';
        var repayment           = repayment_monthly + interest_monthly;
        var interest_balance    = interest_amount;
        var loan_balance        = amount;
        var total_balance       = interest_balance + loan_balance;

        for(var month = 1; month <= duration; month++) {

            interest_balance    -= interest_monthly;
            loan_balance        -= repayment_monthly;
            total_balance       = interest_balance + loan_balance;

            repayments_html     +='<tr>'+
            '<td class="text-center">'+month+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(repayment))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(interest_balance))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(loan_balance))+'</td>'+
            '<td class="text-end">'+app.formatMoney(Math.abs(total_balance))+'</td>'+
            '</tr>';
        }
        $('#repayment_table').html(repayments_html);

    } else {
        if(type) {
            var loan_type           = loan_types[type];
            var amount_limit        = eval(loan_type.f4.replace('=', '').replace('&amp;gt;', '>').replace('&amp;lt;', '<').replace('AKIBA', member_savings).replace('SHARES', member_shares));
            var interest_percent    = loan_type.f2;

            if(amount > amount_limit) {
                alert('Kiwango cha juu unachoweza kukopa ni TZS '+app.formatMoney(amount_limit));
                $('#amount').val(app.formatMoney(amount_limit));
            }
    
            if(duration > loan_type.f3) {
                alert('Kiwango cha juu cha marejesho ni miezi '+loan_type.f3);
                $('#duration_limit').selectpicker('val', loan_type.f3);
            }

            $('#interest_percent').html('Asilimia '+interest_percent);
            $('#duration_limit').html('Miezi '+loan_type.f3);
            $('#amount_limit').html('TZS '+app.formatMoney(amount_limit));
            $('#application_fee').html('TZS '+app.formatMoney(application_fee));
            $('#insurance_fee').html('TZS '+app.formatMoney(insurance_fee));
            $('#expenses_fee').html('TZS '+app.formatMoney(insurance_fee + application_fee));
        }
    }
}

$('.onchange-calculate-loan').change(function() {
    calculateLoan();
});

calculateLoan();

app.initializeControls();
