<?php 

$root               = '../../../';
$submodule_code     = 'repayments';
require($root.'config/config.php');
$member             = new Member(0);

$filters            = array (
    array (
        'type'      => 'search',
        'css'       => 'col-xl-8 col-lg-6 pt-2 pb-3',
        'control'   => $app->renderInputText('keyword', '', '', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'advanced'),
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'../../saccos/transactions/form.php?submodule_code='.$submodule_code, 'require'=>'saccos_member')
        )
    ), 
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('transaction_type', 'Repayment', 'Chagua aina ya muamala', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg"', 'settings_categories', 'code', 'name', "type='SaccosTransaction'")
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('saccos_member', '', 'Chagua mwananchama', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', $member->list())
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('loan_name', '', 'Chagua mkopo', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="saccos_member" data-source="pages/saccos/repayments/loans_select.php"', array())
    )
);

require($root.'html/template.php');

?>