<?php 

$root           = '../../../';
$submodule_code = 'Categories';
require($root.'config/config.php');

$obj            = new Category($get->id);
$obj->type      = strlen($get->type) ? $get->type : $obj->type;

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {
    
    // Render create, read and update modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-light fa-file-circle-info', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Extra fields', 'icon'=>'fa-light fa-file-circle-plus'),
        array ('id'=>'tab3', 'name'=>'Audit log', 'icon'=>'fa-light fa-file-circle-question')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);

    // 
    echo $app->renderTabsOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderInputSelect('type', $obj->type, '', 'line-control grid-control select-search default-none', '', 'settings_category_types', 'code', 'name', '', 'Type');

    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control', 'required');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control', 'required');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');
    echo $app->renderInputCounter('priority', $obj->priority, 100, '', 'line-control grid-control select-search', '', 'Priority');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab2');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $obj->renderAuditFields();

    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>