<?php 

$root               = '../../../';
$submodule_code     = 'types';
require($root.'config/config.php');

$obj                = new CategoryType(0);
$sql                = "SELECT 
settings_category_types.id,
settings_category_types.name,
settings_category_types.code,
(SELECT COUNT(id) FROM settings_categories WHERE type = settings_category_types.code) AS items,
settings_category_types.icon,
settings_category_types.color
FROM settings_category_types
WHERE settings_category_types.status = 1
AND settings_category_types.name LIKE '%$get->keyword%' 
ORDER BY settings_category_types.code, settings_category_types.name
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'       => array (
        array('name'=>'Code', 'value'=>'code', 'css'=>'w-20'),
        array('name'=>'Name', 'value'=>'name', 'css'=>''),
        array('name'=>'Items', 'value'=>'items', 'css'=>'w-20 text-center'),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>