<?php 

$root           = '../../../';
$submodule_code = 'CategoryTypes';
require($root.'config/config.php');

$obj            = new CategoryType($get->id);

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} else {

     // Validate...
    $name       = $app->validate(array('name'=>'name', 'value'=>$post->name, 'min'=>1));
    $code       = $app->validate(array('name'=>'name', 'value'=>$post->code, 'min'=>1));

    if($post->action == 'create' || $post->action == 'copy') {

        // Create...
        $user->checkSubmoduleAccess($submodule, 'create');

        $data   = array (
            'id'                => 0,
            'code'              => $code,
            'name'              => $name,
            'details'           => $post->details,
            'icon'              => $post->icon,
            'color'             => $post->color,
            'tags'              => $post->tags,
            'f1'                => $post->f1,
            'f2'                => $post->f2,
            'f3'                => $post->f3,
            'f4'                => $post->f4,
            'f5'                => $post->f5,
            'f6'                => $post->f6,
            'f7'                => $post->f7,
            'f8'                => $post->f8,
            'f9'                => $post->f9,
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        echo $obj->created($data);
    } elseif($post->action == 'edit') {   

        // Edit...
        $user->checkSubmoduleAccess($submodule, 'edit');    
        $data    = array (
            'code'              => $code,
            'name'              => $name,
            'details'           => $post->details,
            'icon'              => $post->icon,
            'color'             => $post->color,
            'tags'              => $post->tags,
            'f1'                => $post->f1,
            'f2'                => $post->f2,
            'f3'                => $post->f3,
            'f4'                => $post->f4,
            'f5'                => $post->f5,
            'f6'                => $post->f6,
            'f7'                => $post->f7,
            'f8'                => $post->f8,
            'f9'                => $post->f9,
            'modified_user_id'  => $user_id,
            'modified_datetime' => $now
        );
        echo $obj->updated($data);
    }
}

?>