<?php 

$root               = '../../../';
$submodule_code     = 'districts';
require($root.'config/config.php');

$obj                = new District(0);
$condition          = strlen($get->region) ? "AND location_districts.region_id = '$get->region' " : " ";

$sql                = "SELECT 
location_districts.id,
location_regions.name region,
location_districts.name
FROM location_districts
JOIN location_regions ON location_regions.id = location_districts.region_id
WHERE location_districts.status = $app->active
AND location_districts.name LIKE '%$get->keyword%' 
$condition
ORDER BY location_districts.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'REGION', 'value'=>'region', 'css'=>'w-20'),
        array('name'=>'DISTRICT', 'value'=>'name', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>