<?php 

$root               = '../../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');
$obj                = new Import(); 

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->emedical3_database, DB_USERNAME, DB_PASSWORD);
$max_id             = $app->getMaxColumnValue('inv_adjustments', 'adjustment_id');
$records            = $app->read("SELECT inv_adjustments.adjustment_id id FROM inv_adjustments WHERE adjustment_id > $max_id ORDER BY adjustment_id ");
$db                 = $db_o;
$count              = count($records);
$chunk_size         = $obj->calculateChunkSize($count);
$chunk_count        = ceil($count / $chunk_size);
$start_id           = $count ? $records[0]->id : 0;
$end_id             = $count ? $records[$count - 1]->id : 0;

if(!$count) die($app->renderAlertError('There is no records'));

echo $app->renderInputText('read_records', $count, '', 'line-control grid-control', '', 'Records');
echo $app->renderInputText('chunk_size', $chunk_size, '', 'line-control grid-control');
echo $app->renderInputHidden('chunk_count', $chunk_count, '', 'line-control grid-control', '', 'Chunks count');
echo $app->renderInputText('start_id', $start_id, '', 'line-control grid-control', '', 'Start record id');
echo $app->renderInputText('current_id', $obj->current_id, '', 'line-control grid-control', '', 'Current record id');
echo $app->renderInputText('end_id', $end_id, '', 'line-control grid-control', '', 'Ending record id');

?>