<?php 

$root               = '../../../../';
$submodule_code     = 'Imports';
require($root.'config/config.php');

$start_id           = $get->start_id;
$end_id             = $get->end_id;
$current_id         = $get->current_id;
$chunk_size         = $get->chunk_size;
$truncate           = $get->truncate;

$import             = new Import($get->id);
$employee           = new Employee();
$customer           = new Customer();
$person             = new Person();

$db_o               = $db;
$db                 = new Database(DB_DRIVER, DB_SERVER, $client->emedical3_database, DB_USERNAME, DB_PASSWORD);
$str                = "SELECT staff_id, mct_no FROM ppl_staff JOIN ppl_people USING(person_id) WHERE staff_id > 1 AND staff_id > $current_id LIMIT $chunk_size ";
$records            = $app->read($str);
$db                 = $db_o;

$write_records      = $import->write_records;

if(count($records)) {
    foreach($records as $record) {

        $employee       = new Employee($record->staff_id);
        $person_id      = $employee->person_id;
        $identity_table = new Table('personnel_person_identities');
		$sql 			= "DELETE FROM personnel_person_identities WHERE person_id = $person_id ";
		$db->update($sql);

        $identity_data           = array (
            'id'                => 0,
            'person_id'         => $person_id,
            'type'              => 'MCT',
            'subtype'      		=> '',
            'name'              => '',
            'code'      		=> '',
            'provider'       	=> '',
            'number'         	=> $record->mct_no,
            'expiry'         	=> '',
            'notes'             => '',
            'tags'              => '',
            'f1'                => '',
            'f2'                => '',
            'f3'                => '',
            'f4'                => '',
            'f5'                => '',
            'f6'                => '',
            'f7'                => '',
            'f8'                => '',
            'f9'                => '',
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        $identity_id = $identity_table->create($identity_data);

        if($identity_id) {
            $write_records++;
            $current_id             = $record->staff_id;
            $import->update (
                array (
                    'write_records' => $write_records,
                    'current_id'    => $record->staff_id,
                    'progress'      => round((($write_records / $import->read_records) * 100),1)
                )
            );
        }
    }

    $import->read();

    // If records still exists, call next loop
    echo $import->checkNextRecords($get, $current_id, $end_id);

} else {
    echo $import->renderEmptyRecords();
}

?>