<?php 

$root               = '../../../';
$submodule_code     = 'modules';
require($root.'config/config.php');

$obj                = new Module(0);
$sql                = "SELECT 
settings_modules.id,
settings_modules.name,
settings_modules.icon,
settings_modules.color
FROM settings_modules
WHERE 1
AND settings_modules.name LIKE '%$get->keyword%' 
ORDER BY settings_modules.code, settings_modules.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'NAME', 'value'=>'name', 'css'=>''),
        array('name'=>'ICON/COLOR', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>