<?php 

$root               = '../../../';
$submodule_code     = 'regions';
require($root.'config/config.php');

$obj                = new Region(0);
$condition          = strlen($get->country) ? "AND location_regions.country = '$get->country' " : " ";
$condition          = strlen($get->zone) ? $condition." AND location_regions.code = '$get->zone' " : $condition;

$sql                = "SELECT 
location_regions.id,
location_countries.name country,
location_zones.name `zone`,
location_regions.name
FROM location_regions
JOIN location_countries ON location_countries.code = location_regions.country
JOIN location_zones ON location_zones.code = location_regions.code
WHERE location_regions.status = $app->active
AND location_regions.name LIKE '%$get->keyword%' 
$condition
ORDER BY location_regions.name
";

$data = $app->pagenate($app->read($sql));

echo $data->pagination;

$options  = array (
    'columns'   => array (
        array('name'=>'COUNTRY', 'value'=>'country', 'css'=>'w-20'),
        array('name'=>'NAME', 'value'=>'name', 'css'=>''),
        array('name'=>'ZONE', 'value'=>'zone', 'css'=>''),
        array('name'=>'OPTIONS', 'value'=>'options', 'css'=>'w-20 text-end')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows' => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

?>