<?php 

$root           = '../../../';
$submodule_code = 'submodules';
require($root.'config/config.php');

$obj                = new Submodule($get->id);
$obj->module        = strlen($obj->module) ? $obj->module : $get->module;

$ranks              = array();
for($counter        = 0; $counter < 100; $counter++) $ranks[] = $counter;

if($get->action == 'delete') {
    
    // Render delete modal
    echo $obj->renderModalDelete($get->id);
} else {

    // Render create, read, delete modal
    $tabs  = array (
        array ('id'=>'tab1', 'name'=>'Details', 'icon'=>'fa-solid fa-circle-1', 'css'=>'active'),
        array ('id'=>'tab2', 'name'=>'Information', 'icon'=>'fa-solid fa-circle-2'),
        array ('id'=>'tab3', 'name'=>'Extra', 'icon'=>'fa-solid fa-circle-3'),
        array ('id'=>'tab4', 'name'=>'Audit', 'icon'=>'fa-solid fa-circle-4')
    );

    echo $submodule->renderModalFormOpen(array('tabs'=>$tabs), 0);

    echo $app->renderInputHidden('submodule_code', $submodule_code);
    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);

    echo $app->renderWizardNavigation($tabs);
    echo $app->renderWizardOpen();

    echo $app->renderTabsNext('tab1', 'active');

    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);
    echo $app->renderInputSelect('module', $obj->module, '', 'line-control grid-control select-search onchange-reload-children', '', 'settings_modules', 'code', 'name', '', 'Module');
    echo $app->renderInputSelect('parent', $obj->parent, '', 'line-control grid-control select-search default-none', 'data-parent="module" data-source="pages/settings/submodules/parents_select.php?code='.$obj->code.'"', 'settings_submodules', 'code', 'name', "module='$obj->module'", 'Parent');
    echo $app->renderInputText('code', $obj->code, '', 'line-control grid-control');
    echo $app->renderInputText('name', $obj->name, '', 'line-control grid-control');
    echo $app->renderInputText('shortname', $obj->shortname, '', 'line-control grid-control');
    echo $app->renderInputText('title', $obj->title, '', 'line-control grid-control');
    echo $app->renderInputText('subtitle', $obj->subtitle, '', 'line-control grid-control');
    echo $app->renderInputTextarea('details', $obj->details, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab2');

    echo $app->renderInputTextArea('list_info', $obj->list_info, '', 'line-control grid-control');
    echo $app->renderInputTextArea('form_info', $obj->form_info, '', 'line-control grid-control');
    echo $app->renderInputCounter('priority', $obj->priority, 100, '', 'line-control grid-control select-search', '', 'Priority');
    echo $app->renderInputText('link', $obj->link, '', 'line-control grid-control');
    echo $app->renderInputText('access', $obj->access, '', 'line-control grid-control');
    echo $app->renderInputColor($obj->color, '', 'line-control grid-control select-search');
    echo $app->renderInputIcon($obj->icon, '', 'line-control grid-control select-search');
    echo $app->renderInputTags($obj->tags, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab3');

    echo $app->renderInputFields($obj, 9, '', 'line-control grid-control');

    echo $app->renderTabsNext('tab4');

    echo $obj->renderAuditFields();


    echo $app->renderTabsClose();
    echo $submodule->renderModalFormClose();
}

?>