<?php 

$root           = '../../../';
$submodule_code = 'System';
require($root.'config/config.php');

$obj            = new Settings();

$user->checkSubmoduleAccess($submodule, 'edit');   

foreach(array_keys($get->settings) as $setting) {
    $obj_id                 = $app->getColumnValue('settings_system', 'id', 'name', $setting);
    $obj                    = new Settings($obj_id);
    $data                   = array (
        'value'             => $get->settings[$setting],
        'modified_user_id'  => $user_id,
        'modified_datetime' => $now
    );
    $obj->update($data);
}

echo $app->renderAlertSuccess('Setting applied successfully', 'Success', 'modal_lg', true);
   
?>