<?php 

$root           = '../../../';
$submodule_code = 'System';
require($root.'config/config.php');

$obj            = new Settings($get->id);
$obj->type      = isset($get->type) ? $get->type : $obj->type;

if($get->action == 'delete') {

    // Render delete modal
    echo $submodule->renderModalDelete($get->id);
} else {

    // Render create, read and update modal

    $modal_options = array (
        'title'         => ucfirst(str_replace('_', ' ', $obj->name)),
        'form_action'   => 'edit_process.php'
    );
  
    echo $submodule->renderModalFormOpen($modal_options);
  
    echo $app->renderInputHidden('action', $get->action);
    echo $app->renderInputHidden('id', $get->id);
    echo $app->renderInputHidden('name', $obj->name);

    if($obj->input == 'Select') {
        $options = explode(',', $obj->options);
        echo $app->renderInputSelect('value', $obj->value, '', 'line-control select-search', '', $options, 'id', 'name', '', $obj->name);
    } elseif($obj->input == 'Textarea') {
        echo $app->renderInputTextarea('value', $obj->value, '', 'line-control grid-control', 'required', ucfirst($obj->name));
    } else {
        echo $app->renderInputText('value', $obj->value, '', 'line-control grid-control', 'required', ucfirst($obj->name));
    }

    echo '<div class="my-4"></div>';

    echo $submodule->renderModalFormClose();
}

?>