<?php 

$root               = '../../../';
$submodule_code     = 'submodules';
require($root.'config/config.php');

$obj                = new Submodule(0);
$condition          = strlen($get->module) ? "AND module = '$get->module' " : " ";
$sql                = "SELECT 
settings_submodules.id,
settings_modules.name module,
settings_submodules.name,
settings_submodules.icon,
settings_submodules.color
FROM settings_submodules
JOIN settings_modules ON settings_modules.code = settings_submodules.module
WHERE settings_submodules.status > 0
AND settings_submodules.name LIKE '%$get->keyword%' 
$condition
ORDER BY settings_submodules.priority
";

$data = $app->pagenate($app->read($sql));

$options  = array (
    'columns'   => array (
        array('name'=>'Module', 'value'=>'module', 'css'=>'w-20'),
        array('name'=>'Submodule', 'value'=>'name', 'css'=>''),
        array('name'=>'Icon/Color', 'value'=>'icon/color', 'css'=>'w-10 text-center'),
        array('name'=>'Options', 'value'=>'options', 'css'=>'w-15 text-center')
    ),
    'options'       => array (
        array('type'=>'copy'), array('type'=>'edit'), array('type'=>'delete')
    ),
    'rows'  => $data->rows
);

echo $app->renderTableOpen($options);

echo $obj->renderTableBody($options);

echo $app->renderTableClose();

echo $data->pagination;

?>