<?php 

$root           = '../../../';
$submodule_code = 'submodules';
require($root.'config/config.php');

$obj            = new Submodule($get->id);
if(!isset($post->parent)) $post->parent = '';

if($post->action == 'delete') {

    // Delete...
    $user->checkSubmoduleAccess($submodule, 'delete');
    echo $obj->deleted();

} else {

    // Validate...
    $code           = $app->validate(array('value'=>$post->code, 'name'=>'code', 'min'=>1));
    $name           = $app->validate(array('value'=>$post->name, 'name'=>'name', 'min'=>3));

    if($post->action == 'create' || $post->action == 'copy') {
        $data                   = array (
            'id'                => 0,
            'module_code'       => $post->module,
            'parent'            => $post->parent,
            'code'              => $post->code,
            'name'              => $post->name,
            'shortname'         => $post->shortname,
            'title'             => $post->title,
            'subtitle'          => $post->subtitle,
            'details'           => $post->details,
            'link'              => $post->link,
            'priority'          => $post->priority,
            'access'            => $post->access,
            'list_info'         => $post->list_info,
            'form_info'         => $post->form_info,
            'icon'              => $post->icon,
            'color'             => $post->color,
            'tags'              => $post->tags,
            'f1'                => $post->f1,
            'f2'                => $post->f2,
            'f3'                => $post->f3,
            'f4'                => $post->f4,
            'f5'                => $post->f5,
            'f6'                => $post->f6,
            'f7'                => $post->f7,
            'f8'                => $post->f8,
            'f9'                => $post->f9,
            'created_user_id'   => $user_id,
            'created_datetime'  => $now,
            'modified_user_id'  => 0,
            'modified_datetime' => 0,
            'status'            => 1
        );
        echo $obj->created($data);

    } elseif($post->action == 'edit') {
        $data                   = array (
            'module'            => $post->module,
            'parent'            => $post->parent,
            'code'              => $post->code,
            'title'             => $post->title,
            'name'              => $post->name,
            'shortname'         => $post->shortname,
            'title'             => $post->title,
            'subtitle'          => $post->subtitle,
            'details'           => $post->details,
            'link'              => $post->link,
            'priority'          => $post->priority,
            'access'            => $post->access,
            'list_info'         => $post->list_info,
            'form_info'         => $post->form_info,
            'icon'              => $post->icon,
            'color'             => $post->color,
            'tags'              => $post->tags,
            'f1'                => $post->f1,
            'f2'                => $post->f2,
            'f3'                => $post->f3,
            'f4'                => $post->f4,
            'f5'                => $post->f5,
            'f6'                => $post->f6,
            'f7'                => $post->f7,
            'f8'                => $post->f8,
            'f9'                => $post->f9,
            'status'            => $post->status,
            'modified_user_id'  => $user_id,
            'modified_datetime' => $now
        );
        echo $obj->updated($data);
    }
}

?>