<?php 

$root               = '../../../';
$submodule_code     = 'villages';
require($root.'config/config.php');

$filters            = array (
    array (
        'type'      => 'search',
        'control'   => $app->renderInputText('keyword', '', 'Search '.strtolower($submodule->name).' by name', 'form-control form-control-lg filter-control onkeyup-reload-list', 'autofocus')
    ), 
    array (
        'type'      => 'buttons',
        'control'   => array (
            array('type'=>'advanced'),
            array('type'=>'refresh'),
            array('type'=>'create', 'url'=>'form.php')
        )
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('country', '', 'Choose country', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg"', 'location_countries', 'code', 'name')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('region', '', 'Choose region', 'filter-control default-all onchange-reload-children', 'data-style="btn-outline-secondary btn-lg" data-parent="country" data-source="pages/settings/regions/regions_select.php"', 'location_regions', 'id', 'name')
    ),
    array (
        'cssx'      => 'filter-hidden',
        'control'   => $app->renderInputSelect('district', '', 'Choose district', 'filter-control default-all onchange-reload-list', 'data-style="btn-outline-secondary btn-lg" data-parent="region" data-source="pages/settings/districts/districts_select.php"', 'location_districts', 'id', 'name')
    )
);

require($root.'html/template.php');

?>